commit f6fd372a8b31a0bebbdfe36090d6ffc7bab9a2f8
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Mon Oct 13 18:54:12 2014 -0700

    pattern: Restore dropped inclusion of cairoint.h
    
    Fixes failure in make release-check due by check-preprocessor-syntax.sh
    due to requirement that cairoint.h be the first include for source files.

 src/cairo-pattern.c | 2 ++
 1 file changed, 2 insertions(+)

commit 60ca80b248c2a5ffd0744162af7a1f1df1b04398
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Mon Oct 13 18:45:53 2014 -0700

    1.14.0 release

 cairo-version.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3e41f7b38169f7724ed737790a5c0ad68ff80a04
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Mon Oct 13 18:30:23 2014 -0700

    NEWS: Flesh out docs for new APIs

 NEWS                | 13 +++++++++++--
 src/cairo-surface.c |  2 +-
 2 files changed, 12 insertions(+), 3 deletions(-)

commit 41561c527c72d20f6f09f898f6390a578cfd4095
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Mon Oct 13 18:20:45 2014 -0700

    NEWS: Update with latest changes and finalize for release

 NEWS | 24 +++++++++++++++++++-----
 1 file changed, 19 insertions(+), 5 deletions(-)

commit ab2a7b61d59258b71e1c3256edf2f42ea6cc1eb2
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sun Oct 12 21:04:37 2014 +1030

    pdf: don't use '\' to split strings across multiple lines
    
    The PDF interpreter in my printer does not handle this correctly.
    So instead we add the string delimiters '(' and ')' to each line.

 src/cairo-pdf-operators.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 45934f69cd158b7bb5632f5e4334a156795147f4
Author: Bill Spitzak <spitzak@gmail.com>
Date:   Thu Oct 9 19:46:16 2014 -0700

    image: Corrected extents calculations
    
    New implementations of _cairo_pattern_sampled_area and _cairo_pattern_get_extents
    which produce a more accurate bounding box. These do not depend on side-effects
    of analyze_filter, can handle different horizontal and vertical scales, filters
    wider than 1 for down-scaling, and compute a somewhat tighter bounding box
    in most cases.
    
    I removed the pad output of _cairo_pattern_analyze_filter as it is unused.
    
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-composite-rectangles.c |   2 +-
 src/cairo-pattern-private.h      |   5 +-
 src/cairo-pattern.c              | 275 ++++++++++++++++++++++++---------------
 src/cairo-xlib-core-compositor.c |   4 +-
 src/cairoint.h                   |   4 -
 src/drm/cairo-drm-i915-shader.c  |  39 +-----
 6 files changed, 176 insertions(+), 153 deletions(-)

commit 3cd7ed1f320c3ce330da3d3153c39b613e4a5a15
Author: Bill Spitzak <spitzak@gmail.com>
Date:   Thu Oct 9 19:46:15 2014 -0700

    xcb: Use image fallback for GOOD/BEST filters
    
    It will not use the fallback if the symbols in the previous patch
    are turned on.
    
    Also some code rearrangement to make this resemble the xlib version
    more and to remove some suspect bugs. In particular meshes should not
    work just because the translation is an integer.
    
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-xcb-surface-render.c | 34 ++++++++++++++++------------------
 1 file changed, 16 insertions(+), 18 deletions(-)

commit ca9aee4e62d914b3cd3d6747ff1a4961d9aff8ed
Author: Bill Spitzak <spitzak@gmail.com>
Date:   Thu Oct 9 19:46:14 2014 -0700

    xcb: Add switches for whether XRender supports GOOD/BEST filtering
    
    Currently these are always false, but if XRender use a pixman that
    supports filtering these could be turned on for that version.
    
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-xcb-connection.c | 10 ++++++++++
 src/cairo-xcb-private.h    |  6 +++++-
 2 files changed, 15 insertions(+), 1 deletion(-)

commit 58728da6eba4d89ba7c4328b22a552af633abb05
Author: Bill Spitzak <spitzak@gmail.com>
Date:   Thu Oct 9 19:46:13 2014 -0700

    xlib: Use image fallback for GOOD/BEST filters
    
    Fallback is not used if the symbols defined in the previous patch to
    indicate if XRender does GOOD/BEST are true.
    
    This patch also includes some changes to take advantage of the fact that
    if there is an integer translation analyze_filter will already have set
    the filter to NEAREST.
    
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-xlib-source.c | 23 ++++++++++++++---------
 1 file changed, 14 insertions(+), 9 deletions(-)

commit c653dcd3e6ac1cef2440fa0db97a8e5ce30b2a47
Author: Bill Spitzak <spitzak@gmail.com>
Date:   Thu Oct 9 19:46:12 2014 -0700

    xlib: Add symbols to indicate if XRender supports GOOD/BEST filtering
    
    Currently these are always false, but if some version of xlib uses
    a pixman supporting filtering they could be changed to return true
    for that version.
    
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-xlib-private.h | 2 ++
 1 file changed, 2 insertions(+)

commit c8b1bf55ad016de0675f4e924fdb8e17051a029c
Author: Bill Spitzak <spitzak@gmail.com>
Date:   Thu Oct 9 19:46:11 2014 -0700

    image: Move filter decision to _cairo_pattern_analyze_filter
    
    The analysis to deterimine if the GOOD filter can be replaced with
    the BILINEAR filter is moved to this function so it can be used
    by backends other than the image backend.
    
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-image-source.c | 22 +++++++++-------------
 src/cairo-pattern.c      | 36 +++++++++++++++++++++++++++++++++++-
 2 files changed, 44 insertions(+), 14 deletions(-)

commit 82cd66f8330da0521c29c003ef0a4bb773d6dbc6
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Thu Oct 9 17:55:09 2014 -0700

    test: Update pixman downscaling 95 reference images
    
    The pixman downscaling "95" tests attempt to rescale a 96x96 pixmap to
    95x95.  Ideally the borders between color areas should be sharp, but for
    this use case we allow for 1 pixel of blur between the areas as
    acceptable.  The choice of what color to use for this blurred region is
    not important, and in fact varies from backend to backend.
    
    The old reference images were generated by Krzysztof Kosiński's
    downscaling algorithm.  These new images are against the algorithms
    written by Bill Spitzak.
    
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>

 .../pixman-downscale-best-95.image.rgb24.ref.png        | Bin 0 -> 659 bytes
 .../pixman-downscale-best-95.image16.rgb24.ref.png      | Bin 0 -> 648 bytes
 test/reference/pixman-downscale-best-95.pdf.ref.png     | Bin 0 -> 479 bytes
 test/reference/pixman-downscale-best-95.ps2.ref.png     | Bin 0 -> 460 bytes
 test/reference/pixman-downscale-best-95.ps3.ref.png     | Bin 0 -> 460 bytes
 .../pixman-downscale-best-95.recording.rgb24.ref.png    | Bin 0 -> 659 bytes
 test/reference/pixman-downscale-best-95.ref.png         | Bin 685 -> 771 bytes
 test/reference/pixman-downscale-best-95.script.ref.png  | Bin 0 -> 772 bytes
 test/reference/pixman-downscale-best-95.svg11.ref.png   | Bin 0 -> 474 bytes
 test/reference/pixman-downscale-best-95.svg12.ref.png   | Bin 0 -> 474 bytes
 .../pixman-downscale-best-95.test-base.rgb24.ref.png    | Bin 0 -> 659 bytes
 ...pixman-downscale-best-95.test-fallback.rgb24.ref.png | Bin 0 -> 659 bytes
 .../pixman-downscale-best-95.test-mask.rgb24.ref.png    | Bin 0 -> 659 bytes
 ...ixman-downscale-best-95.test-paginated.rgb24.ref.png | Bin 0 -> 659 bytes
 .../pixman-downscale-best-95.test-spans.rgb24.ref.png   | Bin 0 -> 659 bytes
 .../pixman-downscale-best-95.test-traps.rgb24.ref.png   | Bin 0 -> 659 bytes
 .../pixman-downscale-best-95.xcb-fallback.rgb24.ref.png | Bin 0 -> 659 bytes
 ...ixman-downscale-best-95.xcb-render-0_0.rgb24.ref.png | Bin 0 -> 659 bytes
 .../pixman-downscale-best-95.xcb-window&.rgb24.ref.png  | Bin 0 -> 474 bytes
 .../pixman-downscale-best-95.xcb-window.rgb24.ref.png   | Bin 0 -> 474 bytes
 test/reference/pixman-downscale-best-95.xcb.ref.png     | Bin 0 -> 474 bytes
 ...pixman-downscale-best-95.xlib-fallback.rgb24.ref.png | Bin 0 -> 659 bytes
 ...xman-downscale-best-95.xlib-render-0_0.rgb24.ref.png | Bin 0 -> 659 bytes
 .../pixman-downscale-best-95.xlib-window.rgb24.ref.png  | Bin 0 -> 474 bytes
 test/reference/pixman-downscale-best-95.xlib.ref.png    | Bin 0 -> 474 bytes
 .../pixman-downscale-bilinear-95.image16.rgb24.ref.png  | Bin 0 -> 481 bytes
 test/reference/pixman-downscale-bilinear-95.pdf.ref.png | Bin 0 -> 479 bytes
 test/reference/pixman-downscale-bilinear-95.ps2.ref.png | Bin 0 -> 460 bytes
 test/reference/pixman-downscale-bilinear-95.ps3.ref.png | Bin 0 -> 460 bytes
 test/reference/pixman-downscale-bilinear-95.ref.png     | Bin 685 -> 474 bytes
 .../pixman-downscale-bilinear-95.script.ref.png         | Bin 0 -> 481 bytes
 .../pixman-downscale-fast-95.image16.rgb24.ref.png      | Bin 0 -> 304 bytes
 test/reference/pixman-downscale-fast-95.pdf.ref.png     | Bin 0 -> 479 bytes
 test/reference/pixman-downscale-fast-95.ps2.ref.png     | Bin 0 -> 299 bytes
 test/reference/pixman-downscale-fast-95.ps3.ref.png     | Bin 0 -> 299 bytes
 test/reference/pixman-downscale-fast-95.svg11.ref.png   | Bin 0 -> 474 bytes
 test/reference/pixman-downscale-fast-95.svg12.ref.png   | Bin 0 -> 474 bytes
 .../pixman-downscale-good-95.image16.rgb24.ref.png      | Bin 0 -> 481 bytes
 test/reference/pixman-downscale-good-95.pdf.ref.png     | Bin 0 -> 479 bytes
 test/reference/pixman-downscale-good-95.ps2.ref.png     | Bin 0 -> 460 bytes
 test/reference/pixman-downscale-good-95.ps3.ref.png     | Bin 0 -> 460 bytes
 test/reference/pixman-downscale-good-95.ref.png         | Bin 685 -> 474 bytes
 test/reference/pixman-downscale-good-95.script.ref.png  | Bin 0 -> 481 bytes
 .../pixman-downscale-nearest-95.image16.rgb24.ref.png   | Bin 0 -> 304 bytes
 test/reference/pixman-downscale-nearest-95.pdf.ref.png  | Bin 0 -> 479 bytes
 test/reference/pixman-downscale-nearest-95.ps2.ref.png  | Bin 0 -> 299 bytes
 test/reference/pixman-downscale-nearest-95.ps3.ref.png  | Bin 0 -> 299 bytes
 .../reference/pixman-downscale-nearest-95.svg11.ref.png | Bin 0 -> 474 bytes
 .../reference/pixman-downscale-nearest-95.svg12.ref.png | Bin 0 -> 474 bytes
 49 files changed, 0 insertions(+), 0 deletions(-)

commit 79b5a35f8387845a2fe46215776082a8abc3caba
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Thu Oct 9 17:47:10 2014 -0700

    test: Add an update-refs.sh script to update reference images
    
    There are cases where the rendered output of a test can vary from
    backend to backend in ways which are visually acceptable.  This is why
    we have reference images in the first place.  In these cases, changes to
    the rendering logic can result in slight differences in the output that
    is also within acceptable visual limits.
    
    We see this in the pixman downscaling tests.  This script is introduced
    as a way to more easily update the reference images after a renderer
    change.
    
    This script is intended to be expanded to handle updating of references
    for other tests as we identify similar issues.  The intent is that this
    script then serves as a way to document these exceptional cases.
    
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>

 test/update-refs.sh | 84 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 84 insertions(+)

commit 1570fa23e8043204bd30b122d55a036da15b16e5
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Wed Oct 8 20:08:47 2014 -0700

    test: Fix error message to specify the executable that was missing
    
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>

 test/check-refs.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a8abf3a48b588632e3f39028b0b978d73c362f46
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 9 10:43:15 2014 +0100

    test: Fix conflation of different device scales in index.html
    
    Currently testtable.js does not recognise the difference between running
    the same test with multiple scale factors and merges the results into
    one.

 test/testtable.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8047179bfca65cad36c61daf5f88c97cc971848b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 9 10:54:58 2014 +0100

    test: Teach check-preprocessor-syntax.sh about -inlines.h

 src/check-preprocessor-syntax.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7c1db82a2e9dc04fd652d6e6bb6f4eb976922368
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Fri Oct 3 12:34:06 2014 -0700

    Get make check back to a happy spot
    
    Fix header ordering for some recently added code so cairo internal
    headers are included first.  Quells two make check errors.
    
    Fixes:  https://bugs.freedesktop.org/show_bug.cgi?id=84638

 src/cairo-gl-info.c      | 4 ++--
 src/cairo-line-private.h | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit f57c0fd4656ef4fdbe13dbc69aa1ce4e130c37ce
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Fri Oct 3 12:20:13 2014 -0700

    Declare as private the new cairo_lines_compare_at_y symbol
    
    Fixes a make check error.
    
      Checking that .libs/libcairo.so has the same symbol list as cairo.def
      126a127
      > cairo_lines_compare_at_y
    
    Fixes:  https://bugs.freedesktop.org/show_bug.cgi?id=84638
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-line-private.h | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit d9ba8337ab456ae0e232d3c603cb41cea984ebea
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Fri Oct 3 11:52:32 2014 -0700

    quartz: Check for quartz surface type before conversion
    
    Fixes the following warning introduced in a recent commit reported by
    ~suv:
    
      CC       cairo-quartz-image-surface.lo
    cairo-quartz-image-surface.c:382:37: warning: incompatible pointer types
    passing 'cairo_quartz_image_surface_t *'
          (aka 'struct cairo_quartz_image_surface *') to parameter of type
           'const cairo_surface_t *' (aka 'const struct _cairo_surface *')
          [-Wincompatible-pointer-types]
        if (! _cairo_surface_is_quartz (surface)) {
                                        ^~~~~~~
    ./cairo-quartz-private.h:87:50: note: passing argument to parameter 'surface' here
    _cairo_surface_is_quartz (const cairo_surface_t *surface);
    
    References:  https://bugs.freedesktop.org/show_bug.cgi?id=84569
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-quartz-image-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 03756e042a2916e6c5334e2a00ec503a38e172d4
Author: Andrea Canciani <ranma42@gmail.com>
Date:   Fri Oct 3 09:56:24 2014 +0200

    quartz-image: Fix build
    
    The quartz-image backend uses _cairo_surface_is_quartz(), which
    therefore needs to be made available to it. Fixed as suggested by
    Bryce in the referenced bugreport.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=84569
    Signed-off-by: Andrea Canciani <ranma42@gmail.com>

 src/cairo-quartz-private.h | 3 +++
 src/cairo-quartz-surface.c | 5 +----
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 531da6fb915a6e9ea33216a90196ae962876acf4
Author: Andrea Canciani <ranma42@gmail.com>
Date:   Thu Oct 2 18:10:00 2014 +0200

    quartz: Fix build
    
    Cairo cannot build with Quartz enabled since
    573ddfc3d5c08c37b95a21e0a1b34acecc646053, because of a double
    definition of _cairo_surface_is_quartz().
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=84569
    Signed-off-by: Andrea Canciani <ranma42@gmail.com>

 src/cairo-quartz-surface.c | 22 ++++++++--------------
 1 file changed, 8 insertions(+), 14 deletions(-)

commit 14df211b9c12719f67412aedd6610eb623df7d7e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 2 13:08:50 2014 +0100

    test: Add whole flipped replays
    
    When investing the symmetry of the raterisation, we want to have a
    simple replay of all of the original geometry through a the flipped
    recording surface. This reduces the worry about artifacts from the
    clipped rendering.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/recordflip.c                                  | 188 +++++++++++++++++++++
 test/reference/recordflip-whole-fill-alpha.ref.png | Bin 0 -> 2803 bytes
 .../recordflip-whole-paint-alpha-clip-mask.ref.png | Bin 0 -> 351 bytes
 .../recordflip-whole-paint-alpha-clip.ref.png      | Bin 0 -> 316 bytes
 ...recordflip-whole-paint-alpha-solid-clip.ref.png | Bin 0 -> 291 bytes
 .../reference/recordflip-whole-paint-alpha.ref.png | Bin 0 -> 257 bytes
 test/reference/recordflip-whole-paint.ref.png      | Bin 0 -> 93 bytes
 .../recordflip-whole-select-font-face.ref.png      | Bin 0 -> 2240 bytes
 .../recordflip-whole-self-intersecting.ref.png     | Bin 0 -> 168 bytes
 .../recordflip-whole-text-transform.ref.png        | Bin 0 -> 5609 bytes
 10 files changed, 188 insertions(+)

commit 7f7ed4c04e49b64c15d60889a8cdc4075efd8236
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 2 09:16:04 2014 +0100

    image: Eliminate self-intersections for the pixman traps compositor
    
    As pixman uses an accumulation mask, it oversamples neighbouring edges
    within a cell. We can reduce the impact of this by eliminating
    overlapping triangles/trapezoids from being passed into pixman.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-compositor.c | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

commit 7aacd81befc5ad1aec26bcf7e65fa5bd36c6a9b4
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 2 08:17:14 2014 +0100

    test: Refresh reference images for tor rendering changes
    
    (And include a git add missed from commit
    
    ccd48b346436a80629e4f9a07f2ba7ffbfd802f1
    Author: Chris Wilson <chris@chris-wilson.co.uk>
    Date:   Tue Sep 30 14:06:21 2014 +0100
    
        test: Remove more duplicated reference images
    
    but were mostly invalidated by the rasteriser changes anyway).
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/reference/a8-clear.ref.png                     | Bin 0 -> 267 bytes
 test/reference/aliasing.ref.png                     | Bin 0 -> 103877 bytes
 test/reference/arc-direction.ref.png                | Bin 0 -> 6073 bytes
 test/reference/big-line.ref.png                     | Bin 0 -> 999 bytes
 test/reference/big-little-triangle.argb32.ref.png   | Bin 409 -> 399 bytes
 test/reference/big-little-triangle.rgb24.ref.png    | Bin 331 -> 320 bytes
 test/reference/bilevel-xlib.ref.png                 | Bin 0 -> 105 bytes
 test/reference/bug-40410.ref.png                    | Bin 0 -> 429 bytes
 test/reference/bug-84115.ref.png                    | Bin 64233 -> 62964 bytes
 test/reference/bug-bo-ricotz.ref.png                | Bin 0 -> 2128 bytes
 test/reference/bug-extents.ref.png                  | Bin 0 -> 9211 bytes
 test/reference/bug-seams.ref.png                    | Bin 1364 -> 1638 bytes
 test/reference/bug-spline.ref.png                   | Bin 0 -> 5405 bytes
 test/reference/caps-joins-alpha.ref.png             | Bin 0 -> 2420 bytes
 test/reference/caps-joins-curve.ref.png             | Bin 0 -> 5681 bytes
 test/reference/caps-joins.ref.png                   | Bin 0 -> 2560 bytes
 test/reference/caps-sub-paths.ref.png               | Bin 0 -> 168 bytes
 test/reference/caps-tails-curve.ref.png             | Bin 0 -> 53182 bytes
 test/reference/caps.ref.png                         | Bin 0 -> 2115 bytes
 test/reference/clear-source.ref.png                 | Bin 0 -> 882 bytes
 test/reference/clear.argb32.ref.png                 | Bin 692 -> 701 bytes
 test/reference/clear.rgb24.ref.png                  | Bin 621 -> 624 bytes
 test/reference/clip-disjoint-hatching.ref.png       | Bin 0 -> 7918 bytes
 test/reference/clip-disjoint-quad.ref.png           | Bin 0 -> 1642 bytes
 test/reference/clip-disjoint.ref.png                | Bin 0 -> 5348 bytes
 .../reference/clip-fill-eo-unbounded.argb32.ref.png | Bin 0 -> 4053 bytes
 test/reference/clip-fill-eo-unbounded.ref.png       | Bin 4076 -> 0 bytes
 test/reference/clip-fill-eo-unbounded.rgb24.ref.png | Bin 0 -> 3408 bytes
 .../reference/clip-fill-nz-unbounded.argb32.ref.png | Bin 0 -> 4053 bytes
 test/reference/clip-fill-nz-unbounded.ref.png       | Bin 4076 -> 0 bytes
 test/reference/clip-fill-nz-unbounded.rgb24.ref.png | Bin 0 -> 3408 bytes
 test/reference/clip-fill-rule.argb32.ref.png        | Bin 437 -> 430 bytes
 test/reference/clip-fill-rule.rgb24.ref.png         | Bin 388 -> 376 bytes
 test/reference/clip-fill.ref.png                    | Bin 0 -> 1046 bytes
 test/reference/clip-group-shapes-circles.ref.png    | Bin 0 -> 1504 bytes
 test/reference/clip-image.ref.png                   | Bin 0 -> 2677 bytes
 test/reference/clip-intersect.ref.png               | Bin 0 -> 224 bytes
 test/reference/clip-mixed-antialias.ref.png         | Bin 0 -> 1084 bytes
 test/reference/clip-nesting.argb32.ref.png          | Bin 0 -> 1026 bytes
 test/reference/clip-nesting.ref.png                 | Bin 1094 -> 0 bytes
 test/reference/clip-nesting.rgb24.ref.png           | Bin 0 -> 917 bytes
 test/reference/clip-operator.argb32.ref.png         | Bin 8685 -> 8514 bytes
 test/reference/clip-operator.rgb24.ref.png          | Bin 3458 -> 3417 bytes
 test/reference/clip-polygons.ref.png                | Bin 0 -> 1352 bytes
 test/reference/clip-push-group.ref.png              | Bin 0 -> 164 bytes
 test/reference/clip-shape.ref.png                   | Bin 0 -> 2902 bytes
 test/reference/clip-stroke-unbounded.argb32.ref.png | Bin 0 -> 4097 bytes
 test/reference/clip-stroke-unbounded.ref.png        | Bin 4104 -> 0 bytes
 test/reference/clip-stroke-unbounded.rgb24.ref.png  | Bin 0 -> 3486 bytes
 test/reference/clip-stroke.ref.png                  | Bin 0 -> 1571 bytes
 test/reference/clip-text.ref.png                    | Bin 0 -> 912 bytes
 test/reference/clip-twice.argb32.ref.png            | Bin 0 -> 1333 bytes
 test/reference/clip-twice.ref.png                   | Bin 1357 -> 0 bytes
 test/reference/clip-twice.rgb24.ref.png             | Bin 0 -> 1171 bytes
 test/reference/clip-xlib.ref.png                    | Bin 0 -> 2686 bytes
 test/reference/clipped-group.ref.png                | Bin 0 -> 315 bytes
 test/reference/close-path.ref.png                   | Bin 0 -> 294 bytes
 test/reference/copy-path.ref.png                    | Bin 0 -> 616 bytes
 test/reference/coverage-column-triangles.xfail.png  | Bin 0 -> 7632 bytes
 .../coverage-intersecting-triangles.xfail.png       | Bin 0 -> 14444 bytes
 test/reference/coverage-rhombus.xfail.png           | Bin 0 -> 9898 bytes
 test/reference/coverage-row-triangles.xfail.png     | Bin 0 -> 512 bytes
 test/reference/coverage-triangles.xfail.png         | Bin 0 -> 14283 bytes
 test/reference/create-from-png.ref.png              | Bin 0 -> 96 bytes
 test/reference/culled-glyphs.ref.png                | Bin 0 -> 440 bytes
 test/reference/dash-caps-joins.ref.png              | Bin 5089 -> 4713 bytes
 test/reference/dash-curve.ref.png                   | Bin 0 -> 41069 bytes
 test/reference/dash-infinite-loop.ref.png           | Bin 0 -> 877 bytes
 test/reference/dash-offset-negative.ref.png         | Bin 0 -> 129 bytes
 test/reference/dash-scale.ref.png                   | Bin 8831 -> 7826 bytes
 test/reference/dash-state.ref.png                   | Bin 0 -> 8027 bytes
 test/reference/degenerate-arc.ref.png               | Bin 0 -> 626 bytes
 test/reference/degenerate-dash.ref.png              | Bin 0 -> 1960 bytes
 test/reference/degenerate-linear-gradient.ref.png   | Bin 0 -> 336 bytes
 test/reference/degenerate-pen.ref.png               | Bin 0 -> 1019 bytes
 test/reference/drunkard-tails.ref.png               | Bin 6261 -> 6157 bytes
 test/reference/extend-pad-border.ref.png            | Bin 0 -> 495 bytes
 ...png => extended-blend-alpha-mask.argb32.ref.png} | Bin
 .../extended-blend-alpha-mask.rgb24.ref.png         | Bin 0 -> 4597 bytes
 ....ref.png => extended-blend-alpha.argb32.ref.png} | Bin
 test/reference/extended-blend-alpha.rgb24.ref.png   | Bin 0 -> 5740 bytes
 test/reference/extended-blend-mask.argb32.ref.png   | Bin 0 -> 3959 bytes
 test/reference/extended-blend-mask.ref.png          | Bin 3971 -> 0 bytes
 test/reference/extended-blend-mask.rgb24.ref.png    | Bin 0 -> 3634 bytes
 ...ng => extended-blend-solid-alpha.argb32.ref.png} | Bin
 .../extended-blend-solid-alpha.rgb24.ref.png        | Bin 0 -> 5740 bytes
 test/reference/extended-blend-solid.argb32.ref.png  | Bin 0 -> 4072 bytes
 test/reference/extended-blend-solid.ref.png         | Bin 4063 -> 0 bytes
 test/reference/extended-blend-solid.rgb24.ref.png   | Bin 0 -> 3784 bytes
 test/reference/extended-blend.argb32.ref.png        | Bin 0 -> 4072 bytes
 test/reference/extended-blend.ref.png               | Bin 4063 -> 0 bytes
 test/reference/extended-blend.rgb24.ref.png         | Bin 0 -> 3784 bytes
 test/reference/fallback.argb32.ref.png              | Bin 0 -> 4133 bytes
 test/reference/fallback.ref.png                     | Bin 4106 -> 0 bytes
 test/reference/fallback.rgb24.ref.png               | Bin 0 -> 3283 bytes
 test/reference/fill-alpha-pattern.ref.png           | Bin 0 -> 3500 bytes
 test/reference/fill-alpha.ref.png                   | Bin 0 -> 2754 bytes
 test/reference/fill-and-stroke-alpha-add.ref.png    | Bin 0 -> 558 bytes
 test/reference/fill-and-stroke-alpha.ref.png        | Bin 0 -> 513 bytes
 .../fill-degenerate-sort-order.argb32.ref.png       | Bin 0 -> 2390 bytes
 test/reference/fill-degenerate-sort-order.ref.png   | Bin 2414 -> 0 bytes
 .../fill-degenerate-sort-order.rgb24.ref.png        | Bin 0 -> 2048 bytes
 test/reference/fill-image.ref.png                   | Bin 0 -> 1457 bytes
 test/reference/fill-rule.argb32.ref.png             | Bin 2086 -> 2076 bytes
 test/reference/fill-rule.rgb24.ref.png              | Bin 1797 -> 1763 bytes
 test/reference/fill-xlib.ref.png                    | Bin 0 -> 1458 bytes
 test/reference/filter-bilinear-extents.ref.png      | Bin 0 -> 1210 bytes
 test/reference/font-matrix-translation.ref.png      | Bin 0 -> 865 bytes
 test/reference/ft-show-glyphs-positioning.ref.png   | Bin 0 -> 3243 bytes
 test/reference/ft-show-glyphs-table.ref.png         | Bin 0 -> 9975 bytes
 .../reference/ft-text-vertical-layout-type1.ref.png | Bin 0 -> 3052 bytes
 .../reference/ft-text-vertical-layout-type3.ref.png | Bin 0 -> 3609 bytes
 test/reference/glyph-cache-pressure.ref.png         | Bin 0 -> 2858 bytes
 test/reference/group-unaligned.ref.png              | Bin 0 -> 475 bytes
 test/reference/halo-transform.ref.png               | Bin 0 -> 15265 bytes
 test/reference/halo.ref.png                         | Bin 0 -> 8631 bytes
 test/reference/hatchings.ref.png                    | Bin 0 -> 90698 bytes
 test/reference/horizontal-clip.ref.png              | Bin 0 -> 113 bytes
 test/reference/huge-linear.ref.png                  | Bin 0 -> 1636 bytes
 test/reference/infinite-join.ref.png                | Bin 0 -> 164 bytes
 test/reference/inverse-text.ref.png                 | Bin 0 -> 2162 bytes
 test/reference/inverted-clip.argb32.ref.png         | Bin 0 -> 1390 bytes
 test/reference/inverted-clip.rgb24.ref.png          | Bin 1323 -> 1274 bytes
 test/reference/joins-loop.ref.png                   | Bin 0 -> 4333 bytes
 test/reference/joins-retrace.ref.png                | Bin 4900 -> 4687 bytes
 test/reference/joins-star.ref.png                   | Bin 0 -> 4015 bytes
 test/reference/large-twin-antialias-mixed.ref.png   | Bin 0 -> 16494 bytes
 test/reference/leaky-dashed-stroke.ref.png          | Bin 0 -> 9286 bytes
 test/reference/leaky-polygon.ref.png                | Bin 0 -> 337 bytes
 .../line-width-large-overlap-rotated.ref.png        | Bin 0 -> 415 bytes
 test/reference/line-width-overlap-rotated.ref.png   | Bin 0 -> 688 bytes
 test/reference/line-width-scale.ref.png             | Bin 0 -> 5721 bytes
 test/reference/line-width-tolerance.ref.png         | Bin 0 -> 168 bytes
 test/reference/line-width.ref.png                   | Bin 0 -> 178 bytes
 test/reference/linear-gradient-reflect.ref.png      | Bin 0 -> 185 bytes
 test/reference/linear-gradient-subset.ref.png       | Bin 0 -> 813 bytes
 test/reference/linear-gradient.ref.png              | Bin 0 -> 959 bytes
 test/reference/long-dashed-lines.ref.png            | Bin 0 -> 2548 bytes
 test/reference/map-all-to-xlib.ref.png              | Bin 0 -> 86 bytes
 test/reference/map-bit-to-xlib.ref.png              | Bin 0 -> 103 bytes
 test/reference/mask-alpha.argb32.ref.png            | Bin 0 -> 629 bytes
 test/reference/mask-alpha.ref.png                   | Bin 642 -> 0 bytes
 test/reference/mask-alpha.rgb24.ref.png             | Bin 0 -> 595 bytes
 test/reference/mask-transformed-image.ref.png       | Bin 0 -> 3812 bytes
 test/reference/mask-transformed-similar.ref.png     | Bin 0 -> 3812 bytes
 test/reference/mask-transformed-xlib.ref.png        | Bin 0 -> 3809 bytes
 test/reference/mask.argb32.ref.png                  | Bin 8681 -> 8530 bytes
 test/reference/mask.rgb24.ref.png                   | Bin 7215 -> 7160 bytes
 test/reference/miter-precision.ref.png              | Bin 0 -> 824 bytes
 test/reference/operator-clear.argb32.ref.png        | Bin 1067 -> 1061 bytes
 test/reference/operator-clear.rgb24.ref.png         | Bin 940 -> 939 bytes
 test/reference/operator-source.argb32.ref.png       | Bin 5626 -> 5620 bytes
 test/reference/operator-source.rgb24.ref.png        | Bin 4026 -> 4006 bytes
 test/reference/over-above-source.argb32.ref.png     | Bin 557 -> 533 bytes
 test/reference/over-above-source.rgb24.ref.png      | Bin 459 -> 452 bytes
 test/reference/over-around-source.argb32.ref.png    | Bin 633 -> 604 bytes
 test/reference/over-around-source.rgb24.ref.png     | Bin 504 -> 489 bytes
 test/reference/over-below-source.argb32.ref.png     | Bin 447 -> 440 bytes
 test/reference/over-below-source.rgb24.ref.png      | Bin 389 -> 376 bytes
 test/reference/over-between-source.argb32.ref.png   | Bin 607 -> 572 bytes
 test/reference/over-between-source.rgb24.ref.png    | Bin 482 -> 457 bytes
 test/reference/overlapping-dash-caps.ref.png        | Bin 0 -> 3952 bytes
 test/reference/paint-with-alpha-clip-mask.ref.png   | Bin 0 -> 335 bytes
 test/reference/partial-clip-text-bottom.ref.png     | Bin 0 -> 261 bytes
 test/reference/partial-clip-text-left.ref.png       | Bin 0 -> 301 bytes
 test/reference/partial-clip-text-right.ref.png      | Bin 0 -> 155 bytes
 test/reference/partial-clip-text-top.ref.png        | Bin 0 -> 181 bytes
 test/reference/path-append.ref.png                  | Bin 0 -> 6338 bytes
 test/reference/path-stroke-twice.ref.png            | Bin 0 -> 240 bytes
 test/reference/pthread-show-text.ref.png            | Bin 0 -> 30199 bytes
 test/reference/push-group-color.ref.png             | Bin 0 -> 3002 bytes
 test/reference/push-group.argb32.ref.png            | Bin 3116 -> 3123 bytes
 test/reference/push-group.rgb24.ref.png             | Bin 2929 -> 2951 bytes
 test/reference/random-clip.ref.png                  | Bin 0 -> 525010 bytes
 .../random-intersections-curves-eo.ref.png          | Bin 0 -> 244632 bytes
 .../random-intersections-curves-nz.ref.png          | Bin 0 -> 264413 bytes
 test/reference/random-intersections-eo.ref.png      | Bin 0 -> 135555 bytes
 test/reference/random-intersections-nonzero.ref.png | Bin 0 -> 141737 bytes
 test/reference/record-fill-alpha.ref.png            | Bin 0 -> 2754 bytes
 test/reference/record-paint-alpha-clip-mask.ref.png | Bin 0 -> 335 bytes
 test/reference/record-paint-alpha-clip.ref.png      | Bin 0 -> 290 bytes
 test/reference/record-select-font-face.ref.png      | Bin 0 -> 2250 bytes
 test/reference/record-text-transform.ref.png        | Bin 5281 -> 5579 bytes
 test/reference/record1414x-fill-alpha.ref.png       | Bin 0 -> 4124 bytes
 .../record1414x-paint-alpha-clip-mask.ref.png       | Bin 0 -> 460 bytes
 test/reference/record1414x-paint-alpha-clip.ref.png | Bin 0 -> 378 bytes
 .../record1414x-paint-alpha-solid-clip.ref.png      | Bin 0 -> 317 bytes
 test/reference/record1414x-paint-alpha.ref.png      | Bin 0 -> 265 bytes
 test/reference/record1414x-paint.ref.png            | Bin 0 -> 95 bytes
 test/reference/record1414x-select-font-face.ref.png | Bin 0 -> 3177 bytes
 .../reference/record1414x-self-intersecting.ref.png | Bin 0 -> 385 bytes
 test/reference/record1414x-text-transform.ref.png   | Bin 8365 -> 8713 bytes
 test/reference/record2x-fill-alpha.ref.png          | Bin 0 -> 5756 bytes
 .../record2x-paint-alpha-clip-mask.ref.png          | Bin 0 -> 483 bytes
 test/reference/record2x-paint-alpha-clip.ref.png    | Bin 0 -> 322 bytes
 .../record2x-paint-alpha-solid-clip.ref.png         | Bin 0 -> 281 bytes
 test/reference/record2x-paint-alpha.ref.png         | Bin 0 -> 291 bytes
 test/reference/record2x-paint.ref.png               | Bin 0 -> 98 bytes
 test/reference/record2x-select-font-face.ref.png    | Bin 0 -> 4407 bytes
 test/reference/record2x-self-intersecting.ref.png   | Bin 0 -> 171 bytes
 test/reference/record2x-text-transform.ref.png      | Bin 13072 -> 13476 bytes
 test/reference/record90-fill-alpha.ref.png          | Bin 0 -> 2656 bytes
 .../record90-paint-alpha-clip-mask.ref.png          | Bin 0 -> 317 bytes
 test/reference/record90-paint-alpha-clip.ref.png    | Bin 0 -> 306 bytes
 .../record90-paint-alpha-solid-clip.ref.png         | Bin 0 -> 293 bytes
 test/reference/record90-paint-alpha.ref.png         | Bin 0 -> 105 bytes
 test/reference/record90-paint.ref.png               | Bin 0 -> 93 bytes
 test/reference/record90-select-font-face.ref.png    | Bin 0 -> 2272 bytes
 test/reference/record90-self-intersecting.ref.png   | Bin 244 -> 240 bytes
 test/reference/record90-text-transform.ref.png      | Bin 5481 -> 5811 bytes
 test/reference/recordflip-fill-alpha.ref.png        | Bin 2864 -> 2803 bytes
 .../recordflip-paint-alpha-clip-mask.ref.png        | Bin 372 -> 351 bytes
 .../recording-surface-extend-none.argb32.ref.png    | Bin 0 -> 3670 bytes
 .../reference/recording-surface-extend-none.ref.png | Bin 3153 -> 0 bytes
 .../recording-surface-extend-none.rgb24.ref.png     | Bin 0 -> 3741 bytes
 .../recording-surface-extend-pad.argb32.ref.png     | Bin 0 -> 12932 bytes
 test/reference/recording-surface-extend-pad.ref.png | Bin 11200 -> 0 bytes
 .../recording-surface-extend-pad.rgb24.ref.png      | Bin 0 -> 13581 bytes
 .../recording-surface-extend-reflect.argb32.ref.png | Bin 0 -> 28910 bytes
 .../recording-surface-extend-reflect.ref.png        | Bin 23967 -> 0 bytes
 .../recording-surface-extend-reflect.rgb24.ref.png  | Bin 0 -> 25588 bytes
 .../recording-surface-extend-repeat.argb32.ref.png  | Bin 0 -> 29648 bytes
 .../recording-surface-extend-repeat.ref.png         | Bin 24091 -> 0 bytes
 .../recording-surface-extend-repeat.rgb24.ref.png   | Bin 0 -> 25337 bytes
 .../reference/recording-surface-over.argb32.ref.png | Bin 0 -> 3670 bytes
 test/reference/recording-surface-over.ref.png       | Bin 3153 -> 0 bytes
 test/reference/recording-surface-over.rgb24.ref.png | Bin 0 -> 3741 bytes
 .../recording-surface-source.argb32.ref.png         | Bin 0 -> 3688 bytes
 test/reference/recording-surface-source.ref.png     | Bin 3153 -> 0 bytes
 .../recording-surface-source.rgb24.ref.png          | Bin 0 -> 3738 bytes
 test/reference/rectilinear-miter-limit.ref.png      | Bin 0 -> 145 bytes
 .../rotate-clip-image-surface-paint.ref.png         | Bin 0 -> 332 bytes
 test/reference/rotated-clip.ref.png                 | Bin 0 -> 3834 bytes
 test/reference/rounded-rectangle-fill.ref.png       | Bin 0 -> 872 bytes
 test/reference/rounded-rectangle-stroke.ref.png     | Bin 833 -> 872 bytes
 test/reference/scale-offset-image.ref.png           | Bin 0 -> 9748 bytes
 test/reference/scale-offset-similar.ref.png         | Bin 0 -> 9779 bytes
 test/reference/scale-offset-xlib.ref.png            | Bin 0 -> 9120 bytes
 test/reference/select-font-face.ref.png             | Bin 0 -> 2250 bytes
 test/reference/self-copy.ref.png                    | Bin 0 -> 257 bytes
 test/reference/shape-general-convex.ref.png         | Bin 0 -> 2539 bytes
 test/reference/shape-sierpinski.ref.png             | Bin 0 -> 54850 bytes
 test/reference/show-glyphs-advance.ref.png          | Bin 0 -> 1394 bytes
 test/reference/show-text-current-point.ref.png      | Bin 0 -> 2151 bytes
 test/reference/simple-edge.xfail.png                | Bin 0 -> 2124 bytes
 test/reference/skew-extreme.ref.png                 | Bin 0 -> 944 bytes
 test/reference/smask-fill.ref.png                   | Bin 0 -> 1185 bytes
 test/reference/smask-image-mask.ref.png             | Bin 0 -> 619 bytes
 test/reference/smask-mask.ref.png                   | Bin 0 -> 2353 bytes
 test/reference/smask-paint.ref.png                  | Bin 0 -> 2469 bytes
 test/reference/smask-stroke.ref.png                 | Bin 0 -> 1701 bytes
 test/reference/smask-text.ref.png                   | Bin 0 -> 1661 bytes
 test/reference/smask.ref.png                        | Bin 0 -> 3422 bytes
 test/reference/spline-decomposition.ref.png         | Bin 0 -> 19578 bytes
 test/reference/stride-12-xlib.ref.png               | Bin 0 -> 81121 bytes
 test/reference/stroke-clipped.ref.png               | Bin 0 -> 5845 bytes
 test/reference/stroke-image.ref.png                 | Bin 0 -> 1455 bytes
 test/reference/stroke-pattern.ref.png               | Bin 0 -> 1514 bytes
 test/reference/stroke-xlib.ref.png                  | Bin 0 -> 1467 bytes
 test/reference/subsurface-scale.ref.png             | Bin 0 -> 5921 bytes
 test/reference/subsurface.ref.png                   | Bin 0 -> 1811 bytes
 .../surface-pattern-operator.argb32.ref.png         | Bin 5107 -> 5087 bytes
 .../surface-pattern-operator.rgb24.ref.png          | Bin 1926 -> 1919 bytes
 test/reference/surface-pattern-scale-down.ref.png   | Bin 0 -> 1326 bytes
 test/reference/surface-pattern-scale-up.ref.png     | Bin 0 -> 4020 bytes
 test/reference/surface-pattern.ref.png              | Bin 0 -> 11088 bytes
 test/reference/text-antialias-gray.ref.png          | Bin 0 -> 966 bytes
 test/reference/text-antialias-subpixel-bgr.ref.png  | Bin 0 -> 1124 bytes
 test/reference/text-antialias-subpixel-rgb.ref.png  | Bin 0 -> 1109 bytes
 test/reference/text-antialias-subpixel-vbgr.ref.png | Bin 0 -> 1205 bytes
 test/reference/text-antialias-subpixel-vrgb.ref.png | Bin 0 -> 1180 bytes
 test/reference/text-antialias-subpixel.ref.png      | Bin 0 -> 1109 bytes
 test/reference/text-glyph-range.ref.png             | Bin 0 -> 1928 bytes
 test/reference/text-rotate.ref.png                  | Bin 0 -> 16356 bytes
 test/reference/tiger.ref.png                        | Bin 0 -> 94477 bytes
 test/reference/tighten-bounds.argb32.ref.png        | Bin 0 -> 8997 bytes
 test/reference/tighten-bounds.ref.png               | Bin 9443 -> 0 bytes
 test/reference/tighten-bounds.rgb24.ref.png         | Bin 0 -> 8450 bytes
 test/reference/transforms.ref.png                   | Bin 0 -> 348 bytes
 test/reference/trap-clip.argb32.ref.png             | Bin 5972 -> 5822 bytes
 test/reference/trap-clip.rgb24.ref.png              | Bin 5462 -> 5422 bytes
 test/reference/twin-antialias-gray.ref.png          | Bin 0 -> 3536 bytes
 test/reference/twin-antialias-mixed.ref.png         | Bin 0 -> 2392 bytes
 test/reference/twin-antialias-none.ref.png          | Bin 0 -> 688 bytes
 test/reference/twin-antialias-subpixel.ref.png      | Bin 0 -> 3536 bytes
 test/reference/twin.ref.png                         | Bin 0 -> 3536 bytes
 test/reference/unbounded-operator.argb32.ref.png    | Bin 2755 -> 2744 bytes
 test/reference/unbounded-operator.rgb24.ref.png     | Bin 1328 -> 1303 bytes
 test/reference/user-font-proxy.ref.png              | Bin 0 -> 16981 bytes
 test/reference/user-font-rescale.ref.png            | Bin 0 -> 14883 bytes
 test/reference/user-font.ref.png                    | Bin 0 -> 5875 bytes
 test/reference/world-map-fill.ref.png               | Bin 0 -> 57407 bytes
 test/reference/world-map-stroke.ref.png             | Bin 0 -> 65152 bytes
 test/reference/world-map.ref.png                    | Bin 0 -> 70463 bytes
 294 files changed, 0 insertions(+), 0 deletions(-)

commit 950f1e7103a3b4f3405fbb3ee2844ed24b902834
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 2 07:52:05 2014 +0100

    tor: Enable analytic processing for starting rows
    
    If all the edges start at the very beginning of the whole row, we can
    merge them and include check for intersections/endings during the row.
    This allows us to enable fast analytic processing for even the very
    first row on pixel aligned vertices.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-tor-scan-converter.c | 27 +++++++++++++++++----------
 1 file changed, 17 insertions(+), 10 deletions(-)

commit 1a32ce83e4c1f3ca22a3f137b0126003a0e3d6e7
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 1 12:59:29 2014 +0100

    tor: Perform analytic coverage over the pixel not sample points
    
    We use two different methods within tor to compute the coverage.
    The first is that we iterate over every sample point within the pixel
    and see if it is covered. The second is that we look at a whole pixel
    and analytically compute the coverage inside (if we have no
    intersections within that row).
    
    One side effect of
    
    commit 03c3d4b7c159a3004071522bac2461e553fec211
    Author: Chris Wilson <chris@chris-wilson.co.uk>
    Date:   Tue Sep 30 08:44:43 2014 +0100
    
        tor: Fix loss of precision from projection onto sample grid
    
    was to compute our X coordinates for the sample locations (offset by
    half a subrow) and that in order to compute the analytical pixel
    coverage correctly, we therefore need to backstep by half the subrow to
    the pixel boundary.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=84396
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-tor-scan-converter.c | 67 ++++++++++++++++++++++++++++++------------
 1 file changed, 49 insertions(+), 18 deletions(-)

commit 79c8b14b9fd8716d47fab4436b34d26b0135e9d7
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 2 00:20:52 2014 +0100

    test/simple: Tighten sanity checks in reference image generator
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/simple.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 50b41e214533ea5fd3b64128306b6cb94d353145
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 1 22:50:10 2014 +0100

    test: Add a simple rasteriser to check fidelity of edge rendering
    
    In order to check the behaviour of the analytic rasteriser inside tor,
    let's compare it against a very simple rasteriser that uses a rectiliner
    256x256 sample grid.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/Makefile.sources              |   1 +
 test/reference/simple-edge.ref.png | Bin 0 -> 1922 bytes
 test/simple.c                      | 347 +++++++++++++++++++++++++++++++++++++
 3 files changed, 348 insertions(+)

commit 2144e7f48ba49d5bdb4a0dd1fb672be9d313fb65
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 30 16:18:34 2014 +0100

    test: Fix coverage-abutting
    
    Using CAIRO_OPERATOR_OVER in case causes oversampling of the coincident
    edges, to measure coverage we should only use ADD. :|
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/coverage.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0c42d5c176b27725ac8ab293c3e941be64f51613
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 30 16:14:57 2014 +0100

    test: Add another coverage example demonstrating the seams in tor
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=84396
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/coverage.c                          |  53 +++++++++++++++++++++++++++++++
 test/reference/coverage-abutting.ref.png | Bin 0 -> 777 bytes
 2 files changed, 53 insertions(+)

commit 95e147bfa05a122541645f32be52cf1902c3a4b2
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 30 14:30:45 2014 +0100

    test: Explicitly flip the reference image for recordflip
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/recordflip.c                                  |  58 +++++++++++++++++++--
 test/reference/recordflip-fill-alpha.ref.png       | Bin 2790 -> 2864 bytes
 .../recordflip-paint-alpha-clip-mask.ref.png       | Bin 340 -> 372 bytes
 test/reference/recordflip-paint-alpha-clip.ref.png | Bin 291 -> 316 bytes
 .../recordflip-paint-alpha-solid-clip.ref.png      | Bin 280 -> 291 bytes
 test/reference/recordflip-paint-alpha.ref.png      | Bin 242 -> 257 bytes
 test/reference/recordflip-select-font-face.ref.png | Bin 2229 -> 2240 bytes
 test/reference/recordflip-text-transform.ref.png   | Bin 5606 -> 5609 bytes
 8 files changed, 55 insertions(+), 3 deletions(-)

commit ccd48b346436a80629e4f9a07f2ba7ffbfd802f1
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 30 14:06:21 2014 +0100

    test: Remove more duplicated reference images
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/reference/a8-clear.argb32.ref.png                 | Bin 269 -> 0 bytes
 test/reference/a8-clear.rgb24.ref.png                  | Bin 269 -> 0 bytes
 test/reference/aliasing.argb32.ref.png                 | Bin 104193 -> 0 bytes
 test/reference/aliasing.rgb24.ref.png                  | Bin 104193 -> 0 bytes
 test/reference/arc-direction.argb32.ref.png            | Bin 6473 -> 0 bytes
 test/reference/arc-direction.rgb24.ref.png             | Bin 6473 -> 0 bytes
 test/reference/big-line.argb32.ref.png                 | Bin 977 -> 0 bytes
 test/reference/big-line.rgb24.ref.png                  | Bin 977 -> 0 bytes
 test/reference/bilevel-xlib.argb32.ref.png             | Bin 105 -> 0 bytes
 test/reference/bilevel-xlib.rgb24.ref.png              | Bin 105 -> 0 bytes
 test/reference/bug-40410.argb32.ref.png                | Bin 429 -> 0 bytes
 test/reference/bug-40410.rgb24.ref.png                 | Bin 429 -> 0 bytes
 test/reference/bug-bo-ricotz.argb32.ref.png            | Bin 2128 -> 0 bytes
 test/reference/bug-bo-ricotz.rgb24.ref.png             | Bin 2128 -> 0 bytes
 test/reference/bug-extents.argb32.ref.png              | Bin 9264 -> 0 bytes
 test/reference/bug-extents.rgb24.ref.png               | Bin 9264 -> 0 bytes
 test/reference/bug-spline.argb32.ref.png               | Bin 5490 -> 0 bytes
 test/reference/bug-spline.rgb24.ref.png                | Bin 5490 -> 0 bytes
 test/reference/caps-joins-alpha.argb32.ref.png         | Bin 2482 -> 0 bytes
 test/reference/caps-joins-alpha.rgb24.ref.png          | Bin 2482 -> 0 bytes
 test/reference/caps-joins-curve.argb32.ref.png         | Bin 5972 -> 0 bytes
 test/reference/caps-joins-curve.rgb24.ref.png          | Bin 5972 -> 0 bytes
 test/reference/caps-joins.argb32.ref.png               | Bin 2893 -> 0 bytes
 test/reference/caps-joins.rgb24.ref.png                | Bin 2893 -> 0 bytes
 test/reference/caps-sub-paths.argb32.ref.png           | Bin 168 -> 0 bytes
 test/reference/caps-sub-paths.rgb24.ref.png            | Bin 168 -> 0 bytes
 test/reference/caps-tails-curve.argb32.ref.png         | Bin 54409 -> 0 bytes
 test/reference/caps-tails-curve.rgb24.ref.png          | Bin 54409 -> 0 bytes
 test/reference/caps.argb32.ref.png                     | Bin 2115 -> 0 bytes
 test/reference/caps.rgb24.ref.png                      | Bin 2115 -> 0 bytes
 test/reference/clear-source.argb32.ref.png             | Bin 882 -> 0 bytes
 test/reference/clear-source.rgb24.ref.png              | Bin 882 -> 0 bytes
 test/reference/clip-disjoint-hatching.argb32.ref.png   | Bin 7918 -> 0 bytes
 test/reference/clip-disjoint-hatching.rgb24.ref.png    | Bin 7918 -> 0 bytes
 test/reference/clip-disjoint-quad.argb32.ref.png       | Bin 1642 -> 0 bytes
 test/reference/clip-disjoint-quad.rgb24.ref.png        | Bin 1642 -> 0 bytes
 test/reference/clip-disjoint.argb32.ref.png            | Bin 5464 -> 0 bytes
 test/reference/clip-disjoint.rgb24.ref.png             | Bin 5464 -> 0 bytes
 test/reference/clip-fill.argb32.ref.png                | Bin 1064 -> 0 bytes
 test/reference/clip-fill.rgb24.ref.png                 | Bin 1064 -> 0 bytes
 .../reference/clip-group-shapes-circles.argb32.ref.png | Bin 1533 -> 0 bytes
 test/reference/clip-group-shapes-circles.rgb24.ref.png | Bin 1533 -> 0 bytes
 test/reference/clip-image.argb32.ref.png               | Bin 2677 -> 0 bytes
 test/reference/clip-image.rgb24.ref.png                | Bin 2677 -> 0 bytes
 test/reference/clip-intersect.argb32.ref.png           | Bin 223 -> 0 bytes
 test/reference/clip-intersect.rgb24.ref.png            | Bin 223 -> 0 bytes
 test/reference/clip-mixed-antialias.argb32.ref.png     | Bin 1084 -> 0 bytes
 test/reference/clip-mixed-antialias.rgb24.ref.png      | Bin 1084 -> 0 bytes
 test/reference/clip-operator.ref.png                   | Bin 8257 -> 0 bytes
 test/reference/clip-polygons.argb32.ref.png            | Bin 1352 -> 0 bytes
 test/reference/clip-polygons.rgb24.ref.png             | Bin 1352 -> 0 bytes
 test/reference/clip-push-group.argb32.ref.png          | Bin 164 -> 0 bytes
 test/reference/clip-push-group.rgb24.ref.png           | Bin 164 -> 0 bytes
 test/reference/clip-shape.argb32.ref.png               | Bin 2923 -> 0 bytes
 test/reference/clip-shape.rgb24.ref.png                | Bin 2923 -> 0 bytes
 test/reference/clip-stroke.argb32.ref.png              | Bin 1551 -> 0 bytes
 test/reference/clip-stroke.rgb24.ref.png               | Bin 1551 -> 0 bytes
 test/reference/clip-text.argb32.ref.png                | Bin 918 -> 0 bytes
 test/reference/clip-text.rgb24.ref.png                 | Bin 918 -> 0 bytes
 test/reference/clip-xlib.argb32.ref.png                | Bin 2686 -> 0 bytes
 test/reference/clip-xlib.rgb24.ref.png                 | Bin 2686 -> 0 bytes
 test/reference/clipped-group.argb32.ref.png            | Bin 315 -> 0 bytes
 test/reference/clipped-group.rgb24.ref.png             | Bin 315 -> 0 bytes
 test/reference/close-path.argb32.ref.png               | Bin 294 -> 0 bytes
 test/reference/close-path.rgb24.ref.png                | Bin 294 -> 0 bytes
 test/reference/copy-path.argb32.ref.png                | Bin 616 -> 0 bytes
 test/reference/copy-path.rgb24.ref.png                 | Bin 616 -> 0 bytes
 test/reference/create-from-png.argb32.ref.png          | Bin 96 -> 0 bytes
 test/reference/create-from-png.rgb24.ref.png           | Bin 96 -> 0 bytes
 test/reference/culled-glyphs.argb32.ref.png            | Bin 440 -> 0 bytes
 test/reference/culled-glyphs.rgb24.ref.png             | Bin 440 -> 0 bytes
 test/reference/dash-curve.argb32.ref.png               | Bin 41069 -> 0 bytes
 test/reference/dash-curve.rgb24.ref.png                | Bin 41069 -> 0 bytes
 test/reference/dash-infinite-loop.argb32.ref.png       | Bin 877 -> 0 bytes
 test/reference/dash-infinite-loop.rgb24.ref.png        | Bin 877 -> 0 bytes
 test/reference/dash-offset-negative.argb32.ref.png     | Bin 129 -> 0 bytes
 test/reference/dash-offset-negative.rgb24.ref.png      | Bin 129 -> 0 bytes
 test/reference/dash-state.argb32.ref.png               | Bin 8027 -> 0 bytes
 test/reference/dash-state.rgb24.ref.png                | Bin 8027 -> 0 bytes
 test/reference/degenerate-arc.argb32.ref.png           | Bin 646 -> 0 bytes
 test/reference/degenerate-arc.rgb24.ref.png            | Bin 646 -> 0 bytes
 test/reference/degenerate-dash.argb32.ref.png          | Bin 1908 -> 0 bytes
 test/reference/degenerate-dash.rgb24.ref.png           | Bin 1908 -> 0 bytes
 .../degenerate-linear-gradient.argb32.ref.png          | Bin 336 -> 0 bytes
 .../reference/degenerate-linear-gradient.rgb24.ref.png | Bin 336 -> 0 bytes
 test/reference/degenerate-pen.argb32.ref.png           | Bin 1019 -> 0 bytes
 test/reference/degenerate-pen.rgb24.ref.png            | Bin 1019 -> 0 bytes
 test/reference/extend-pad-border.argb32.ref.png        | Bin 495 -> 0 bytes
 test/reference/extend-pad-border.rgb24.ref.png         | Bin 495 -> 0 bytes
 test/reference/fill-alpha-pattern.argb32.ref.png       | Bin 3489 -> 0 bytes
 test/reference/fill-alpha-pattern.rgb24.ref.png        | Bin 3489 -> 0 bytes
 test/reference/fill-alpha.argb32.ref.png               | Bin 2815 -> 0 bytes
 test/reference/fill-alpha.rgb24.ref.png                | Bin 2815 -> 0 bytes
 .../reference/fill-and-stroke-alpha-add.argb32.ref.png | Bin 558 -> 0 bytes
 test/reference/fill-and-stroke-alpha-add.rgb24.ref.png | Bin 558 -> 0 bytes
 test/reference/fill-and-stroke-alpha.argb32.ref.png    | Bin 513 -> 0 bytes
 test/reference/fill-and-stroke-alpha.rgb24.ref.png     | Bin 513 -> 0 bytes
 test/reference/fill-image.argb32.ref.png               | Bin 1315 -> 0 bytes
 test/reference/fill-image.rgb24.ref.png                | Bin 1315 -> 0 bytes
 test/reference/fill-xlib.argb32.ref.png                | Bin 1458 -> 0 bytes
 test/reference/fill-xlib.rgb24.ref.png                 | Bin 1458 -> 0 bytes
 test/reference/filter-bilinear-extents.argb32.ref.png  | Bin 1210 -> 0 bytes
 test/reference/filter-bilinear-extents.rgb24.ref.png   | Bin 1210 -> 0 bytes
 test/reference/font-matrix-translation.argb32.ref.png  | Bin 865 -> 0 bytes
 test/reference/font-matrix-translation.rgb24.ref.png   | Bin 865 -> 0 bytes
 .../ft-show-glyphs-positioning.argb32.ref.png          | Bin 3243 -> 0 bytes
 .../reference/ft-show-glyphs-positioning.rgb24.ref.png | Bin 3243 -> 0 bytes
 test/reference/ft-show-glyphs-table.argb32.ref.png     | Bin 9975 -> 0 bytes
 test/reference/ft-show-glyphs-table.rgb24.ref.png      | Bin 9975 -> 0 bytes
 .../ft-text-vertical-layout-type1.argb32.ref.png       | Bin 3075 -> 0 bytes
 .../ft-text-vertical-layout-type1.rgb24.ref.png        | Bin 3075 -> 0 bytes
 .../ft-text-vertical-layout-type3.argb32.ref.png       | Bin 3609 -> 0 bytes
 .../ft-text-vertical-layout-type3.rgb24.ref.png        | Bin 3609 -> 0 bytes
 test/reference/glyph-cache-pressure.argb32.ref.png     | Bin 2858 -> 0 bytes
 test/reference/glyph-cache-pressure.rgb24.ref.png      | Bin 2858 -> 0 bytes
 test/reference/group-unaligned.argb32.ref.png          | Bin 494 -> 0 bytes
 test/reference/group-unaligned.rgb24.ref.png           | Bin 494 -> 0 bytes
 test/reference/halo-transform.argb32.ref.png           | Bin 15234 -> 0 bytes
 test/reference/halo-transform.rgb24.ref.png            | Bin 15234 -> 0 bytes
 test/reference/halo.argb32.ref.png                     | Bin 8621 -> 0 bytes
 test/reference/halo.rgb24.ref.png                      | Bin 8621 -> 0 bytes
 test/reference/hatchings.argb32.ref.png                | Bin 90640 -> 0 bytes
 test/reference/hatchings.rgb24.ref.png                 | Bin 90640 -> 0 bytes
 test/reference/horizontal-clip.argb32.ref.png          | Bin 113 -> 0 bytes
 test/reference/horizontal-clip.rgb24.ref.png           | Bin 113 -> 0 bytes
 test/reference/huge-linear.argb32.ref.png              | Bin 1600 -> 0 bytes
 test/reference/huge-linear.rgb24.ref.png               | Bin 1600 -> 0 bytes
 test/reference/infinite-join.argb32.ref.png            | Bin 164 -> 0 bytes
 test/reference/infinite-join.rgb24.ref.png             | Bin 164 -> 0 bytes
 test/reference/joins-loop.argb32.ref.png               | Bin 4492 -> 0 bytes
 test/reference/joins-loop.rgb24.ref.png                | Bin 4492 -> 0 bytes
 test/reference/joins-star.argb32.ref.png               | Bin 4914 -> 0 bytes
 test/reference/joins-star.rgb24.ref.png                | Bin 4914 -> 0 bytes
 .../large-twin-antialias-mixed.argb32.ref.png          | Bin 16442 -> 0 bytes
 .../reference/large-twin-antialias-mixed.rgb24.ref.png | Bin 16442 -> 0 bytes
 test/reference/leaky-dashed-stroke.argb32.ref.png      | Bin 9286 -> 0 bytes
 test/reference/leaky-dashed-stroke.rgb24.ref.png       | Bin 9286 -> 0 bytes
 test/reference/leaky-polygon.argb32.ref.png            | Bin 337 -> 0 bytes
 test/reference/leaky-polygon.rgb24.ref.png             | Bin 337 -> 0 bytes
 .../line-width-large-overlap-rotated.argb32.ref.png    | Bin 439 -> 0 bytes
 .../line-width-large-overlap-rotated.rgb24.ref.png     | Bin 439 -> 0 bytes
 .../line-width-overlap-rotated.argb32.ref.png          | Bin 722 -> 0 bytes
 .../reference/line-width-overlap-rotated.rgb24.ref.png | Bin 722 -> 0 bytes
 test/reference/line-width-scale.argb32.ref.png         | Bin 5721 -> 0 bytes
 test/reference/line-width-scale.rgb24.ref.png          | Bin 5721 -> 0 bytes
 test/reference/line-width-tolerance.argb32.ref.png     | Bin 168 -> 0 bytes
 test/reference/line-width-tolerance.rgb24.ref.png      | Bin 168 -> 0 bytes
 test/reference/line-width.argb32.ref.png               | Bin 178 -> 0 bytes
 test/reference/line-width.rgb24.ref.png                | Bin 178 -> 0 bytes
 test/reference/linear-gradient-reflect.argb32.ref.png  | Bin 185 -> 0 bytes
 test/reference/linear-gradient-reflect.rgb24.ref.png   | Bin 185 -> 0 bytes
 test/reference/linear-gradient-subset.argb32.ref.png   | Bin 813 -> 0 bytes
 test/reference/linear-gradient-subset.rgb24.ref.png    | Bin 813 -> 0 bytes
 test/reference/linear-gradient.argb32.ref.png          | Bin 959 -> 0 bytes
 test/reference/linear-gradient.rgb24.ref.png           | Bin 959 -> 0 bytes
 test/reference/long-dashed-lines.argb32.ref.png        | Bin 2548 -> 0 bytes
 test/reference/long-dashed-lines.rgb24.ref.png         | Bin 2548 -> 0 bytes
 test/reference/map-all-to-xlib.argb32.ref.png          | Bin 86 -> 0 bytes
 test/reference/map-all-to-xlib.rgb24.ref.png           | Bin 86 -> 0 bytes
 test/reference/map-bit-to-xlib.argb32.ref.png          | Bin 103 -> 0 bytes
 test/reference/map-bit-to-xlib.rgb24.ref.png           | Bin 103 -> 0 bytes
 test/reference/mask-transformed-image.argb32.ref.png   | Bin 3812 -> 0 bytes
 test/reference/mask-transformed-image.rgb24.ref.png    | Bin 3812 -> 0 bytes
 test/reference/mask-transformed-similar.argb32.ref.png | Bin 3812 -> 0 bytes
 test/reference/mask-transformed-similar.rgb24.ref.png  | Bin 3812 -> 0 bytes
 test/reference/mask-transformed-xlib.argb32.ref.png    | Bin 3809 -> 0 bytes
 test/reference/mask-transformed-xlib.rgb24.ref.png     | Bin 3809 -> 0 bytes
 test/reference/miter-precision.argb32.ref.png          | Bin 1030 -> 0 bytes
 test/reference/miter-precision.rgb24.ref.png           | Bin 1030 -> 0 bytes
 test/reference/overlapping-dash-caps.argb32.ref.png    | Bin 3952 -> 0 bytes
 test/reference/overlapping-dash-caps.rgb24.ref.png     | Bin 3952 -> 0 bytes
 .../paint-with-alpha-clip-mask.argb32.ref.png          | Bin 351 -> 0 bytes
 .../reference/paint-with-alpha-clip-mask.rgb24.ref.png | Bin 351 -> 0 bytes
 test/reference/partial-clip-text-bottom.argb32.ref.png | Bin 261 -> 0 bytes
 test/reference/partial-clip-text-bottom.rgb24.ref.png  | Bin 261 -> 0 bytes
 test/reference/partial-clip-text-left.argb32.ref.png   | Bin 301 -> 0 bytes
 test/reference/partial-clip-text-left.rgb24.ref.png    | Bin 301 -> 0 bytes
 test/reference/partial-clip-text-right.argb32.ref.png  | Bin 155 -> 0 bytes
 test/reference/partial-clip-text-right.rgb24.ref.png   | Bin 155 -> 0 bytes
 test/reference/partial-clip-text-top.argb32.ref.png    | Bin 181 -> 0 bytes
 test/reference/partial-clip-text-top.rgb24.ref.png     | Bin 181 -> 0 bytes
 test/reference/path-append.argb32.ref.png              | Bin 6309 -> 0 bytes
 test/reference/path-append.rgb24.ref.png               | Bin 6309 -> 0 bytes
 test/reference/path-stroke-twice.argb32.ref.png        | Bin 240 -> 0 bytes
 test/reference/path-stroke-twice.rgb24.ref.png         | Bin 240 -> 0 bytes
 test/reference/pthread-show-text.argb32.ref.png        | Bin 30199 -> 0 bytes
 test/reference/pthread-show-text.rgb24.ref.png         | Bin 30199 -> 0 bytes
 test/reference/push-group-color.argb32.ref.png         | Bin 2976 -> 0 bytes
 test/reference/push-group-color.rgb24.ref.png          | Bin 2976 -> 0 bytes
 test/reference/random-clip.argb32.ref.png              | Bin 525469 -> 0 bytes
 test/reference/random-clip.rgb24.ref.png               | Bin 525469 -> 0 bytes
 .../random-intersections-curves-eo.argb32.ref.png      | Bin 244656 -> 0 bytes
 .../random-intersections-curves-eo.rgb24.ref.png       | Bin 244656 -> 0 bytes
 .../random-intersections-curves-nz.argb32.ref.png      | Bin 264449 -> 0 bytes
 .../random-intersections-curves-nz.rgb24.ref.png       | Bin 264449 -> 0 bytes
 test/reference/random-intersections-eo.argb32.ref.png  | Bin 135556 -> 0 bytes
 test/reference/random-intersections-eo.rgb24.ref.png   | Bin 135556 -> 0 bytes
 .../random-intersections-nonzero.argb32.ref.png        | Bin 141582 -> 0 bytes
 .../random-intersections-nonzero.rgb24.ref.png         | Bin 141582 -> 0 bytes
 test/reference/record-fill-alpha.argb32.ref.png        | Bin 2822 -> 0 bytes
 test/reference/record-fill-alpha.rgb24.ref.png         | Bin 2822 -> 0 bytes
 .../record-paint-alpha-clip-mask.argb32.ref.png        | Bin 321 -> 0 bytes
 .../record-paint-alpha-clip-mask.rgb24.ref.png         | Bin 321 -> 0 bytes
 test/reference/record-paint-alpha-clip.argb32.ref.png  | Bin 290 -> 0 bytes
 test/reference/record-paint-alpha-clip.rgb24.ref.png   | Bin 290 -> 0 bytes
 test/reference/record-select-font-face.argb32.ref.png  | Bin 2250 -> 0 bytes
 test/reference/record-select-font-face.rgb24.ref.png   | Bin 2250 -> 0 bytes
 test/reference/record1414x-fill-alpha.argb32.ref.png   | Bin 4244 -> 0 bytes
 test/reference/record1414x-fill-alpha.rgb24.ref.png    | Bin 4244 -> 0 bytes
 .../record1414x-paint-alpha-clip-mask.argb32.ref.png   | Bin 544 -> 0 bytes
 .../record1414x-paint-alpha-clip-mask.rgb24.ref.png    | Bin 544 -> 0 bytes
 .../record1414x-paint-alpha-clip.argb32.ref.png        | Bin 378 -> 0 bytes
 .../record1414x-paint-alpha-clip.rgb24.ref.png         | Bin 378 -> 0 bytes
 .../record1414x-paint-alpha-solid-clip.argb32.ref.png  | Bin 317 -> 0 bytes
 .../record1414x-paint-alpha-solid-clip.rgb24.ref.png   | Bin 317 -> 0 bytes
 test/reference/record1414x-paint-alpha.argb32.ref.png  | Bin 265 -> 0 bytes
 test/reference/record1414x-paint-alpha.rgb24.ref.png   | Bin 265 -> 0 bytes
 test/reference/record1414x-paint.argb32.ref.png        | Bin 95 -> 0 bytes
 test/reference/record1414x-paint.rgb24.ref.png         | Bin 95 -> 0 bytes
 .../record1414x-select-font-face.argb32.ref.png        | Bin 3177 -> 0 bytes
 .../record1414x-select-font-face.rgb24.ref.png         | Bin 3177 -> 0 bytes
 .../record1414x-self-intersecting.argb32.ref.png       | Bin 394 -> 0 bytes
 .../record1414x-self-intersecting.rgb24.ref.png        | Bin 394 -> 0 bytes
 test/reference/record2x-fill-alpha.argb32.ref.png      | Bin 6016 -> 0 bytes
 test/reference/record2x-fill-alpha.rgb24.ref.png       | Bin 6016 -> 0 bytes
 .../record2x-paint-alpha-clip-mask.argb32.ref.png      | Bin 543 -> 0 bytes
 .../record2x-paint-alpha-clip-mask.rgb24.ref.png       | Bin 543 -> 0 bytes
 .../reference/record2x-paint-alpha-clip.argb32.ref.png | Bin 322 -> 0 bytes
 test/reference/record2x-paint-alpha-clip.rgb24.ref.png | Bin 322 -> 0 bytes
 .../record2x-paint-alpha-solid-clip.argb32.ref.png     | Bin 281 -> 0 bytes
 .../record2x-paint-alpha-solid-clip.rgb24.ref.png      | Bin 281 -> 0 bytes
 test/reference/record2x-paint-alpha.argb32.ref.png     | Bin 291 -> 0 bytes
 test/reference/record2x-paint-alpha.rgb24.ref.png      | Bin 291 -> 0 bytes
 test/reference/record2x-paint.argb32.ref.png           | Bin 98 -> 0 bytes
 test/reference/record2x-paint.rgb24.ref.png            | Bin 98 -> 0 bytes
 .../reference/record2x-select-font-face.argb32.ref.png | Bin 4407 -> 0 bytes
 test/reference/record2x-select-font-face.rgb24.ref.png | Bin 4407 -> 0 bytes
 .../record2x-self-intersecting.argb32.ref.png          | Bin 171 -> 0 bytes
 .../reference/record2x-self-intersecting.rgb24.ref.png | Bin 171 -> 0 bytes
 test/reference/record90-fill-alpha.argb32.ref.png      | Bin 2654 -> 0 bytes
 test/reference/record90-fill-alpha.rgb24.ref.png       | Bin 2654 -> 0 bytes
 .../record90-paint-alpha-clip-mask.argb32.ref.png      | Bin 317 -> 0 bytes
 .../record90-paint-alpha-clip-mask.rgb24.ref.png       | Bin 317 -> 0 bytes
 .../reference/record90-paint-alpha-clip.argb32.ref.png | Bin 335 -> 0 bytes
 test/reference/record90-paint-alpha-clip.rgb24.ref.png | Bin 335 -> 0 bytes
 .../record90-paint-alpha-solid-clip.argb32.ref.png     | Bin 293 -> 0 bytes
 .../record90-paint-alpha-solid-clip.rgb24.ref.png      | Bin 293 -> 0 bytes
 test/reference/record90-paint-alpha.argb32.ref.png     | Bin 105 -> 0 bytes
 test/reference/record90-paint-alpha.rgb24.ref.png      | Bin 105 -> 0 bytes
 test/reference/record90-paint.argb32.ref.png           | Bin 93 -> 0 bytes
 test/reference/record90-paint.rgb24.ref.png            | Bin 93 -> 0 bytes
 .../reference/record90-select-font-face.argb32.ref.png | Bin 2272 -> 0 bytes
 test/reference/record90-select-font-face.rgb24.ref.png | Bin 2272 -> 0 bytes
 test/reference/rectilinear-miter-limit.argb32.ref.png  | Bin 145 -> 0 bytes
 test/reference/rectilinear-miter-limit.rgb24.ref.png   | Bin 145 -> 0 bytes
 .../rotate-clip-image-surface-paint.argb32.ref.png     | Bin 331 -> 0 bytes
 .../rotate-clip-image-surface-paint.rgb24.ref.png      | Bin 331 -> 0 bytes
 test/reference/rotated-clip.argb32.ref.png             | Bin 3829 -> 0 bytes
 test/reference/rotated-clip.rgb24.ref.png              | Bin 3829 -> 0 bytes
 test/reference/rounded-rectangle-fill.argb32.ref.png   | Bin 787 -> 0 bytes
 test/reference/rounded-rectangle-fill.rgb24.ref.png    | Bin 787 -> 0 bytes
 test/reference/scale-offset-image.argb32.ref.png       | Bin 9748 -> 0 bytes
 test/reference/scale-offset-image.rgb24.ref.png        | Bin 9748 -> 0 bytes
 test/reference/scale-offset-similar.argb32.ref.png     | Bin 9779 -> 0 bytes
 test/reference/scale-offset-similar.rgb24.ref.png      | Bin 9779 -> 0 bytes
 test/reference/scale-offset-xlib.argb32.ref.png        | Bin 9120 -> 0 bytes
 test/reference/scale-offset-xlib.rgb24.ref.png         | Bin 9120 -> 0 bytes
 test/reference/select-font-face.argb32.ref.png         | Bin 2250 -> 0 bytes
 test/reference/select-font-face.rgb24.ref.png          | Bin 2250 -> 0 bytes
 test/reference/self-copy.argb32.ref.png                | Bin 257 -> 0 bytes
 test/reference/self-copy.rgb24.ref.png                 | Bin 257 -> 0 bytes
 test/reference/shape-general-convex.argb32.ref.png     | Bin 2539 -> 0 bytes
 test/reference/shape-general-convex.rgb24.ref.png      | Bin 2539 -> 0 bytes
 test/reference/shape-sierpinski.argb32.ref.png         | Bin 54850 -> 0 bytes
 test/reference/shape-sierpinski.rgb24.ref.png          | Bin 54850 -> 0 bytes
 test/reference/show-glyphs-advance.argb32.ref.png      | Bin 1394 -> 0 bytes
 test/reference/show-glyphs-advance.rgb24.ref.png       | Bin 1394 -> 0 bytes
 test/reference/show-text-current-point.argb32.ref.png  | Bin 2151 -> 0 bytes
 test/reference/show-text-current-point.rgb24.ref.png   | Bin 2151 -> 0 bytes
 test/reference/skew-extreme.argb32.ref.png             | Bin 799 -> 0 bytes
 test/reference/skew-extreme.rgb24.ref.png              | Bin 799 -> 0 bytes
 test/reference/smask-fill.argb32.ref.png               | Bin 1196 -> 0 bytes
 test/reference/smask-fill.rgb24.ref.png                | Bin 1196 -> 0 bytes
 test/reference/smask-image-mask.argb32.ref.png         | Bin 619 -> 0 bytes
 test/reference/smask-image-mask.rgb24.ref.png          | Bin 619 -> 0 bytes
 test/reference/smask-mask.argb32.ref.png               | Bin 2353 -> 0 bytes
 test/reference/smask-mask.rgb24.ref.png                | Bin 2353 -> 0 bytes
 test/reference/smask-paint.argb32.ref.png              | Bin 2469 -> 0 bytes
 test/reference/smask-paint.rgb24.ref.png               | Bin 2469 -> 0 bytes
 test/reference/smask-stroke.argb32.ref.png             | Bin 1700 -> 0 bytes
 test/reference/smask-stroke.rgb24.ref.png              | Bin 1700 -> 0 bytes
 test/reference/smask-text.argb32.ref.png               | Bin 1661 -> 0 bytes
 test/reference/smask-text.rgb24.ref.png                | Bin 1661 -> 0 bytes
 test/reference/smask.argb32.ref.png                    | Bin 3422 -> 0 bytes
 test/reference/smask.rgb24.ref.png                     | Bin 3422 -> 0 bytes
 test/reference/spline-decomposition.argb32.ref.png     | Bin 19520 -> 0 bytes
 test/reference/spline-decomposition.rgb24.ref.png      | Bin 19520 -> 0 bytes
 test/reference/stride-12-xlib.argb32.ref.png           | Bin 81121 -> 0 bytes
 test/reference/stride-12-xlib.rgb24.ref.png            | Bin 81121 -> 0 bytes
 test/reference/stroke-clipped.argb32.ref.png           | Bin 5857 -> 0 bytes
 test/reference/stroke-clipped.rgb24.ref.png            | Bin 5857 -> 0 bytes
 test/reference/stroke-image.argb32.ref.png             | Bin 1424 -> 0 bytes
 test/reference/stroke-image.rgb24.ref.png              | Bin 1424 -> 0 bytes
 test/reference/stroke-pattern.argb32.ref.png           | Bin 1510 -> 0 bytes
 test/reference/stroke-pattern.rgb24.ref.png            | Bin 1510 -> 0 bytes
 test/reference/stroke-xlib.argb32.ref.png              | Bin 1467 -> 0 bytes
 test/reference/stroke-xlib.rgb24.ref.png               | Bin 1467 -> 0 bytes
 test/reference/subsurface-scale.argb32.ref.png         | Bin 5921 -> 0 bytes
 test/reference/subsurface-scale.rgb24.ref.png          | Bin 5921 -> 0 bytes
 test/reference/subsurface.argb32.ref.png               | Bin 1811 -> 0 bytes
 test/reference/subsurface.rgb24.ref.png                | Bin 1811 -> 0 bytes
 .../surface-pattern-scale-down.argb32.ref.png          | Bin 1326 -> 0 bytes
 .../reference/surface-pattern-scale-down.rgb24.ref.png | Bin 1326 -> 0 bytes
 test/reference/surface-pattern-scale-up.argb32.ref.png | Bin 4020 -> 0 bytes
 test/reference/surface-pattern-scale-up.rgb24.ref.png  | Bin 4020 -> 0 bytes
 test/reference/surface-pattern.argb32.ref.png          | Bin 11088 -> 0 bytes
 test/reference/surface-pattern.rgb24.ref.png           | Bin 11088 -> 0 bytes
 test/reference/text-antialias-gray.argb32.ref.png      | Bin 966 -> 0 bytes
 test/reference/text-antialias-gray.rgb24.ref.png       | Bin 966 -> 0 bytes
 .../text-antialias-subpixel-bgr.argb32.ref.png         | Bin 1005 -> 0 bytes
 .../text-antialias-subpixel-bgr.rgb24.ref.png          | Bin 1005 -> 0 bytes
 .../text-antialias-subpixel-rgb.argb32.ref.png         | Bin 1013 -> 0 bytes
 .../text-antialias-subpixel-rgb.rgb24.ref.png          | Bin 1013 -> 0 bytes
 .../text-antialias-subpixel-vbgr.argb32.ref.png        | Bin 985 -> 0 bytes
 .../text-antialias-subpixel-vbgr.rgb24.ref.png         | Bin 985 -> 0 bytes
 .../text-antialias-subpixel-vrgb.argb32.ref.png        | Bin 1009 -> 0 bytes
 .../text-antialias-subpixel-vrgb.rgb24.ref.png         | Bin 1009 -> 0 bytes
 test/reference/text-antialias-subpixel.argb32.ref.png  | Bin 1013 -> 0 bytes
 test/reference/text-antialias-subpixel.rgb24.ref.png   | Bin 1013 -> 0 bytes
 test/reference/text-glyph-range.argb32.ref.png         | Bin 1928 -> 0 bytes
 test/reference/text-glyph-range.rgb24.ref.png          | Bin 1928 -> 0 bytes
 test/reference/text-rotate.argb32.ref.png              | Bin 16307 -> 0 bytes
 test/reference/text-rotate.rgb24.ref.png               | Bin 16307 -> 0 bytes
 test/reference/tiger.argb32.ref.png                    | Bin 94790 -> 0 bytes
 test/reference/tiger.rgb24.ref.png                     | Bin 94790 -> 0 bytes
 test/reference/transforms.argb32.ref.png               | Bin 348 -> 0 bytes
 test/reference/transforms.rgb24.ref.png                | Bin 348 -> 0 bytes
 test/reference/twin-antialias-gray.argb32.ref.png      | Bin 3536 -> 0 bytes
 test/reference/twin-antialias-gray.rgb24.ref.png       | Bin 3536 -> 0 bytes
 test/reference/twin-antialias-mixed.argb32.ref.png     | Bin 2359 -> 0 bytes
 test/reference/twin-antialias-mixed.rgb24.ref.png      | Bin 2359 -> 0 bytes
 test/reference/twin-antialias-none.argb32.ref.png      | Bin 692 -> 0 bytes
 test/reference/twin-antialias-none.rgb24.ref.png       | Bin 692 -> 0 bytes
 test/reference/twin-antialias-subpixel.argb32.ref.png  | Bin 3536 -> 0 bytes
 test/reference/twin-antialias-subpixel.rgb24.ref.png   | Bin 3536 -> 0 bytes
 test/reference/twin.argb32.ref.png                     | Bin 3536 -> 0 bytes
 test/reference/twin.rgb24.ref.png                      | Bin 3536 -> 0 bytes
 test/reference/user-font-proxy.argb32.ref.png          | Bin 16981 -> 0 bytes
 test/reference/user-font-proxy.rgb24.ref.png           | Bin 16981 -> 0 bytes
 test/reference/user-font-rescale.argb32.ref.png        | Bin 14883 -> 0 bytes
 test/reference/user-font-rescale.rgb24.ref.png         | Bin 14883 -> 0 bytes
 test/reference/user-font.argb32.ref.png                | Bin 5889 -> 0 bytes
 test/reference/user-font.rgb24.ref.png                 | Bin 5889 -> 0 bytes
 test/reference/world-map-fill.argb32.ref.png           | Bin 57407 -> 0 bytes
 test/reference/world-map-fill.rgb24.ref.png            | Bin 57407 -> 0 bytes
 test/reference/world-map-stroke.argb32.ref.png         | Bin 65152 -> 0 bytes
 test/reference/world-map-stroke.rgb24.ref.png          | Bin 65152 -> 0 bytes
 test/reference/world-map.argb32.ref.png                | Bin 70463 -> 0 bytes
 test/reference/world-map.rgb24.ref.png                 | Bin 70463 -> 0 bytes
 359 files changed, 0 insertions(+), 0 deletions(-)

commit 167561f2823767058e2be3a26131b5f820b35c35
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 30 10:22:41 2014 +0100

    tor: Review full-row walker
    
    When updating the quorem between cells, we would lose the overflow
    increment as it was only applied locally and not preserved by updating
    the quorem.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-tor-scan-converter.c                     |  86 ++++++++-------------
 test/reference/aliasing.argb32.ref.png             | Bin 106073 -> 104193 bytes
 test/reference/aliasing.rgb24.ref.png              | Bin 106073 -> 104193 bytes
 test/reference/arc-direction.argb32.ref.png        | Bin 6491 -> 6473 bytes
 test/reference/arc-direction.rgb24.ref.png         | Bin 6491 -> 6473 bytes
 ....ref.png => big-little-triangle.argb32.ref.png} | Bin
 test/reference/big-little-triangle.rgb24.ref.png   | Bin 329 -> 331 bytes
 test/reference/bug-extents.argb32.ref.png          | Bin 9257 -> 9264 bytes
 test/reference/bug-extents.rgb24.ref.png           | Bin 9257 -> 9264 bytes
 test/reference/bug-spline.argb32.ref.png           | Bin 5462 -> 5490 bytes
 test/reference/bug-spline.rgb24.ref.png            | Bin 5462 -> 5490 bytes
 test/reference/caps-joins-alpha.argb32.ref.png     | Bin 2479 -> 2482 bytes
 test/reference/caps-joins-alpha.rgb24.ref.png      | Bin 2479 -> 2482 bytes
 .../{clear.ref.png => clear.argb32.ref.png}        | Bin
 test/reference/clear.rgb24.ref.png                 | Bin 0 -> 621 bytes
 test/reference/clip-disjoint-quad.argb32.ref.png   | Bin 1643 -> 1642 bytes
 test/reference/clip-disjoint-quad.rgb24.ref.png    | Bin 1643 -> 1642 bytes
 test/reference/clip-disjoint.argb32.ref.png        | Bin 5465 -> 5464 bytes
 test/reference/clip-disjoint.rgb24.ref.png         | Bin 5465 -> 5464 bytes
 test/reference/clip-fill-eo-unbounded.ref.png      | Bin 4084 -> 4076 bytes
 test/reference/clip-fill-nz-unbounded.ref.png      | Bin 4084 -> 4076 bytes
 ...-rule.ref.png => clip-fill-rule.argb32.ref.png} | Bin
 test/reference/clip-fill-rule.rgb24.ref.png        | Bin 0 -> 388 bytes
 .../clip-group-shapes-circles.argb32.ref.png       | Bin 1526 -> 1533 bytes
 .../clip-group-shapes-circles.rgb24.ref.png        | Bin 1526 -> 1533 bytes
 test/reference/clip-intersect.argb32.ref.png       | Bin 220 -> 223 bytes
 test/reference/clip-intersect.rgb24.ref.png        | Bin 220 -> 223 bytes
 test/reference/clip-operator.argb32.ref.png        | Bin 0 -> 8685 bytes
 test/reference/clip-operator.rgb24.ref.png         | Bin 0 -> 3458 bytes
 test/reference/clip-shape.argb32.ref.png           | Bin 2945 -> 2923 bytes
 test/reference/clip-shape.rgb24.ref.png            | Bin 2945 -> 2923 bytes
 .../reference/clip-stroke-unbounded.argb32.ref.png | Bin 4105 -> 0 bytes
 test/reference/clip-stroke-unbounded.ref.png       | Bin 4127 -> 4104 bytes
 test/reference/clip-stroke-unbounded.rgb24.ref.png | Bin 3517 -> 0 bytes
 test/reference/clip-twice.ref.png                  | Bin 1344 -> 1357 bytes
 test/reference/degenerate-arc.argb32.ref.png       | Bin 639 -> 646 bytes
 test/reference/degenerate-arc.rgb24.ref.png        | Bin 639 -> 646 bytes
 test/reference/fill-alpha-pattern.argb32.ref.png   | Bin 3381 -> 3489 bytes
 test/reference/fill-alpha-pattern.rgb24.ref.png    | Bin 3381 -> 3489 bytes
 test/reference/fill-alpha.argb32.ref.png           | Bin 2815 -> 2815 bytes
 test/reference/fill-alpha.rgb24.ref.png            | Bin 2815 -> 2815 bytes
 test/reference/fill-degenerate-sort-order.ref.png  | Bin 2410 -> 2414 bytes
 ...{fill-rule.ref.png => fill-rule.argb32.ref.png} | Bin
 test/reference/fill-rule.rgb24.ref.png             | Bin 0 -> 1797 bytes
 .../ft-text-vertical-layout-type1.argb32.ref.png   | Bin 3084 -> 3075 bytes
 .../ft-text-vertical-layout-type1.rgb24.ref.png    | Bin 3084 -> 3075 bytes
 .../ft-text-vertical-layout-type3.argb32.ref.png   | Bin 3610 -> 3609 bytes
 .../ft-text-vertical-layout-type3.rgb24.ref.png    | Bin 3610 -> 3609 bytes
 test/reference/halo-transform.argb32.ref.png       | Bin 15231 -> 15234 bytes
 test/reference/halo-transform.rgb24.ref.png        | Bin 15231 -> 15234 bytes
 test/reference/halo.argb32.ref.png                 | Bin 8666 -> 8621 bytes
 test/reference/halo.rgb24.ref.png                  | Bin 8666 -> 8621 bytes
 test/reference/hatchings.argb32.ref.png            | Bin 91041 -> 90640 bytes
 test/reference/hatchings.rgb24.ref.png             | Bin 91041 -> 90640 bytes
 test/reference/inverted-clip.rgb24.ref.png         | Bin 1333 -> 1323 bytes
 test/reference/leaky-dashed-stroke.argb32.ref.png  | Bin 9286 -> 9286 bytes
 test/reference/leaky-dashed-stroke.rgb24.ref.png   | Bin 9286 -> 9286 bytes
 ...line-width-large-overlap-rotated.argb32.ref.png | Bin 436 -> 439 bytes
 .../line-width-large-overlap-rotated.rgb24.ref.png | Bin 436 -> 439 bytes
 .../line-width-overlap-rotated.argb32.ref.png      | Bin 716 -> 722 bytes
 .../line-width-overlap-rotated.rgb24.ref.png       | Bin 716 -> 722 bytes
 .../linear-gradient-subset.argb32.ref.png          | Bin 812 -> 813 bytes
 .../reference/linear-gradient-subset.rgb24.ref.png | Bin 812 -> 813 bytes
 test/reference/linear-gradient.argb32.ref.png      | Bin 960 -> 959 bytes
 test/reference/linear-gradient.rgb24.ref.png       | Bin 960 -> 959 bytes
 test/reference/mask-alpha.ref.png                  | Bin 644 -> 642 bytes
 test/reference/mask.argb32.ref.png                 | Bin 0 -> 8681 bytes
 test/reference/mask.ref.png                        | Bin 8565 -> 0 bytes
 test/reference/mask.rgb24.ref.png                  | Bin 0 -> 7215 bytes
 ...alpha.ref.png => operator-alpha.argb32.ref.png} | Bin
 test/reference/operator-alpha.rgb24.ref.png        | Bin 0 -> 205 bytes
 test/reference/operator-clear.argb32.ref.png       | Bin 1068 -> 1067 bytes
 test/reference/operator-clear.ref.png              | Bin 1071 -> 0 bytes
 test/reference/operator-clear.rgb24.ref.png        | Bin 0 -> 940 bytes
 test/reference/operator-source.argb32.ref.png      | Bin 0 -> 5626 bytes
 test/reference/operator-source.ref.png             | Bin 5614 -> 0 bytes
 test/reference/operator-source.rgb24.ref.png       | Bin 0 -> 4026 bytes
 .../{operator.ref.png => operator.argb32.ref.png}  | Bin
 test/reference/operator.rgb24.ref.png              | Bin 0 -> 189 bytes
 ...ce.ref.png => over-above-source.argb32.ref.png} | Bin
 test/reference/over-above-source.rgb24.ref.png     | Bin 0 -> 459 bytes
 ...e.ref.png => over-around-source.argb32.ref.png} | Bin
 test/reference/over-around-source.rgb24.ref.png    | Bin 0 -> 504 bytes
 ...ce.ref.png => over-below-source.argb32.ref.png} | Bin
 test/reference/over-below-source.rgb24.ref.png     | Bin 0 -> 389 bytes
 ....ref.png => over-between-source.argb32.ref.png} | Bin
 test/reference/over-between-source.rgb24.ref.png   | Bin 0 -> 482 bytes
 test/reference/path-append.argb32.ref.png          | Bin 6297 -> 6309 bytes
 test/reference/path-append.rgb24.ref.png           | Bin 6297 -> 6309 bytes
 test/reference/push-group-color.argb32.ref.png     | Bin 0 -> 2976 bytes
 test/reference/push-group-color.ref.png            | Bin 2961 -> 0 bytes
 test/reference/push-group-color.rgb24.ref.png      | Bin 0 -> 2976 bytes
 test/reference/push-group.argb32.ref.png           | Bin 3097 -> 3116 bytes
 test/reference/push-group.ref.png                  | Bin 3062 -> 0 bytes
 test/reference/push-group.rgb24.ref.png            | Bin 0 -> 2929 bytes
 test/reference/random-clip.argb32.ref.png          | Bin 525539 -> 525469 bytes
 test/reference/random-clip.rgb24.ref.png           | Bin 525539 -> 525469 bytes
 .../random-intersections-curves-eo.argb32.ref.png  | Bin 244655 -> 244656 bytes
 .../random-intersections-curves-eo.rgb24.ref.png   | Bin 244655 -> 244656 bytes
 .../random-intersections-curves-nz.argb32.ref.png  | Bin 264447 -> 264449 bytes
 .../random-intersections-curves-nz.rgb24.ref.png   | Bin 264447 -> 264449 bytes
 .../random-intersections-eo.argb32.ref.png         | Bin 135591 -> 135556 bytes
 .../random-intersections-eo.rgb24.ref.png          | Bin 135591 -> 135556 bytes
 .../random-intersections-nonzero.argb32.ref.png    | Bin 141598 -> 141582 bytes
 .../random-intersections-nonzero.rgb24.ref.png     | Bin 141598 -> 141582 bytes
 test/reference/record2x-fill-alpha.argb32.ref.png  | Bin 5986 -> 6016 bytes
 test/reference/record2x-fill-alpha.rgb24.ref.png   | Bin 5986 -> 6016 bytes
 .../rotate-clip.surface-paint.image.argb32.ref.png | Bin 0 -> 340 bytes
 .../rotate-clip.surface-paint.image.rgb24.ref.png  | Bin 0 -> 340 bytes
 test/reference/scale-offset-similar.argb32.ref.png | Bin 9847 -> 9779 bytes
 test/reference/scale-offset-similar.rgb24.ref.png  | Bin 9847 -> 9779 bytes
 test/reference/smask-fill.argb32.ref.png           | Bin 1201 -> 1196 bytes
 test/reference/smask-fill.rgb24.ref.png            | Bin 1201 -> 1196 bytes
 test/reference/smask-stroke.argb32.ref.png         | Bin 1707 -> 1700 bytes
 test/reference/smask-stroke.rgb24.ref.png          | Bin 1707 -> 1700 bytes
 test/reference/smask.argb32.ref.png                | Bin 3436 -> 3422 bytes
 test/reference/smask.rgb24.ref.png                 | Bin 3436 -> 3422 bytes
 .../surface-pattern-operator.argb32.ref.png        | Bin 0 -> 5107 bytes
 test/reference/surface-pattern-operator.ref.png    | Bin 5217 -> 0 bytes
 .../surface-pattern-operator.rgb24.ref.png         | Bin 0 -> 1926 bytes
 test/reference/text-rotate.argb32.ref.png          | Bin 16518 -> 16307 bytes
 test/reference/text-rotate.rgb24.ref.png           | Bin 16518 -> 16307 bytes
 test/reference/tiger.argb32.ref.png                | Bin 94714 -> 94790 bytes
 test/reference/tiger.rgb24.ref.png                 | Bin 94714 -> 94790 bytes
 test/reference/trap-clip.argb32.ref.png            | Bin 0 -> 5972 bytes
 test/reference/trap-clip.ref.png                   | Bin 5826 -> 0 bytes
 test/reference/trap-clip.rgb24.ref.png             | Bin 0 -> 5462 bytes
 test/reference/unbounded-operator.argb32.ref.png   | Bin 2763 -> 2755 bytes
 test/reference/unbounded-operator.ref.png          | Bin 2781 -> 0 bytes
 test/reference/unbounded-operator.rgb24.ref.png    | Bin 0 -> 1328 bytes
 test/reference/user-font-proxy.argb32.ref.png      | Bin 16971 -> 16981 bytes
 test/reference/user-font-proxy.rgb24.ref.png       | Bin 16971 -> 16981 bytes
 test/reference/user-font.argb32.ref.png            | Bin 5882 -> 5889 bytes
 test/reference/user-font.rgb24.ref.png             | Bin 5882 -> 5889 bytes
 134 files changed, 34 insertions(+), 52 deletions(-)

commit ff23afd5f26e46e9b3c1fbfa31b2809f4329c4f0
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 30 12:25:56 2014 +0100

    test: Include coverage in the normal test run
    
    Currently coverage is marked as slow. It is slower than the typical
    test, but it is quite a useful check on our rasterisation quality
    without going too far overboard (unlike partial-coverage!).
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/coverage.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 03c3d4b7c159a3004071522bac2461e553fec211
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 30 08:44:43 2014 +0100

    tor: Fix loss of precision from projection onto sample grid
    
    The goal is to preserve the precision in the gradients of the edges and
    only apply the projection into the final cell location. We also include
    the half-subrow offset as spotted by Massimo.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=84396
    Testcase: coverage-rhombus
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-tor-scan-converter.c                     | 331 +++++++++++----------
 test/reference/a1-clip-fill-rule.ref.png           | Bin 0 -> 236 bytes
 test/reference/a8-clear.argb32.ref.png             | Bin 271 -> 269 bytes
 test/reference/a8-clear.rgb24.ref.png              | Bin 271 -> 269 bytes
 test/reference/aliasing.argb32.ref.png             | Bin 104324 -> 106073 bytes
 test/reference/aliasing.rgb24.ref.png              | Bin 104324 -> 106073 bytes
 test/reference/alpha-similar.ref.png               | Bin 0 -> 99 bytes
 test/reference/arc-direction.argb32.ref.png        | Bin 6380 -> 6491 bytes
 test/reference/arc-direction.rgb24.ref.png         | Bin 6380 -> 6491 bytes
 test/reference/big-empty-box.ref.png               | Bin 0 -> 111 bytes
 test/reference/big-empty-triangle.ref.png          | Bin 0 -> 111 bytes
 test/reference/big-little-box.ref.png              | Bin 0 -> 169 bytes
 test/reference/big-little-triangle.ref.png         | Bin 0 -> 409 bytes
 test/reference/big-little-triangle.rgb24.ref.png   | Bin 0 -> 329 bytes
 test/reference/bitmap-font.ref.png                 | Bin 0 -> 950 bytes
 test/reference/bug-extents.argb32.ref.png          | Bin 9251 -> 9257 bytes
 test/reference/bug-extents.rgb24.ref.png           | Bin 9251 -> 9257 bytes
 test/reference/bug-source-cu.ref.png               | Bin 0 -> 3815 bytes
 test/reference/bug-spline.argb32.ref.png           | Bin 0 -> 5462 bytes
 test/reference/bug-spline.ref.png                  | Bin 5577 -> 0 bytes
 test/reference/bug-spline.rgb24.ref.png            | Bin 0 -> 5462 bytes
 test/reference/caps-joins-alpha.argb32.ref.png     | Bin 0 -> 2479 bytes
 test/reference/caps-joins-alpha.ref.png            | Bin 2643 -> 0 bytes
 test/reference/caps-joins-alpha.rgb24.ref.png      | Bin 0 -> 2479 bytes
 test/reference/caps-joins-curve.argb32.ref.png     | Bin 0 -> 5972 bytes
 test/reference/caps-joins-curve.ref.png            | Bin 6228 -> 0 bytes
 test/reference/caps-joins-curve.rgb24.ref.png      | Bin 0 -> 5972 bytes
 test/reference/caps-tails-curve.argb32.ref.png     | Bin 0 -> 54409 bytes
 test/reference/caps-tails-curve.ref.png            | Bin 54314 -> 0 bytes
 test/reference/caps-tails-curve.rgb24.ref.png      | Bin 0 -> 54409 bytes
 test/reference/clear.ref.png                       | Bin 0 -> 692 bytes
 test/reference/clip-device-offset.ref.png          | Bin 0 -> 175 bytes
 .../clip-disjoint-hatching.argb32.ref.png          | Bin 9022 -> 7918 bytes
 .../reference/clip-disjoint-hatching.rgb24.ref.png | Bin 9022 -> 7918 bytes
 test/reference/clip-disjoint-quad.argb32.ref.png   | Bin 0 -> 1643 bytes
 test/reference/clip-disjoint-quad.ref.png          | Bin 1592 -> 0 bytes
 test/reference/clip-disjoint-quad.rgb24.ref.png    | Bin 0 -> 1643 bytes
 test/reference/clip-disjoint.argb32.ref.png        | Bin 0 -> 5465 bytes
 test/reference/clip-disjoint.ref.png               | Bin 5438 -> 0 bytes
 test/reference/clip-disjoint.rgb24.ref.png         | Bin 0 -> 5465 bytes
 test/reference/clip-fill-eo-unbounded.ref.png      | Bin 0 -> 4084 bytes
 test/reference/clip-fill-nz-unbounded.ref.png      | Bin 0 -> 4084 bytes
 .../reference/clip-fill-rule-pixel-aligned.ref.png | Bin 0 -> 195 bytes
 test/reference/clip-fill-rule.ref.png              | Bin 0 -> 437 bytes
 test/reference/clip-fill.argb32.ref.png            | Bin 1031 -> 1064 bytes
 test/reference/clip-fill.rgb24.ref.png             | Bin 1031 -> 1064 bytes
 .../clip-group-shapes-circles.argb32.ref.png       | Bin 1525 -> 1526 bytes
 .../clip-group-shapes-circles.rgb24.ref.png        | Bin 1525 -> 1526 bytes
 test/reference/clip-intersect.argb32.ref.png       | Bin 200 -> 220 bytes
 test/reference/clip-intersect.rgb24.ref.png        | Bin 200 -> 220 bytes
 test/reference/clip-nesting.ref.png                | Bin 0 -> 1094 bytes
 test/reference/clip-operator.ref.png               | Bin 0 -> 8257 bytes
 test/reference/clip-push-group.argb32.ref.png      | Bin 164 -> 164 bytes
 test/reference/clip-push-group.rgb24.ref.png       | Bin 164 -> 164 bytes
 test/reference/clip-shape.argb32.ref.png           | Bin 3073 -> 2945 bytes
 test/reference/clip-shape.rgb24.ref.png            | Bin 3073 -> 2945 bytes
 .../reference/clip-stroke-unbounded.argb32.ref.png | Bin 0 -> 4105 bytes
 test/reference/clip-stroke-unbounded.ref.png       | Bin 0 -> 4127 bytes
 test/reference/clip-stroke-unbounded.rgb24.ref.png | Bin 0 -> 3517 bytes
 test/reference/clip-stroke.argb32.ref.png          | Bin 0 -> 1551 bytes
 test/reference/clip-stroke.ref.png                 | Bin 1419 -> 0 bytes
 test/reference/clip-stroke.rgb24.ref.png           | Bin 0 -> 1551 bytes
 test/reference/clip-text.argb32.ref.png            | Bin 928 -> 918 bytes
 test/reference/clip-text.rgb24.ref.png             | Bin 928 -> 918 bytes
 test/reference/clip-twice.ref.png                  | Bin 0 -> 1344 bytes
 test/reference/clip-unbounded.ref.png              | Bin 0 -> 100 bytes
 test/reference/clipped-group.argb32.ref.png        | Bin 342 -> 315 bytes
 test/reference/clipped-group.rgb24.ref.png         | Bin 342 -> 315 bytes
 test/reference/dash-curve.argb32.ref.png           | Bin 0 -> 41069 bytes
 test/reference/dash-curve.ref.png                  | Bin 40945 -> 0 bytes
 test/reference/dash-curve.rgb24.ref.png            | Bin 0 -> 41069 bytes
 test/reference/dash-zero-length.ref.png            | Bin 0 -> 230 bytes
 test/reference/degenerate-arc.argb32.ref.png       | Bin 0 -> 639 bytes
 test/reference/degenerate-arc.ref.png              | Bin 692 -> 0 bytes
 test/reference/degenerate-arc.rgb24.ref.png        | Bin 0 -> 639 bytes
 test/reference/degenerate-dash.argb32.ref.png      | Bin 0 -> 1908 bytes
 test/reference/degenerate-dash.ref.png             | Bin 1985 -> 0 bytes
 test/reference/degenerate-dash.rgb24.ref.png       | Bin 0 -> 1908 bytes
 test/reference/degenerate-path.ref.png             | Bin 0 -> 251 bytes
 test/reference/device-offset-positive.ref.png      | Bin 0 -> 139 bytes
 test/reference/device-offset.ref.png               | Bin 0 -> 137 bytes
 test/reference/egl-surface-source.ref.png          | Bin 0 -> 377 bytes
 test/reference/extended-blend-alpha-mask.ref.png   | Bin 0 -> 9221 bytes
 test/reference/extended-blend-alpha.ref.png        | Bin 0 -> 9406 bytes
 test/reference/extended-blend-mask.ref.png         | Bin 0 -> 3971 bytes
 test/reference/extended-blend-solid-alpha.ref.png  | Bin 0 -> 9406 bytes
 test/reference/extended-blend-solid.ref.png        | Bin 0 -> 4063 bytes
 test/reference/extended-blend.ref.png              | Bin 0 -> 4063 bytes
 test/reference/fallback.ref.png                    | Bin 0 -> 4106 bytes
 test/reference/fill-alpha.argb32.ref.png           | Bin 2736 -> 2815 bytes
 test/reference/fill-alpha.rgb24.ref.png            | Bin 2736 -> 2815 bytes
 .../fill-and-stroke-alpha-add.argb32.ref.png       | Bin 556 -> 558 bytes
 .../fill-and-stroke-alpha-add.rgb24.ref.png        | Bin 556 -> 558 bytes
 .../reference/fill-and-stroke-alpha.argb32.ref.png | Bin 508 -> 513 bytes
 test/reference/fill-and-stroke-alpha.rgb24.ref.png | Bin 508 -> 513 bytes
 test/reference/fill-and-stroke.ref.png             | Bin 0 -> 328 bytes
 test/reference/fill-degenerate-sort-order.ref.png  | Bin 0 -> 2410 bytes
 test/reference/fill-empty.ref.png                  | Bin 0 -> 99 bytes
 test/reference/fill-missed-stop.ref.png            | Bin 0 -> 455 bytes
 test/reference/fill-rule.ref.png                   | Bin 0 -> 2086 bytes
 test/reference/fill.image.argb32.ref.png           | Bin 0 -> 1482 bytes
 test/reference/fill.image.rgb24.ref.png            | Bin 0 -> 1482 bytes
 test/reference/finer-grained-fallbacks.ref.png     | Bin 0 -> 1151 bytes
 .../ft-text-vertical-layout-type1.argb32.ref.png   | Bin 3062 -> 3084 bytes
 .../ft-text-vertical-layout-type1.rgb24.ref.png    | Bin 3062 -> 3084 bytes
 .../ft-text-vertical-layout-type3.argb32.ref.png   | Bin 0 -> 3610 bytes
 .../ft-text-vertical-layout-type3.ref.png          | Bin 3608 -> 0 bytes
 .../ft-text-vertical-layout-type3.rgb24.ref.png    | Bin 0 -> 3610 bytes
 test/reference/gl-surface-source.ref.png           | Bin 0 -> 377 bytes
 test/reference/gradient-alpha.ref.png              | Bin 0 -> 125 bytes
 test/reference/gradient-constant-alpha.ref.png     | Bin 0 -> 111 bytes
 test/reference/gradient-zero-stops-mask.ref.png    | Bin 0 -> 86 bytes
 test/reference/gradient-zero-stops.ref.png         | Bin 0 -> 105 bytes
 test/reference/group-unaligned.argb32.ref.png      | Bin 427 -> 494 bytes
 test/reference/group-unaligned.rgb24.ref.png       | Bin 427 -> 494 bytes
 test/reference/halo-transform.argb32.ref.png       | Bin 15063 -> 15231 bytes
 test/reference/halo-transform.rgb24.ref.png        | Bin 15063 -> 15231 bytes
 test/reference/halo.argb32.ref.png                 | Bin 0 -> 8666 bytes
 test/reference/halo.ref.png                        | Bin 8774 -> 0 bytes
 test/reference/halo.rgb24.ref.png                  | Bin 0 -> 8666 bytes
 test/reference/hatchings.argb32.ref.png            | Bin 0 -> 91041 bytes
 test/reference/hatchings.ref.png                   | Bin 95333 -> 0 bytes
 test/reference/hatchings.rgb24.ref.png             | Bin 0 -> 91041 bytes
 test/reference/image-surface-source.ref.png        | Bin 0 -> 377 bytes
 test/reference/inverted-clip.rgb24.ref.png         | Bin 0 -> 1333 bytes
 .../large-twin-antialias-mixed.argb32.ref.png      | Bin 16660 -> 16442 bytes
 .../large-twin-antialias-mixed.rgb24.ref.png       | Bin 16660 -> 16442 bytes
 test/reference/leaky-dashed-stroke.argb32.ref.png  | Bin 9387 -> 9286 bytes
 test/reference/leaky-dashed-stroke.rgb24.ref.png   | Bin 9387 -> 9286 bytes
 ...line-width-large-overlap-rotated.argb32.ref.png | Bin 427 -> 436 bytes
 .../line-width-large-overlap-rotated.rgb24.ref.png | Bin 427 -> 436 bytes
 .../line-width-overlap-rotated.argb32.ref.png      | Bin 828 -> 716 bytes
 .../line-width-overlap-rotated.rgb24.ref.png       | Bin 828 -> 716 bytes
 test/reference/linear-gradient-one-stop.ref.png    | Bin 0 -> 225 bytes
 .../linear-gradient-subset.argb32.ref.png          | Bin 820 -> 812 bytes
 .../reference/linear-gradient-subset.rgb24.ref.png | Bin 820 -> 812 bytes
 test/reference/linear-gradient.argb32.ref.png      | Bin 974 -> 960 bytes
 test/reference/linear-gradient.rgb24.ref.png       | Bin 974 -> 960 bytes
 test/reference/mask-alpha.ref.png                  | Bin 0 -> 644 bytes
 test/reference/mask-ctm.ref.png                    | Bin 0 -> 129 bytes
 test/reference/mask-surface-ctm.ref.png            | Bin 0 -> 129 bytes
 test/reference/mask.ref.png                        | Bin 0 -> 8565 bytes
 test/reference/new-sub-path.ref.png                | Bin 0 -> 408 bytes
 test/reference/nil-surface.ref.png                 | Bin 0 -> 107 bytes
 test/reference/operator-alpha.ref.png              | Bin 0 -> 280 bytes
 test/reference/operator-clear.argb32.ref.png       | Bin 0 -> 1068 bytes
 test/reference/operator-clear.ref.png              | Bin 0 -> 1071 bytes
 test/reference/operator-source.ref.png             | Bin 0 -> 5614 bytes
 test/reference/operator.ref.png                    | Bin 0 -> 238 bytes
 test/reference/over-above-source.ref.png           | Bin 0 -> 557 bytes
 test/reference/over-around-source.ref.png          | Bin 0 -> 633 bytes
 test/reference/over-below-source.ref.png           | Bin 0 -> 447 bytes
 test/reference/over-between-source.ref.png         | Bin 0 -> 607 bytes
 test/reference/overlapping-boxes.ref.png           | Bin 0 -> 179 bytes
 .../reference/overlapping-dash-caps.argb32.ref.png | Bin 0 -> 3952 bytes
 test/reference/overlapping-dash-caps.ref.png       | Bin 3979 -> 0 bytes
 test/reference/overlapping-dash-caps.rgb24.ref.png | Bin 0 -> 3952 bytes
 test/reference/overlapping-glyphs.ref.png          | Bin 0 -> 2717 bytes
 .../paint-with-alpha-clip-mask.argb32.ref.png      | Bin 340 -> 351 bytes
 .../paint-with-alpha-clip-mask.rgb24.ref.png       | Bin 340 -> 351 bytes
 test/reference/pass-through.ref.png                | Bin 0 -> 221 bytes
 test/reference/path-append.argb32.ref.png          | Bin 6144 -> 6297 bytes
 test/reference/path-append.rgb24.ref.png           | Bin 6144 -> 6297 bytes
 test/reference/pdf-surface-source.ref.png          | Bin 0 -> 377 bytes
 test/reference/pixman-rotate.ref.png               | Bin 0 -> 260 bytes
 test/reference/ps-surface-source.ref.png           | Bin 0 -> 377 bytes
 test/reference/push-group-color.argb32.ref.png     | Bin 2892 -> 0 bytes
 test/reference/push-group-color.ref.png            | Bin 0 -> 2961 bytes
 test/reference/push-group-color.rgb24.ref.png      | Bin 2892 -> 0 bytes
 test/reference/push-group.argb32.ref.png           | Bin 0 -> 3097 bytes
 test/reference/push-group.ref.png                  | Bin 0 -> 3062 bytes
 test/reference/quartz-surface-source.ref.png       | Bin 0 -> 377 bytes
 test/reference/radial-gradient-source.ref.png      | Bin 0 -> 408848 bytes
 test/reference/random-clip.argb32.ref.png          | Bin 0 -> 525539 bytes
 test/reference/random-clip.ref.png                 | Bin 526034 -> 0 bytes
 test/reference/random-clip.rgb24.ref.png           | Bin 0 -> 525539 bytes
 .../random-intersections-curves-eo.argb32.ref.png  | Bin 245848 -> 244655 bytes
 .../random-intersections-curves-eo.rgb24.ref.png   | Bin 245848 -> 244655 bytes
 .../random-intersections-curves-nz.argb32.ref.png  | Bin 265249 -> 264447 bytes
 .../random-intersections-curves-nz.rgb24.ref.png   | Bin 265249 -> 264447 bytes
 .../random-intersections-eo.argb32.ref.png         | Bin 136632 -> 135591 bytes
 .../random-intersections-eo.rgb24.ref.png          | Bin 136632 -> 135591 bytes
 .../random-intersections-nonzero.argb32.ref.png    | Bin 142139 -> 141598 bytes
 .../random-intersections-nonzero.rgb24.ref.png     | Bin 142139 -> 141598 bytes
 test/reference/record-fill-alpha.argb32.ref.png    | Bin 0 -> 2822 bytes
 test/reference/record-fill-alpha.ref.png           | Bin 2812 -> 0 bytes
 test/reference/record-fill-alpha.rgb24.ref.png     | Bin 0 -> 2822 bytes
 .../record-paint-alpha-clip-mask.argb32.ref.png    | Bin 0 -> 321 bytes
 .../reference/record-paint-alpha-clip-mask.ref.png | Bin 318 -> 0 bytes
 .../record-paint-alpha-clip-mask.rgb24.ref.png     | Bin 0 -> 321 bytes
 .../record1414x-fill-alpha.argb32.ref.png          | Bin 0 -> 4244 bytes
 test/reference/record1414x-fill-alpha.ref.png      | Bin 4212 -> 0 bytes
 .../reference/record1414x-fill-alpha.rgb24.ref.png | Bin 0 -> 4244 bytes
 ...ecord1414x-paint-alpha-clip-mask.argb32.ref.png | Bin 560 -> 544 bytes
 ...record1414x-paint-alpha-clip-mask.rgb24.ref.png | Bin 560 -> 544 bytes
 test/reference/record2x-fill-alpha.argb32.ref.png  | Bin 0 -> 5986 bytes
 test/reference/record2x-fill-alpha.ref.png         | Bin 5950 -> 0 bytes
 test/reference/record2x-fill-alpha.rgb24.ref.png   | Bin 0 -> 5986 bytes
 .../record2x-paint-alpha-clip-mask.argb32.ref.png  | Bin 534 -> 543 bytes
 .../record2x-paint-alpha-clip-mask.rgb24.ref.png   | Bin 534 -> 543 bytes
 test/reference/record90-fill-alpha.argb32.ref.png  | Bin 0 -> 2654 bytes
 test/reference/record90-fill-alpha.ref.png         | Bin 2650 -> 0 bytes
 test/reference/record90-fill-alpha.rgb24.ref.png   | Bin 0 -> 2654 bytes
 .../record90-paint-alpha-clip-mask.argb32.ref.png  | Bin 0 -> 317 bytes
 .../record90-paint-alpha-clip-mask.ref.png         | Bin 316 -> 0 bytes
 .../record90-paint-alpha-clip-mask.rgb24.ref.png   | Bin 0 -> 317 bytes
 .../record90-paint-alpha-clip.argb32.ref.png       | Bin 0 -> 335 bytes
 test/reference/record90-paint-alpha-clip.ref.png   | Bin 320 -> 0 bytes
 .../record90-paint-alpha-clip.rgb24.ref.png        | Bin 0 -> 335 bytes
 .../record90-paint-alpha-solid-clip.argb32.ref.png | Bin 254 -> 293 bytes
 .../record90-paint-alpha-solid-clip.rgb24.ref.png  | Bin 254 -> 293 bytes
 .../recording-surface-extend-none.ref.png          | Bin 0 -> 3153 bytes
 .../reference/recording-surface-extend-pad.ref.png | Bin 0 -> 11200 bytes
 .../recording-surface-extend-reflect.ref.png       | Bin 0 -> 23967 bytes
 .../recording-surface-extend-repeat.ref.png        | Bin 0 -> 24091 bytes
 test/reference/recording-surface-over.ref.png      | Bin 0 -> 3153 bytes
 test/reference/recording-surface-source.ref.png    | Bin 0 -> 3153 bytes
 test/reference/rel-path.ref.png                    | Bin 0 -> 197 bytes
 test/reference/rotated-clip.argb32.ref.png         | Bin 3773 -> 3829 bytes
 test/reference/rotated-clip.rgb24.ref.png          | Bin 3773 -> 3829 bytes
 test/reference/scale-offset-similar.argb32.ref.png | Bin 9748 -> 9847 bytes
 test/reference/scale-offset-similar.rgb24.ref.png  | Bin 9748 -> 9847 bytes
 test/reference/scale-offset.image.argb32.ref.png   | Bin 0 -> 9847 bytes
 test/reference/scale-offset.image.rgb24.ref.png    | Bin 0 -> 9847 bytes
 test/reference/scale-source-surface-paint.ref.png  | Bin 0 -> 147 bytes
 test/reference/set-source.ref.png                  | Bin 0 -> 120 bytes
 test/reference/shape-general-convex.argb32.ref.png | Bin 2742 -> 2539 bytes
 test/reference/shape-general-convex.rgb24.ref.png  | Bin 2742 -> 2539 bytes
 test/reference/shape-sierpinski.argb32.ref.png     | Bin 63714 -> 54850 bytes
 test/reference/shape-sierpinski.rgb24.ref.png      | Bin 63714 -> 54850 bytes
 test/reference/smask-fill.argb32.ref.png           | Bin 1197 -> 1201 bytes
 test/reference/smask-fill.rgb24.ref.png            | Bin 1197 -> 1201 bytes
 test/reference/smask-stroke.argb32.ref.png         | Bin 1709 -> 1707 bytes
 test/reference/smask-stroke.rgb24.ref.png          | Bin 1709 -> 1707 bytes
 test/reference/smask.argb32.ref.png                | Bin 3414 -> 3436 bytes
 test/reference/smask.rgb24.ref.png                 | Bin 3414 -> 3436 bytes
 test/reference/source-surface-scale-paint.ref.png  | Bin 0 -> 139 bytes
 test/reference/stroke-clipped.argb32.ref.png       | Bin 0 -> 5857 bytes
 test/reference/stroke-clipped.ref.png              | Bin 5790 -> 0 bytes
 test/reference/stroke-clipped.rgb24.ref.png        | Bin 0 -> 5857 bytes
 test/reference/stroke-pattern.argb32.ref.png       | Bin 1491 -> 1510 bytes
 test/reference/stroke-pattern.rgb24.ref.png        | Bin 1491 -> 1510 bytes
 test/reference/stroke.image.argb32.ref.png         | Bin 0 -> 1479 bytes
 test/reference/stroke.image.rgb24.ref.png          | Bin 0 -> 1479 bytes
 test/reference/subsurface-outside-target.ref.png   | Bin 0 -> 2063 bytes
 test/reference/surface-pattern-operator.ref.png    | Bin 0 -> 5217 bytes
 test/reference/svg-surface-source.ref.png          | Bin 0 -> 377 bytes
 test/reference/text-pattern.ref.png                | Bin 0 -> 3455 bytes
 test/reference/text-rotate.argb32.ref.png          | Bin 0 -> 16518 bytes
 test/reference/text-rotate.ref.png                 | Bin 16667 -> 0 bytes
 test/reference/text-rotate.rgb24.ref.png           | Bin 0 -> 16518 bytes
 test/reference/tiger.argb32.ref.png                | Bin 93916 -> 94714 bytes
 test/reference/tiger.rgb24.ref.png                 | Bin 93916 -> 94714 bytes
 test/reference/tighten-bounds.ref.png              | Bin 0 -> 9443 bytes
 test/reference/trap-clip.ref.png                   | Bin 0 -> 5826 bytes
 test/reference/twin-antialias-gray.argb32.ref.png  | Bin 0 -> 3536 bytes
 test/reference/twin-antialias-gray.ref.png         | Bin 3948 -> 0 bytes
 test/reference/twin-antialias-gray.rgb24.ref.png   | Bin 0 -> 3536 bytes
 test/reference/twin-antialias-mixed.argb32.ref.png | Bin 2230 -> 2359 bytes
 test/reference/twin-antialias-mixed.rgb24.ref.png  | Bin 2230 -> 2359 bytes
 test/reference/twin-antialias-none.argb32.ref.png  | Bin 690 -> 692 bytes
 test/reference/twin-antialias-none.rgb24.ref.png   | Bin 690 -> 692 bytes
 .../twin-antialias-subpixel.argb32.ref.png         | Bin 0 -> 3536 bytes
 test/reference/twin-antialias-subpixel.ref.png     | Bin 3948 -> 0 bytes
 .../twin-antialias-subpixel.rgb24.ref.png          | Bin 0 -> 3536 bytes
 test/reference/twin.argb32.ref.png                 | Bin 0 -> 3536 bytes
 test/reference/twin.ref.png                        | Bin 3948 -> 0 bytes
 test/reference/twin.rgb24.ref.png                  | Bin 0 -> 3536 bytes
 test/reference/unbounded-operator.argb32.ref.png   | Bin 0 -> 2763 bytes
 test/reference/unbounded-operator.ref.png          | Bin 0 -> 2781 bytes
 test/reference/unclosed-strokes.argb32.ref.png     | Bin 1901 -> 0 bytes
 test/reference/unclosed-strokes.ref.png            | Bin 0 -> 1588 bytes
 test/reference/unclosed-strokes.rgb24.ref.png      | Bin 1901 -> 0 bytes
 test/reference/user-font-proxy.argb32.ref.png      | Bin 16941 -> 16971 bytes
 test/reference/user-font-proxy.rgb24.ref.png       | Bin 16941 -> 16971 bytes
 test/reference/user-font.argb32.ref.png            | Bin 0 -> 5882 bytes
 test/reference/user-font.ref.png                   | Bin 6209 -> 0 bytes
 test/reference/user-font.rgb24.ref.png             | Bin 0 -> 5882 bytes
 test/reference/world-map-fill.argb32.ref.png       | Bin 57308 -> 57407 bytes
 test/reference/world-map-fill.rgb24.ref.png        | Bin 57308 -> 57407 bytes
 test/reference/xcb-surface-source.ref.png          | Bin 0 -> 377 bytes
 test/reference/xlib-surface-source.ref.png         | Bin 0 -> 377 bytes
 test/reference/zero-mask.ref.png                   | Bin 0 -> 402 bytes
 283 files changed, 174 insertions(+), 157 deletions(-)

commit 8e1e2a54147df32f0e9261d2b7b031eaf8396f06
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 30 11:47:44 2014 +0100

    test: Remove redundant reference images
    
    If we have both a argb32 and rgb24 reference image that are identical,
    we can replace them with a plain reference image. I also prefer to have
    argb32/rgb24 versions of the reference images if rgb24 differs from the
    plain reference.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/reference/a1-clip-fill-rule.argb32.ref.png        | Bin 236 -> 0 bytes
 test/reference/a1-clip-fill-rule.rgb24.ref.png         | Bin 218 -> 0 bytes
 test/reference/alpha-similar.argb32.ref.png            | Bin 99 -> 0 bytes
 test/reference/alpha-similar.rgb24.ref.png             | Bin 88 -> 0 bytes
 test/reference/big-empty-box.argb32.ref.png            | Bin 111 -> 0 bytes
 test/reference/big-empty-box.rgb24.ref.png             | Bin 108 -> 0 bytes
 test/reference/big-empty-triangle.argb32.ref.png       | Bin 111 -> 0 bytes
 test/reference/big-empty-triangle.rgb24.ref.png        | Bin 108 -> 0 bytes
 test/reference/big-little-box.argb32.ref.png           | Bin 169 -> 0 bytes
 test/reference/big-little-box.rgb24.ref.png            | Bin 160 -> 0 bytes
 test/reference/big-little-triangle.argb32.ref.png      | Bin 409 -> 0 bytes
 test/reference/big-little-triangle.rgb24.ref.png       | Bin 328 -> 0 bytes
 test/reference/bitmap-font.argb32.ref.png              | Bin 950 -> 0 bytes
 test/reference/bitmap-font.rgb24.ref.png               | Bin 871 -> 0 bytes
 test/reference/bug-source-cu.argb32.ref.png            | Bin 3815 -> 0 bytes
 test/reference/bug-source-cu.rgb24.ref.png             | Bin 3211 -> 0 bytes
 test/reference/clear.argb32.ref.png                    | Bin 692 -> 0 bytes
 test/reference/clear.rgb24.ref.png                     | Bin 617 -> 0 bytes
 test/reference/clip-device-offset.argb32.ref.png       | Bin 175 -> 0 bytes
 test/reference/clip-device-offset.rgb24.ref.png        | Bin 168 -> 0 bytes
 test/reference/clip-fill-eo-unbounded.argb32.ref.png   | Bin 4197 -> 0 bytes
 test/reference/clip-fill-eo-unbounded.rgb24.ref.png    | Bin 3551 -> 0 bytes
 test/reference/clip-fill-nz-unbounded.argb32.ref.png   | Bin 4197 -> 0 bytes
 test/reference/clip-fill-nz-unbounded.rgb24.ref.png    | Bin 3551 -> 0 bytes
 .../clip-fill-rule-pixel-aligned.argb32.ref.png        | Bin 195 -> 0 bytes
 .../clip-fill-rule-pixel-aligned.rgb24.ref.png         | Bin 165 -> 0 bytes
 test/reference/clip-fill-rule.argb32.ref.png           | Bin 437 -> 0 bytes
 test/reference/clip-fill-rule.rgb24.ref.png            | Bin 393 -> 0 bytes
 test/reference/clip-nesting.argb32.ref.png             | Bin 1044 -> 0 bytes
 test/reference/clip-nesting.rgb24.ref.png              | Bin 936 -> 0 bytes
 test/reference/clip-operator.argb32.ref.png            | Bin 8257 -> 0 bytes
 test/reference/clip-operator.rgb24.ref.png             | Bin 3288 -> 0 bytes
 test/reference/clip-stroke-unbounded.argb32.ref.png    | Bin 4127 -> 0 bytes
 test/reference/clip-stroke-unbounded.rgb24.ref.png     | Bin 3566 -> 0 bytes
 test/reference/clip-twice.argb32.ref.png               | Bin 1358 -> 0 bytes
 test/reference/clip-twice.rgb24.ref.png                | Bin 1195 -> 0 bytes
 test/reference/clip-unbounded.argb32.ref.png           | Bin 100 -> 0 bytes
 test/reference/clip-unbounded.rgb24.ref.png            | Bin 97 -> 0 bytes
 test/reference/dash-zero-length.argb32.ref.png         | Bin 230 -> 0 bytes
 test/reference/dash-zero-length.rgb24.ref.png          | Bin 208 -> 0 bytes
 test/reference/degenerate-path.argb32.ref.png          | Bin 251 -> 0 bytes
 test/reference/degenerate-path.rgb24.ref.png           | Bin 219 -> 0 bytes
 test/reference/device-offset-positive.argb32.ref.png   | Bin 139 -> 0 bytes
 test/reference/device-offset-positive.rgb24.ref.png    | Bin 111 -> 0 bytes
 test/reference/device-offset.argb32.ref.png            | Bin 137 -> 0 bytes
 test/reference/device-offset.rgb24.ref.png             | Bin 111 -> 0 bytes
 test/reference/egl-surface-source.argb32.ref.png       | Bin 377 -> 0 bytes
 test/reference/egl-surface-source.rgb24.ref.png        | Bin 301 -> 0 bytes
 .../reference/extended-blend-alpha-mask.argb32.ref.png | Bin 9221 -> 0 bytes
 test/reference/extended-blend-alpha-mask.rgb24.ref.png | Bin 4597 -> 0 bytes
 test/reference/extended-blend-alpha.argb32.ref.png     | Bin 9406 -> 0 bytes
 test/reference/extended-blend-alpha.rgb24.ref.png      | Bin 5740 -> 0 bytes
 test/reference/extended-blend-mask.argb32.ref.png      | Bin 3971 -> 0 bytes
 test/reference/extended-blend-mask.rgb24.ref.png       | Bin 3643 -> 0 bytes
 .../extended-blend-solid-alpha.argb32.ref.png          | Bin 9406 -> 0 bytes
 .../reference/extended-blend-solid-alpha.rgb24.ref.png | Bin 5740 -> 0 bytes
 test/reference/extended-blend-solid.argb32.ref.png     | Bin 4063 -> 0 bytes
 test/reference/extended-blend-solid.rgb24.ref.png      | Bin 3775 -> 0 bytes
 test/reference/extended-blend.argb32.ref.png           | Bin 4063 -> 0 bytes
 test/reference/extended-blend.rgb24.ref.png            | Bin 3775 -> 0 bytes
 test/reference/fallback.argb32.ref.png                 | Bin 4059 -> 0 bytes
 test/reference/fallback.rgb24.ref.png                  | Bin 3139 -> 0 bytes
 test/reference/fill-and-stroke.argb32.ref.png          | Bin 312 -> 0 bytes
 test/reference/fill-and-stroke.rgb24.ref.png           | Bin 283 -> 0 bytes
 .../fill-degenerate-sort-order.argb32.ref.png          | Bin 2400 -> 0 bytes
 .../reference/fill-degenerate-sort-order.rgb24.ref.png | Bin 2049 -> 0 bytes
 test/reference/fill-empty.argb32.ref.png               | Bin 99 -> 0 bytes
 test/reference/fill-empty.rgb24.ref.png                | Bin 97 -> 0 bytes
 test/reference/fill-missed-stop.argb32.ref.png         | Bin 455 -> 0 bytes
 test/reference/fill-missed-stop.rgb24.ref.png          | Bin 382 -> 0 bytes
 test/reference/fill-rule.argb32.ref.png                | Bin 2065 -> 0 bytes
 test/reference/fill-rule.rgb24.ref.png                 | Bin 1803 -> 0 bytes
 test/reference/finer-grained-fallbacks.argb32.ref.png  | Bin 1068 -> 0 bytes
 test/reference/finer-grained-fallbacks.rgb24.ref.png   | Bin 837 -> 0 bytes
 test/reference/gl-surface-source.argb32.ref.png        | Bin 377 -> 0 bytes
 test/reference/gl-surface-source.rgb24.ref.png         | Bin 301 -> 0 bytes
 test/reference/gradient-alpha.argb32.ref.png           | Bin 125 -> 0 bytes
 test/reference/gradient-alpha.rgb24.ref.png            | Bin 119 -> 0 bytes
 test/reference/gradient-constant-alpha.argb32.ref.png  | Bin 111 -> 0 bytes
 test/reference/gradient-constant-alpha.rgb24.ref.png   | Bin 106 -> 0 bytes
 test/reference/gradient-zero-stops-mask.argb32.ref.png | Bin 86 -> 0 bytes
 test/reference/gradient-zero-stops-mask.rgb24.ref.png  | Bin 86 -> 0 bytes
 test/reference/gradient-zero-stops.argb32.ref.png      | Bin 105 -> 0 bytes
 test/reference/gradient-zero-stops.rgb24.ref.png       | Bin 86 -> 0 bytes
 test/reference/image-surface-source.argb32.ref.png     | Bin 377 -> 0 bytes
 test/reference/image-surface-source.rgb24.ref.png      | Bin 301 -> 0 bytes
 test/reference/linear-gradient-one-stop.argb32.ref.png | Bin 225 -> 0 bytes
 test/reference/linear-gradient-one-stop.rgb24.ref.png  | Bin 174 -> 0 bytes
 test/reference/mask-alpha.argb32.ref.png               | Bin 632 -> 0 bytes
 test/reference/mask-alpha.rgb24.ref.png                | Bin 589 -> 0 bytes
 test/reference/mask-ctm.argb32.ref.png                 | Bin 129 -> 0 bytes
 test/reference/mask-ctm.rgb24.ref.png                  | Bin 105 -> 0 bytes
 test/reference/mask-surface-ctm.argb32.ref.png         | Bin 129 -> 0 bytes
 test/reference/mask-surface-ctm.rgb24.ref.png          | Bin 105 -> 0 bytes
 test/reference/mask.argb32.ref.png                     | Bin 8565 -> 0 bytes
 test/reference/mask.rgb24.ref.png                      | Bin 7135 -> 0 bytes
 test/reference/new-sub-path.argb32.ref.png             | Bin 408 -> 0 bytes
 test/reference/new-sub-path.rgb24.ref.png              | Bin 371 -> 0 bytes
 test/reference/nil-surface.argb32.ref.png              | Bin 107 -> 0 bytes
 test/reference/nil-surface.rgb24.ref.png               | Bin 87 -> 0 bytes
 test/reference/operator-alpha.argb32.ref.png           | Bin 280 -> 0 bytes
 test/reference/operator-alpha.rgb24.ref.png            | Bin 205 -> 0 bytes
 test/reference/operator-clear.argb32.ref.png           | Bin 1071 -> 0 bytes
 test/reference/operator-clear.rgb24.ref.png            | Bin 946 -> 0 bytes
 test/reference/operator-source.argb32.ref.png          | Bin 5614 -> 0 bytes
 test/reference/operator-source.rgb24.ref.png           | Bin 4012 -> 0 bytes
 test/reference/operator.argb32.ref.png                 | Bin 238 -> 0 bytes
 test/reference/operator.rgb24.ref.png                  | Bin 189 -> 0 bytes
 test/reference/over-above-source.argb32.ref.png        | Bin 564 -> 0 bytes
 test/reference/over-above-source.rgb24.ref.png         | Bin 465 -> 0 bytes
 test/reference/over-around-source.argb32.ref.png       | Bin 633 -> 0 bytes
 test/reference/over-around-source.rgb24.ref.png        | Bin 499 -> 0 bytes
 test/reference/over-below-source.argb32.ref.png        | Bin 447 -> 0 bytes
 test/reference/over-below-source.rgb24.ref.png         | Bin 385 -> 0 bytes
 test/reference/over-between-source.argb32.ref.png      | Bin 596 -> 0 bytes
 test/reference/over-between-source.rgb24.ref.png       | Bin 463 -> 0 bytes
 test/reference/overlapping-boxes.argb32.ref.png        | Bin 179 -> 0 bytes
 test/reference/overlapping-boxes.rgb24.ref.png         | Bin 170 -> 0 bytes
 test/reference/overlapping-glyphs.argb32.ref.png       | Bin 2717 -> 0 bytes
 test/reference/overlapping-glyphs.rgb24.ref.png        | Bin 1663 -> 0 bytes
 test/reference/pass-through.argb32.ref.png             | Bin 221 -> 0 bytes
 test/reference/pass-through.rgb24.ref.png              | Bin 158 -> 0 bytes
 test/reference/pdf-surface-source.argb32.ref.png       | Bin 377 -> 0 bytes
 test/reference/pdf-surface-source.rgb24.ref.png        | Bin 301 -> 0 bytes
 test/reference/pixman-rotate.argb32.ref.png            | Bin 260 -> 0 bytes
 test/reference/pixman-rotate.rgb24.ref.png             | Bin 225 -> 0 bytes
 test/reference/ps-surface-source.argb32.ref.png        | Bin 377 -> 0 bytes
 test/reference/ps-surface-source.rgb24.ref.png         | Bin 301 -> 0 bytes
 test/reference/push-group.argb32.ref.png               | Bin 3062 -> 0 bytes
 test/reference/push-group.rgb24.ref.png                | Bin 2899 -> 0 bytes
 test/reference/quartz-surface-source.argb32.ref.png    | Bin 377 -> 0 bytes
 test/reference/quartz-surface-source.rgb24.ref.png     | Bin 301 -> 0 bytes
 test/reference/radial-gradient-source.argb32.ref.png   | Bin 408848 -> 0 bytes
 test/reference/radial-gradient-source.rgb24.ref.png    | Bin 263908 -> 0 bytes
 .../recording-surface-extend-none.argb32.ref.png       | Bin 3153 -> 0 bytes
 .../recording-surface-extend-none.rgb24.ref.png        | Bin 3145 -> 0 bytes
 .../recording-surface-extend-pad.argb32.ref.png        | Bin 11200 -> 0 bytes
 .../recording-surface-extend-pad.rgb24.ref.png         | Bin 12586 -> 0 bytes
 .../recording-surface-extend-reflect.argb32.ref.png    | Bin 23967 -> 0 bytes
 .../recording-surface-extend-reflect.rgb24.ref.png     | Bin 23930 -> 0 bytes
 .../recording-surface-extend-repeat.argb32.ref.png     | Bin 24091 -> 0 bytes
 .../recording-surface-extend-repeat.rgb24.ref.png      | Bin 24075 -> 0 bytes
 test/reference/recording-surface-over.argb32.ref.png   | Bin 3153 -> 0 bytes
 test/reference/recording-surface-over.rgb24.ref.png    | Bin 3145 -> 0 bytes
 test/reference/recording-surface-source.argb32.ref.png | Bin 3153 -> 0 bytes
 test/reference/recording-surface-source.rgb24.ref.png  | Bin 3146 -> 0 bytes
 test/reference/rel-path.argb32.ref.png                 | Bin 197 -> 0 bytes
 test/reference/rel-path.rgb24.ref.png                  | Bin 216 -> 0 bytes
 .../scale-source-surface-paint.argb32.ref.png          | Bin 147 -> 0 bytes
 .../reference/scale-source-surface-paint.rgb24.ref.png | Bin 117 -> 0 bytes
 test/reference/set-source.argb32.ref.png               | Bin 120 -> 0 bytes
 test/reference/set-source.rgb24.ref.png                | Bin 101 -> 0 bytes
 .../source-surface-scale-paint.argb32.ref.png          | Bin 139 -> 0 bytes
 .../reference/source-surface-scale-paint.rgb24.ref.png | Bin 114 -> 0 bytes
 .../reference/subsurface-outside-target.argb32.ref.png | Bin 2063 -> 0 bytes
 test/reference/subsurface-outside-target.rgb24.ref.png | Bin 1648 -> 0 bytes
 test/reference/surface-pattern-operator.argb32.ref.png | Bin 5217 -> 0 bytes
 test/reference/surface-pattern-operator.rgb24.ref.png  | Bin 1942 -> 0 bytes
 test/reference/svg-surface-source.argb32.ref.png       | Bin 377 -> 0 bytes
 test/reference/svg-surface-source.rgb24.ref.png        | Bin 301 -> 0 bytes
 test/reference/text-pattern.argb32.ref.png             | Bin 3455 -> 0 bytes
 test/reference/text-pattern.rgb24.ref.png              | Bin 2684 -> 0 bytes
 test/reference/tighten-bounds.argb32.ref.png           | Bin 9115 -> 0 bytes
 test/reference/tighten-bounds.rgb24.ref.png            | Bin 8365 -> 0 bytes
 test/reference/trap-clip.argb32.ref.png                | Bin 5826 -> 0 bytes
 test/reference/trap-clip.rgb24.ref.png                 | Bin 5435 -> 0 bytes
 test/reference/unbounded-operator.argb32.ref.png       | Bin 2781 -> 0 bytes
 test/reference/unbounded-operator.rgb24.ref.png        | Bin 1333 -> 0 bytes
 test/reference/xcb-surface-source.argb32.ref.png       | Bin 377 -> 0 bytes
 test/reference/xcb-surface-source.rgb24.ref.png        | Bin 301 -> 0 bytes
 test/reference/xlib-surface-source.argb32.ref.png      | Bin 377 -> 0 bytes
 test/reference/xlib-surface-source.rgb24.ref.png       | Bin 301 -> 0 bytes
 test/reference/zero-mask.argb32.ref.png                | Bin 402 -> 0 bytes
 test/reference/zero-mask.rgb24.ref.png                 | Bin 382 -> 0 bytes
 174 files changed, 0 insertions(+), 0 deletions(-)

commit 93c21e3fd309781d0f48052097f5670dbe9af820
Author: Ravi Nanjundappa <nravi.n@samsung.com>
Date:   Mon Sep 22 10:19:17 2014 +0530

    test: Add test for egl-surface-source
    
    This test file attempts to use a EGL backend surface as a source
    surface for all other backends.
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>

 test/Makefile.sources                              |   3 +-
 test/egl-surface-source.c                          | 135 +++++++++++++++++++++
 test/reference/egl-surface-source.argb32.ref.png   | Bin 0 -> 377 bytes
 .../egl-surface-source.base.argb32.ref.png         | Bin 0 -> 377 bytes
 .../egl-surface-source.base.rgb24.ref.png          | Bin 0 -> 301 bytes
 test/reference/egl-surface-source.image16.ref.png  | Bin 0 -> 305 bytes
 test/reference/egl-surface-source.rgb24.ref.png    | Bin 0 -> 301 bytes
 7 files changed, 137 insertions(+), 1 deletion(-)

commit 573ddfc3d5c08c37b95a21e0a1b34acecc646053
Author: Ravi Nanjundappa <nravi.n@samsung.com>
Date:   Thu Sep 25 08:38:50 2014 +0530

    src: check the surface backend for NULL
    
    This is a follow-up patch on top of 150c1e7044c57443d458e12bfc427d3a019cb60b
    As discussed in the mailing list, http://lists.cairographics.org/archives/cairo/2014-September/025647.html,
    check if the surfaces are of particular backend type or not, before proceeding further.
    
    These changes are based on _cairo_surface_is_xlib() and _cairo_surface_is_image()
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>

 src/cairo-qt-surface.cpp         | 28 +++++++++++++++++++++++++---
 src/cairo-quartz-image-surface.c |  4 +++-
 src/cairo-quartz-surface.c       | 14 ++++++++++++++
 src/win32/cairo-win32-surface.c  | 19 ++++++++++++++++++-
 4 files changed, 60 insertions(+), 5 deletions(-)

commit 06b9f8fa2d179850cda8a0a103896bc011ce46d6
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Sep 22 12:53:08 2014 +0100

    stroke,traps: Emit join without loss of precision
    
    As the target renderers operate at a different sample resolution then we
    use internally for coordinate representation, there is always a potential
    for discrepancies in the line gradients when passing around trapezoids.
    To overcome this, the protocol specification of trapezoids uses the full
    lines and vertical range as opposed to vertices and so long as we always
    use the same lines for conjoint trapezoids, they remain abutting in the
    rasteriser.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=84115
    Testcase: bug-84115
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/Makefile.sources          |   3 +
 src/cairo-bentley-ottmann.c   | 232 +-------------------------------
 src/cairo-line-inline.h       |  48 +++++++
 src/cairo-line-private.h      |  50 +++++++
 src/cairo-line.c              | 306 ++++++++++++++++++++++++++++++++++++++++++
 src/cairo-path-stroke-traps.c |  55 +++++---
 src/cairo-traps-private.h     |   8 +-
 src/cairo-traps.c             |  85 ++++++++++--
 8 files changed, 530 insertions(+), 257 deletions(-)

commit 5c03b20732b84370950f0c7e5648da86ef45a571
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Sep 29 08:37:56 2014 +0100

    test/coverage: Exercise invariance under mirror symmetry
    
    Massimo noticed that the record/record-flip were not being rasterised as
    identical mirror images due to a half-subpixel offset in the tor scan
    converter. This test attempts to reproduce this error by rendering a
    rhombus around the origin of each cell (that is it generates 4 mirror
    images of a triangle in the 4 different orientations0. The expectation
    is that each pixel in the group is lit identically as the coverage is
    identical.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=84396
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/coverage.c                         |  55 ++++++++++++++++++++++++++++++++
 test/reference/coverage-rhombus.ref.png | Bin 0 -> 7053 bytes
 2 files changed, 55 insertions(+)

commit fbb0a260b707cb5f02a14cc368c6f2f0d63564c3
Author: Marc-André Lureau <marcandre.lureau@gmail.com>
Date:   Tue Apr 2 21:00:20 2013 +0200

    build-sys: do not try to build util/sphinx on Windows
    
    glib and dlfcn exist on windows, but sphinx code uses a lot of
    Unix-only API
    
    Fixes the following build error on mingw-fedora
    
      CC     cairo-boilerplate-system.lo
    ../../../util/cairo-sphinx/sphinx.c:8:22: fatal error: sys/mman.h: No such file or directory
    compilation terminated.
    
    Fixes:  https://bugs.freedesktop.org/show_bug.cgi?id=63043
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 42320793aa1b3e5a0b74e94a0aadf5d2b9ae5ce2
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Wed Sep 24 11:37:58 2014 -0700

    sphinx: Add ickle's explanation of what sphinx does

 util/cairo-sphinx/sphinx.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 80359e73d821516f411b25b977b442869fa5d0ad
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 23 12:58:27 2014 +0100

    test: Exercise stroking bugs with xlib/trapezoids
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=84115
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/Makefile.sources                 |   1 +
 test/bug-84115.c                      |  61 ++++++++++++++++++++++++++++++++++
 test/reference/bug-84115.ref.png      | Bin 0 -> 64233 bytes
 test/reference/bug-84115.xlib.ref.png | Bin 0 -> 65033 bytes
 4 files changed, 62 insertions(+)

commit 06a737b74d3bc925a2c32254f497e07b6d1af5ca
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Sep 24 09:57:31 2014 +0100

    arc: Insert the initial point on the arc
    
    Currently the very first point on the arc will be the first interpreted
    location along the spline used to approximate the arc. This will be
    close, but not quite the exact point the user intended the arc to run
    from, so begin the arc with a line-to the initial point.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-arc.c | 4 ++++
 1 file changed, 4 insertions(+)

commit bdd0721dcddd6c4528c9518a2152cd154f746202
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Tue Sep 23 16:41:36 2014 -0700

    NEWS: Revise downscaling feature description
    
    Updated feature description using text from Bill.  Also updated bugfix
    list to include recent fixes.

 NEWS | 48 +++++++++++++++++++++++++++---------------------
 1 file changed, 27 insertions(+), 21 deletions(-)

commit 7cfebce15228c88ee122edb8ba575f9a609e36f4
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Tue Sep 23 12:40:25 2014 -0700

    build:  Fix float endian configure test when using clang -O4
    
    When using clang -O4, the compiled test object is output in bitcode
    format rather than as an ELF object, so when we grep the test value from
    the object it fails.  To work around this, go ahead and link the test
    object into an executable, and then grep against this native binary
    instead of the compiler's intermediary object.
    
    We need to add __attribute__((used)) to ensure the d variable doesn't
    get optimized out during linking, since it's not referenced in the
    test's main().
    
    Patch authored by cmuelle8 <abendstund@gmail.com>
    
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>
    Bugzilla:  https://bugs.freedesktop.org/show_bug.cgi?id=63310

 build/aclocal.float.m4 | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 9a19ef185884da1e7d5344b301f48aa2ba0f88b6
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Mon Mar 24 19:08:10 2014 +1030

    Fix compilation with bionic libc
    
    Refactor out a cairo_get_locale_decimal_point() routine to handle a case
    where localeconv() is not available.
    
    Fixes:  https://bugs.freedesktop.org/show_bug.cgi?id=70492
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>
    
    [edit:  Condensed cairo_get_locale_decimal_point and conditionalized
    locale.h inclusion.  -- bryce]

 src/cairo-cff-subset.c    |  4 +---
 src/cairo-misc.c          | 18 ++++++++++++++++++
 src/cairo-output-stream.c |  5 +----
 src/cairo-type1-subset.c  |  5 +----
 src/cairoint.h            |  3 +++
 5 files changed, 24 insertions(+), 11 deletions(-)

commit a02e29a12d82f177bdf99ed8cfd0c3b3b78c44da
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Mon Sep 22 15:48:49 2014 -0700

    Don't return NULL to clients when getting device
    
    Return an error device instead
    
    Fixes:  https://bugs.freedesktop.org/show_bug.cgi?id=58061

 src/cairo-cogl-surface.c | 2 +-
 src/drm/cairo-drm.c      | 9 ++++++---
 2 files changed, 7 insertions(+), 4 deletions(-)

commit 150c1e7044c57443d458e12bfc427d3a019cb60b
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Mon Sep 22 15:41:24 2014 -0700

    Don't return NULL to clients when getting image
    
    Return an error surface instead.
    
    Fixes:  https://bugs.freedesktop.org/show_bug.cgi?id=58061

 src/cairo-qt-surface.cpp         | 2 +-
 src/cairo-quartz-image-surface.c | 2 +-
 src/win32/cairo-win32-surface.c  | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 40e757679634ba6261b9df231ba5c706625e215d
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Mon Sep 22 15:06:54 2014 -0700

    NEWS: Note that downscaling changes only affect image + fallback

 NEWS | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 402b456a3229f6c7f1550e66bbd8125c253a4ff1
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Thu Jul 31 17:58:15 2014 -0700

    gl: Increase default VBO size on GL to 1M
    
    The default VBO size was reduced from 256k to 16k because embedded
    devices had trouble with the larger memory demands of a big VBO.  My
    testing[1] indicates this incurred a 5% performance loss on at least one
    of Cairo's performance tests.  Further testing showed that with
    late-model graphics cards, further performance benefits can be seen with
    even larger VBO sizes, up to 8.3% at 1M for Intel.
    
    Now that we can set the vbo size differently for different backends, set
    it to the lower value (16k) for EGL, and higher (1M) for GL.
    
    1: http://www.bryceharrington.org/wordpress/2013/08/vbo-size/
    
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-egl-context.c | 6 ++++++
 src/cairo-gl-private.h  | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit aa820c13d78a4fc1c87da0da9012ee532aa2d50a
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Thu Jul 31 17:43:03 2014 -0700

    gl: Track the VBO size as a property of the ctx
    
    Change suggested by Chris Wilson.  This will enable setting different
    vbo sizes for GL vs. EGL.
    
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-gl-composite.c |  3 ++-
 src/cairo-gl-device.c    |  4 +++-
 src/cairo-gl-info.c      | 22 ++++++++++------------
 src/cairo-gl-private.h   |  3 ++-
 4 files changed, 17 insertions(+), 15 deletions(-)

commit 036f47c34579259fa86d0193797b6f83fe79bbeb
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Mon Aug 19 19:38:26 2013 -0700

    cairo-gl: Make VBO size run-time settable
    
    The default VBO size was reduced from 256k to 16k last year in commit
    90860241 due to problems with larger VBOs on embedded hardware.
    However, that change resulted in a 5% performance impact to the
    firefox-fishbowl benchmark when using the spans or traps compositors.
    
    This patch doesn't change the VBO size, but does permit it to be
    altered via an environment variable, to facilitate testing.
    
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-gl-composite.c |  2 +-
 src/cairo-gl-device.c    |  2 +-
 src/cairo-gl-info.c      | 22 ++++++++++++++++++++++
 src/cairo-gl-private.h   |  8 ++++++--
 4 files changed, 30 insertions(+), 4 deletions(-)

commit 8479b6086710e11c81c0059ffc5fa6a71d14256c
Author: Ravi Nanjundappa <nravi.n@samsung.com>
Date:   Tue Sep 16 10:18:02 2014 +0530

    test: Add test oversized egl surfaces
    
    This test exercises error scenario when creating over sized egl surface
    that is larger than maximum framebuffer or texture dimensions of the
    context
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>

 test/Makefile.am             |   4 ++
 test/Makefile.sources        |   3 ++
 test/egl-oversized-surface.c | 117 +++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 124 insertions(+)

commit 3d68352e3c00b836e50c2eacb0b80ae5a0e15a65
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Thu Sep 18 13:18:48 2014 -0700

    NEWS: Drop unfinished thought

 NEWS | 1 -
 1 file changed, 1 deletion(-)

commit 54670ec13d64efa94f552b5473c1f15a9db1cecd
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Wed Sep 17 20:27:13 2014 -0700

    AUTHORS: Add Ravi, myself, and a couple other frequent contributors

 AUTHORS | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 33a54e7c204c4bb7fb0f1f2844608a78ea317db4
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Wed Sep 17 20:25:37 2014 -0700

    README:  Update required dependencies
    
    Also adds mention of the skia backend.

 README | 30 ++++++++++++++++++++----------
 1 file changed, 20 insertions(+), 10 deletions(-)

commit d1fa4d44fe6b70eba6d5f620c5c4a6c122cc7fc8
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Wed Sep 17 20:04:01 2014 -0700

    NEWS:  Bring up to date with recent bug fixes.

 NEWS | 69 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 66 insertions(+), 3 deletions(-)

commit e0c0a673ee757615bd3d22f46767535e9f53d6f5
Author: Bryce Harrington <bryce@osg.samsung.com>
Date:   Wed Sep 17 17:14:01 2014 -0700

    Disable font options for xcb.
    
    This patch makes a bunch of tests pass again. The first hunk one fixes a
    shameful oversight (whoops), the second one effectively reverts
    e691d242.  That change broke 102 xcb and 70 xlib tests, including a
    bunch of *twin-antialias-* test cases.  Patch thanks to Uli Schlachter.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-xcb-screen.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 0aa43ed886c0f8468a21a470f2f024bd4d8a4513
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sun Sep 14 22:02:12 2014 +0930

    win32 printing: fix image scale when GDI scale is not identity

 src/win32/cairo-win32-printing-surface.c | 1 +
 1 file changed, 1 insertion(+)

commit e691d242d592a8556e25659fb091a2031abee4c9
Author: Lukáš Lalinský <lukas@oxygene.sk>
Date:   Wed Sep 3 22:53:55 2014 +0200

    xcb: Initialize font options from Xft resources
    
    There is a similar code in the Xlib backend. The logic here is the same, but
    XCB doesn't support X resources directly, so there is some custom code
    to get and parse the resources from the root window.
    
    Signed-off-by: Lukáš Lalinský <lukas@oxygene.sk>
    Reviewed-by: Uli Schlachter <psychon@znc.in>

 src/Makefile.sources      |   1 +
 src/cairo-xcb-private.h   |  19 +++
 src/cairo-xcb-resources.c | 304 ++++++++++++++++++++++++++++++++++++++++++++++
 src/cairo-xcb-screen.c    | 108 ++++++++++++++++
 src/cairo-xcb-surface.c   |   6 +-
 5 files changed, 435 insertions(+), 3 deletions(-)

commit e77d0a5611fedce2bfa0940ff62f003c1f9cfa08
Author: David Weiß <david.weiss@ptvgroup.com>
Date:   Fri Sep 5 17:03:26 2014 +0200

    made paths to pixman, libpng and zlib configurable by commandline for win32 builds
    
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 build/Makefile.win32.common | 23 +++++++++++++++++------
 1 file changed, 17 insertions(+), 6 deletions(-)

commit 3b9d7e583f376413df655f778a3ef04537e8a5b6
Author: Ravi Nanjundappa <nravi.n@samsung.com>
Date:   Fri Sep 5 12:15:02 2014 +0530

    qt: Suppress warnings in qt backend build
    
    This patch fixes majorly 2 kinds of warning issues:
    
    (1)
    cc1plus: warning: command line option '-Wold-style-definition' is valid for Ada/C/ObjC but not for C++ [enabled by default]
    cc1plus: warning: command line option '-Wdeclaration-after-statement' is valid for C/ObjC but not for C++ [enabled by default]
    cc1plus: warning: command line option '-Wnested-externs' is valid for C/ObjC but not for C++ [enabled by default]
    cc1plus: warning: command line option '-Wstrict-prototypes' is valid for Ada/C/ObjC but not for C++ [enabled by default]
    cc1plus: warning: command line option '-Wmissing-prototypes' is valid for Ada/C/ObjC but not for C++ [enabled by default]
    cc1plus: warning: command line option '-Wbad-function-cast' is valid for C/ObjC but not for C++ [enabled by default]
    
    Solution: Enable these warnings only for C compiler and not for C++
    
    (2)
    cairo-qt-surface.cpp: In function 'cairo_int_status_t _cairo_qt_surface_fill(void*, cairo_operator_t, const cairo_pattern_t*, const cairo_path_fixed_t*, cairo_fill_rule_t, double, cairo_antialias_t, const cairo_clip_t*)':
    cairo-qt-surface.cpp:852:5: warning: inlining failed in call to 'PatternToBrushConverter::PatternToBrushConverter(const cairo_pattern_t*)': --param max-inline-insns-single limit reached [-Winline]
    cairo-qt-surface.cpp:1339:38: warning: called from here [-Winline]
    cairo-qt-surface.cpp:390:1: warning: inlining failed in call to 'QPainterPath _ZL10path_to_qtPK17_cairo_path_fixedPK13_cairo_matrix.part.13()': call is unlikely and code size would grow [-Winline]
    cairo-qt-surface.cpp:1306:1: warning: called from here [-Winline]
    cairo-qt-surface.cpp:1051:5: warning: inlining failed in call to 'PatternToBrushConverter::~PatternToBrushConverter()': call is unlikely and code size would grow [-Winline]
    
    Solution: Add __attribute__ ((noinline)) to the function as mentioned in
    http://stackoverflow.com/questions/11724235/warning-for-template-with-g-o2-or-os-o-o1 (Edit 3)
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 build/configure.ac.warnings | 13 +++++++------
 src/cairo-qt-surface.cpp    |  9 ++++++---
 2 files changed, 13 insertions(+), 9 deletions(-)

commit 29a8b4e970379ca04a7db8e63c71bb34c0e349ce
Author: Maks Naumov <maksqwe1@ukr.net>
Date:   Wed Aug 20 09:52:45 2014 -0700

    Fix _cairo_mesh_pattern_equal() when cairo_mesh_patch_t structs are different
    
    Signed-off-by: Maks Naumov <maksqwe1@ukr.net>
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-pattern.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e6bf829d8953fac82ccc80618c6cae41346e483f
Author: Maks Naumov <maksqwe1@ukr.net>
Date:   Wed Aug 20 09:38:37 2014 -0700

    Fix font x_scale value in _compute_transform()
    
    Signed-off-by: Maks Naumov <maksqwe1@ukr.net>
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-ft-font.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c6ae5b197623867e2baca0bf4fe2907ea55536f5
Author: Ravi Nanjundappa <nravi.n@samsung.com>
Date:   Mon Aug 25 09:28:40 2014 +0530

    test: Fix null pointer issue reported by cppcheck static analysis tool
    
    cppcheck analysis tool reports the following issues when run on the
    latest Cairo source.
    
    $ grep "(error)"  cppcheck_error_log.txt
    [test/pdf-mime-data.c:58]: (error) Possible null pointer dereference: file - otherwise it is redundant to check if file is null at line 53
    [test/pdf-mime-data.c:75]: (error) Resource leak: fp
    $
    
    The proposed changes fixes the above issues.
    
    And also it does some refactoring to print the appropriate error messages
    for each error condition in read_file() function and also to free the allocated
    data buffer.
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/pdf-mime-data.c | 25 ++++++++++++++-----------
 1 file changed, 14 insertions(+), 11 deletions(-)

commit 52c4f0f2dafcc6e087a9c3c6d00c582fc272c2c2
Author: Ravi Nanjundappa <nravi.n@samsung.com>
Date:   Thu Aug 21 18:18:34 2014 +0530

    src: Fix memory issue reported by cppcheck static analysis tool
    
    cppcheck analysis tool reports the following issues when run on the
    latest Cairo source.
    
    $ grep "(error)"  cppcheck_error_log.txt
    [src/skia/cairo-skia-surface.cpp:245]: (error) Memory leak: surface
    $
    
    The proposed changes fixes the above issues.
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/skia/cairo-skia-surface.cpp | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit a5f51588afd9d5629b03297eb29ff46350b6ba50
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Aug 25 08:55:24 2014 +0100

    traps,xcb: Set the box count after filtering
    
    After converting, the number of boxes should only count the number of
    non-zero boxes and forget about the zero-sized boxes we skipped over.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=81699
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-traps-compositor.c   | 4 ++--
 src/cairo-xcb-surface-render.c | 5 +++--
 2 files changed, 5 insertions(+), 4 deletions(-)

commit 13a09526d2120c244471e03b6ae979016ef88e83
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Aug 23 14:16:55 2014 +0100

    traps,xcb: Prefilter zero-area boxes when converting traps
    
    The rectangular tesselation routines rely on the presuming that all the
    boxes it has to handle are already filtered to remove empty boxes.
    
    << /width 800 /height 600 >> surface context
    0.0848671 0 0 0.0848671 39.907812 5.608896 matrix transform
    8 0 m 12.417969 0 16 3.582031 16 8 c 16 12.417969 12.417969 16 8 16 c
    3.582031 16 0 12.417969 0 8 c 0 3.582031 3.582031 0 8 0 c h
    clip
    16 0 m 8 8 l 16 16 l h
    clip
    0 0 16 16 rectangle
    fill
    
    Triggers the error given a traps tesselator like cairo-xlib.
    
    Reported-by: Henrique Lengler <henriqueleng@openmailbox.org>
    Analyzed-by: Massimo <sixtysix@inwind.it>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=81699
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-traps-compositor.c   | 28 +++++++++++++++++-----------
 src/cairo-xcb-surface-render.c | 29 ++++++++++++++++++-----------
 2 files changed, 35 insertions(+), 22 deletions(-)

commit 545444ec1f79eab268647e9859efc9c8d1a10391
Author: Uli Schlachter <psychon@znc.in>
Date:   Sat Aug 23 14:38:36 2014 +0200

    xcb: Correctly check for image surface for inplace upload
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=82987
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-xcb-surface-render.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 183ac1889f369743a86a8a2ff6b61486acda614e
Author: Maks Naumov <maksqwe1@ukr.net>
Date:   Tue Aug 19 14:59:14 2014 -0700

    Fix width and height args for _cairo_xcb_connection_copy_area()
    
    Found via static analysis.
    
    Signed-off-by: Maks Naumov <maksqwe1@ukr.net>
    Reviewed-by:  Uli Schlachter <psychon@znc.in>

 src/cairo-xcb-surface-core.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eab218d1e3b0f2a3c0ab33d3173c42cc57e9bf8c
Author: Ravi Nanjundappa <nravi.n@samsung.com>
Date:   Wed Aug 20 11:45:19 2014 +0530

    configure.ac: configuration check to enable either gl or glesv2, not both at the same time
    
    A proposed solution for the discussion in
    https://bugs.freedesktop.org/show_bug.cgi?id=57379#c12,
    to avoid muliple definition of cairo_gl_* symbols when
    both gl and glesv2 backends are enabled at the same time
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 configure.ac | 4 ++++
 1 file changed, 4 insertions(+)

commit 932548ef25864958ef966ffe83e7c945c3ff3cd4
Author: Rodrigo Rivas Costa <rodrigorivascosta@gmail.com>
Date:   Tue Aug 19 00:09:50 2014 +0930

    win32 print: fix cache_frozen assertions
    
    Bug 81709

 src/win32/cairo-win32-printing-surface.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 7736d08e22ffd7ab9968617164c7e027125b7755
Author: Ravi Nanjundappa <nravi.n@samsung.com>
Date:   Wed Aug 6 09:49:59 2014 +0530

    README : Update README file related to usage of FORMAT make variable
    
    Reformatted the README file to simplify the sentences.
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/README | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit c61aeddc44c8619a271151b2a2f6bf9f8ff2a18b
Author: Ravi Nanjundappa <nravi.n@samsung.com>
Date:   Tue Aug 5 14:31:37 2014 +0530

    test: improve selective execution of Cairo tests based on FORMAT option
    
    This patch improves the patch "test: Selective execution of Cairo tests based on FORMAT option"
    by extending the usage of FORMAT option even in the case of user not
    providing TARGETS= option
    
    For ex:
    (1). CAIRO_TESTS="zero-alpha" make test FORMAT=rgba
    This command runs the zero-alpha test for all the backends with
    argb32 content format and so on.
    (2). CAIRO_TESTS="zero-alpha" make test FORMAT=rgba,rgb
    This command runs the zero-alpha test for all the backends with
    argb32 and rgb24 content formats.
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 boilerplate/cairo-boilerplate.c | 68 +++++++++++++++++++++++++++++++++--------
 1 file changed, 55 insertions(+), 13 deletions(-)

commit f8e0ecb5af8859e2bff26cb719b10b3a9784f6f1
Author: Ravi Nanjundappa <nravi.n@samsung.com>
Date:   Thu Jul 24 14:19:21 2014 +0530

    test: Selective execution of Cairo tests based on FORMAT option
    
    Added a new command line option FORMAT which can take rgb and/or rgba
    values which enables the execution of tests only for the given FORMAT
    For ex:
    (1). CAIRO_TESTS="zero-alpha" make test TARGETS=ps2,image FORMAT=rgba,rgb
    This command runs the zero-alpha test for both ps2 and image backends
    with argb32 and rgb24 content formats.
    (2). CAIRO_TESTS="zero-alpha" make test TARGETS=ps2,image FORMAT=rgba
    This command runs the zero-alpha test for both ps2 and image backends
    with argb32 content format and so on.
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 boilerplate/cairo-boilerplate.c | 61 ++++++++++++++++++++++++++++++++++++-----
 perf/Makefile.am                |  3 +-
 test/Makefile.am                |  3 +-
 3 files changed, 58 insertions(+), 9 deletions(-)

commit 1d9f4ae5208d86843a6001d10c9cb5b16df2b785
Author: Bill Spitzak <spitzak@gmail.com>
Date:   Tue Aug 12 15:48:04 2014 -0700

    V5: Use NEAREST filter when possible
    
    (changed to use determinant funciton and remove debug printf)
    
    Modifies _cairo_matrix_has_unity_scale to return true for 90 degree rotations
    by allowing error caused by inaccuracy in trig functions.
    
    This fails after 14 additions of M_PI_2 to itself as a float argument to
    cairo_rotate, but the failure is in the detection of the integer translate,
    not in the trig components. I believe this is due to the matrix inversion,
    which may need similar rounding.
    
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-matrix.c             | 37 +++++++++++++++++++++++--------------
 src/cairo-pattern.c            |  2 +-
 src/cairo-xcb-surface-render.c |  7 ++-----
 3 files changed, 26 insertions(+), 20 deletions(-)

commit 7d44f8d47e7c4389cf6a3baefc7fee7b5dffbb21
Author: Ravi Nanjundappa <nravi.n@samsung.com>
Date:   Tue Aug 12 14:16:46 2014 +0530

    test : build fix when --enable-pdf=no
    
    Though --enable-pdf=yes by default, when --enable-pdf=no, the cairo build
    fails due to unavailability of cairo-pdf.h and related cairo pdf's apis.
    The current changes fixes this issue by conditionally checking if PDF
    surface is enabled or not.
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>
    Tested-by: Bryce Harrington <bryce@osg.samsung.com>

 test/fallback-resolution.c | 5 +++++
 1 file changed, 5 insertions(+)

commit c7ff9bb32e20679d6da4e8a2856be716e5bd9e12
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Jul 21 17:10:16 2014 +0200

    Remove LTO support
    
    This just never worked too well and caused too many issues. I don't think anyone
    will miss this.
    
    As mentioned in the below bug report, proper LTO support also requires using
    special versions of ranlib, nm and ar which support the LTO object files.
    Otherwise, calling the normal ranlib on an .a library breaks the list of
    exported symbols and thus completely breaks the static library.
    
    This (partly) reverts the following commits:
    
    c3645d97ebd24c6f7ad850785d585aebc706a11c configure.ac: Add a --disable-lto configure option
    d486ea30f1a58640a1178de74f705a73845b1cda configure: Conditionally include -flto
    0870c6fb5b39dcc04fa376123848adde2d06d2ce gcc-4.5 warnings and optimisation flags.
    
    (The last commit is the one which brought us -flto in the first place even
    though it doesn't talk about this. It's also the one which is only reverted
    partly.)
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=77060
    CC: Chris Wilson <chris@chris-wilson.co.uk>
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 build/configure.ac.warnings | 16 ----------------
 1 file changed, 16 deletions(-)

commit 27c9923e9887bab5854ecccc81dda69687a0b9ae
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Aug 1 11:29:29 2014 +0100

    xlib: Undo debug hack to force fallbacks
    
    Remove the debug hack from
    
    commit f337342c88092a251dc00476c4a9880d1cb90822
    Author: Bill Spitzak <spitzak@gmail.com>
    Date:   Fri Jul 18 18:46:26 2014 -0700
    
        V6 image: Use convolution filters for sample reconstruction when downscaling
    
    as it forces the fallback image surface for xlib causing severe
    performance degradation.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=82002
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Bill Spitzak <spitzak@gmail.com>
    Cc: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-xlib-display.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f337342c88092a251dc00476c4a9880d1cb90822
Author: Bill Spitzak <spitzak@gmail.com>
Date:   Fri Jul 18 18:46:26 2014 -0700

    V6 image: Use convolution filters for sample reconstruction when downscaling
    
    This version removes testing code and has some changes to match my current
    pixman version. My proposed pixman patch (not finished yet) will produce
    exactly the same results as this cairo patch.
    
    This code contains an all-new filter generator to replace the one that is
    in pixman. Results in 222 pass/298 failed image tests, which is much better
    than the previous versions of this patch.
    
    Filter generator (which should probably be in pixman):
    
    - Single filter, no "reconstruction" and "sample" filter
    - Filters for derivative < 1 work
    - Fixed IMPULSE and BOX
    - Added TENT, CATMULL_ROM, NOTCH. Remove LANZCOS2.
    - Renamed CUBIC to MITCHELL
    
    Cairo's filter settings:
    
    - CAIRO_FILTER_GOOD: uses BOX filter for scales less than .75 in either
      direction. Uses PIXMAN_FILTER_GOOD (ie BILINEAR) otherwise.
    
    - CAIRO_FILTER_BEST: uses CATMULL filter always. Upscaling more than 2x will
      produce anti-aliased square pixels, similar to OS/X.
    
    - CAIRO_FILTER_GAUSSIAN: this obsolete value is used to test other filters.
      The program must declare and poke the filter into the static varialbe
      ikernel. This should be removed for production code.
    
    NYI: This version uses the fallback for xlib always. The xlib and xcb backends
    must be rewritten to use the fallback version if filtering is needed. Or the
    filtering code must be moved to XRender.

 src/cairo-image-source.c | 420 ++++++++++++++++++++++++++++++++++++++++++++++-
 src/cairo-xlib-display.c |   2 +-
 2 files changed, 420 insertions(+), 2 deletions(-)

commit e71b917bbfc881ddd6ae6ed4367efd328a95af93
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Thu Jul 24 18:41:03 2014 -0700

    xlib: Fix mispelling in a comment

 src/cairo-xlib-display.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 82b4781f18d4dc3d368b04a436f854a8f0cff1e1
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Mon Jul 21 15:05:14 2014 -0700

    cairo-wideint:  Fix typo in two cairo_uint128 functions
    
    _cairo_int128_negate and _cairo_int128_not are #defines of
    _cairo_uint128_negate and _cairo_uint128_not respectively.  The function
    implementations should use the actual function name not the aliases.  On
    systems without a uint128 type, these could lead to build issues.
    
    Credit for finding this go to Dr. Peter Barnes, LLNL.

 src/cairo-wideint.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 9e6ceb23b45b7da19911b38eddb7f42f921929b1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 23 12:12:04 2014 -0400

    More binary mode for Windows
    
    Based on:
    https://github.com/Alexpux/MINGW-packages/blob/master/mingw-w64-cairo/0012-more-binary-mode.mingw.patch

 boilerplate/cairo-boilerplate.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 23dce494d1850ee28a9c8d67972052c5a784cacf
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 23 12:09:17 2014 -0400

    Binary mode in any2ppm
    
    From:
    https://github.com/Alexpux/MINGW-packages/blob/master/mingw-w64-cairo/0010-binary-mode-in-any2ppm.mingw.patch

 test/any2ppm.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit f4dbba26d4fc571e0621f3c7a98196c501f8bcc5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 14 15:54:38 2014 -0400

    [cairo-trace] Work around fontconfig :charset= parse format change
    
    As dicussed on the mailing list.

 util/cairo-script/cairo-script-operators.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 2a37cbbabc00c7474be5baa25f848778b1773b2c
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Tue Jul 8 15:53:41 2014 -0700

    configure.ac: Fix broken build for Qt backend
    
    When --enable-qt is specified, the build will break due to missing
    libstdc++:
    
      CCLD     cairo-test-suite
    /usr/bin/ld: ../boilerplate/.libs/libcairoboilerplate.a(libcairoboilerplate_cxx_la-cairo-boilerplate-qt.o): undefined reference to symbol '__gxx_personality_v0@@CXXABI_1.3'
    //usr/lib/x86_64-linux-gnu/libstdc++.so.6: error adding symbols: DSO missing from command line
    collect2: error: ld returned 1 exit status
    
    When using g++ to compile and link code, g++ automatically links
    libstdc++.  However, in cairo we're using g++ only to compile, so need
    to explicitly link against libstdc++ for backends that need iostream,
    stl, or other stdc++ features.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=59038
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Reviewed-by: Uli Schlachter <psychon@znc.in>

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit c3645d97ebd24c6f7ad850785d585aebc706a11c
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Tue Jul 8 13:14:20 2014 -0700

    configure.ac: Add a --disable-lto configure option
    
    Link-Time Optimization seems to be stable enough with gcc 4.8 and 4.9,
    but has proven to be an issue in the past for many cairo users (webkit,
    efl, ubuntu, opensuse, gentoo, arch...) who carry patches to disable it.
    
    Gentoo's patch[1] adds a --disable-lto option to leave it enabled by
    default but give users the ability to work around lto related build
    problems (c.f. fdo #77060).  Patch appears to have been authored by
    Alexandre Rostovtsev[2].
    
    1: sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/x11-libs/cairo/files/cairo-1.12.16-lto-optional.patch
    2: https://bugs.gentoo.org/show_bug.cgi?id=509552
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=60852
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Reviewed-by: Uli Schlachter <psychon@znc.in>

 build/configure.ac.warnings | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit 0f46fc8dc173698b6d61ba757e1e42f2319d6ace
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Tue Jul 8 12:39:02 2014 -0700

    configure.ac: Quell warnings about AM_PROG_AR when using automake 1.12
    
    Without this, autogen.sh issues warnings like:
    
      /usr/share/automake-1.14/am/ltlibrary.am: warning: 'libcairoboilerplate_cxx.la': linking libtool libraries using a non-POSIX
      /usr/share/automake-1.14/am/ltlibrary.am: archiver requires 'AM_PROG_AR' in 'configure.ac'
      boilerplate/Makefile.am:18:   while processing Libtool library 'libcairoboilerplate_cxx.la'
    
    AM_PROG_AR was introduced in automake 1.11.2.  As per the docs for
    AM_PROG_AR, it is supposed to be included when the archiver ('ar') is
    used, but prior to automake 1.12 the warning was only shown iff
    -Wextra-portability was specified.  automake 1.12 introduced a change
    that includes -Wextra-portability when -Wall is specified.
    
    For further discussion of the issue, see:
    
      http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11401
      http://lists.gnu.org/archive/html/automake/2012-05/msg00014.html
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Reviewed-by: Uli Schlachter <psychon@znc.in>

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit 312553af298692111928a9443b75a00bf46d2adb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 11 11:05:43 2014 -0400

    [trace] Don't print FC_CHARSET, FC_LANG, and FC_CAPABILITY
    
    There are many more that can go, but these take the most bytes.
    FC_CHARSET needs to go specially because I recently changed
    its format in fontconfig.  Ouch!

 util/cairo-trace/trace.c | 21 +++++++++++++++++----
 1 file changed, 17 insertions(+), 4 deletions(-)

commit 4cb220773d4babe216afae1198bb192956ffeae9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 11 10:58:14 2014 -0400

    chmod a+x cairo-trace

 configure.ac | 2 ++
 1 file changed, 2 insertions(+)

commit e279709bf32f13314b8008e6f640d2fab8cc8a78
Author: Ravi Nanjundappa <nravi.n@samsung.com>
Date:   Thu Jul 10 16:14:46 2014 +0530

    skia : Add Debug support for skia backend
    
    Enable the DEBUG support for skia backend to provide more
    descriptive information on the unexpected operational behaviours.
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-skia-surface.cpp | 28 +++++++++++++++++-----------
 1 file changed, 17 insertions(+), 11 deletions(-)

commit 8a605472d201e30ddcf3895d554cc4143cd54fb2
Author: Ravi Nanjundappa <nravi.n@samsung.com>
Date:   Wed Jul 9 15:50:57 2014 +0530

    .gitignore: Ignore the generated profile data files from callgrind tool in test/
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 test/.gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 30cb23d3b64ab085578c23a194391d982ad10d32
Author: Jeff Muizelaar <jmuizelaar@mozilla.com>
Date:   Wed Jul 9 16:33:53 2014 -0400

    clang-cl: Use size of the pointer explicitly
    
    This works around http://llvm.org/PR20216.

 src/cairo-compiler-private.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 28c3b92fb4f6ed8511a46ad9c0e1bd8cfdd477ed
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Tue Jul 8 17:44:56 2014 -0700

    .gitignore: Ignore two generated files in build/
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 .gitignore       | 1 -
 build/.gitignore | 2 ++
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 7bd68b57999bf1564ecbadf6c9aae6bf9f7aa4a7
Author: Ravi Nanjundappa <nravi.n@samsung.com>
Date:   Mon Jun 30 17:05:26 2014 +0530

    skia: update the source to build with the latest skia
    
    This fixes several build related issues for the skia backend
    which is introduced due to skia source up-gradation.
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Reviewed-by: Uli Schlachter <psychon@znc.in>
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 configure.ac                    | 12 ++++----
 src/skia/cairo-skia-context.cpp | 65 ++++++++++++++++++++++++++++++-----------
 src/skia/cairo-skia-private.h   |  4 +--
 src/skia/cairo-skia-surface.cpp | 13 ++++-----
 4 files changed, 60 insertions(+), 34 deletions(-)

commit be62b1221169469c8923a5a1ec669761f5344c57
Author: Ravi Nanjundappa <nravi.n@samsung.com>
Date:   Wed Jul 2 14:13:58 2014 +0530

    xcb: make use of _cairo_surface_is_xcb to check for surface type
    
    Introduced a new inline function _cairo_surface_is_xcb() as similar to
    _cairo_surface_is_image() and used the same to check for xcb surface
    type
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>

 src/cairo-xcb-private.h        | 15 +++++++++++++++
 src/cairo-xcb-surface-core.c   |  2 +-
 src/cairo-xcb-surface-render.c |  2 +-
 src/cairo-xcb-surface.c        |  4 ++--
 4 files changed, 19 insertions(+), 4 deletions(-)

commit 550385fb004e6064305518cf265adc03bd2d0c0b
Author: Jeff Muizelaar <jmuizelaar@mozilla.com>
Date:   Mon Jun 30 14:17:18 2014 -0400

    Don't use __FUNCTION__ as a string literal
    
    clang-cl doesn't support this and we don't gain much
    from using it.

 src/cairo-compiler-private.h | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit f574fec8d2d1f83525fd7e4dbb266b6e5091627d
Author: Ravi Nanjundappa <nravi.n@samsung.com>
Date:   Mon May 19 14:59:29 2014 +0530

    src : Fix warn_unused_result warnings from gcc
    
    Fix 'unused-result' warning messages by
    - replacing cairo_private to cairo_private_no_warn in the
      declaration of the cairo private apis '_cairo_surface_unmap_image',
      '_cairo_polygon_add_line', '_cairo_polygon_add_external_edge' and
      '_cairo_polygon_add_contour'
    - removing cairo_warn for 'render_rows' member function pointer in
      'struct _cairo_span_renderer'
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>

 src/cairo-spans-private.h | 2 +-
 src/cairoint.h            | 8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 5741a7f2cab3548467a020c89bb7363d398f9c0d
Author: Eric Le Bihan <eric.le.bihan.dev@free.fr>
Date:   Fri May 9 21:22:04 2014 +0200

    test: fix build of any2ppm if fork not available
    
    The test program any2ppm can run as daemon. This feature can be disabled
    at compile time, if the required headers are not present. However the
    support for fork() is not checked.
    
    This patch fixes this issue.
    
    Signed-off-by: Eric Le Bihan <eric.le.bihan.dev@free.fr>

 test/any2ppm.c | 2 ++
 1 file changed, 2 insertions(+)

commit 3d94269bd427304af70ae681d5533b572d19ec3c
Author: Uli Schlachter <psychon@znc.in>
Date:   Tue May 13 10:15:12 2014 +0200

    Revert "image: Use convolution filters for sample reconstruction when downscaling"
    
    This reverts commit fb57ea13e04d82866cbc8e86c83261148bb3e231.
    
    When running cairo-test-suite with the parameter "-a", it also runs each test
    with a non-zero device-offset and device-scaling. The above commit influenced
    the device-scaling results badly. E.g. some test results ended up with a black
    border at the top-most and left-most row that looked like there was an offset of
    "0.5" in drawing the image and thus pixels outside of the image were sampled.
    
    This can be seen by the influence that this revert has on the results from
    running CAIRO_TEST_TARGET=image ./cairo-test-suite -a:
    
    Before: 31 Passed, 489 Failed [1 crashed, 8 expected], 31 Skipped
    After: 225 Passed, 295 Failed [1 crashed, 8 expected], 31 Skipped
    
    Most of the failures that disappeared are from the device-scaling tests.
    
    With such disastrous results on the test suite, this cannot really be usable for
    real-world applications.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-image-source.c | 65 ++++++++----------------------------------------
 1 file changed, 10 insertions(+), 55 deletions(-)

commit 2d89cbb30e276cec57a893d4f0d45428858e5e8d
Author: jimmyfrasche <soapboxcicero@gmail.com>
Date:   Sun May 25 20:22:16 2014 -0700

    Add more info to cairo_surface_set_mime_data docs.
    
    Explains how to use cairo_surface_set_mime_data so that the image always
    gets used even if the MIME data cannot be.
    
    Signed-off-by: jimmyfrasche <soapboxcicero@gmail.com>

 src/cairo-surface.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit ead5c7909f3db1d0d81121fc2775c458871891b2
Author: Ravi Nanjundappa <nravi.n@samsung.com>
Date:   Mon May 12 14:59:03 2014 +0530

    vg: Use EGL_NONE and GLX_NONE in place of None
    
    Use EGL_NONE in EGL section and GLX_NONE in GLX section
    instead of None in cairo-boilerplate-vg.c
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=55805

 boilerplate/cairo-boilerplate-vg.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit d1453c512c8213115bd489b3ea8849b1c840b551
Author: Ravi Nanjundappa <nravi.n@samsung.com>
Date:   Tue May 6 15:44:21 2014 +0530

    test : Maintain consistency in the usage of xcalloc
    
    xcalloc is a wrapper for calloc. If it can't allocate memory then it
    terminates the program. The current changes replace the usages of calloc
    by xcalloc in tests.
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>

 test/negative-stride-image.c | 2 +-
 test/stride-12-image.c       | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 69e10bc8b53792f58e06387542c4eeeca52795c9
Author: Ravi Nanjundappa <nravi.n@samsung.com>
Date:   Thu May 15 15:59:58 2014 +0530

    glx: Use GLX_NONE in place of None
    
    Use "GLX_NONE" in rgb and rgba attributes instead of
    "None" in cairo-boilerplate-glx.c
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 boilerplate/cairo-boilerplate-glx.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 247cfaaa2562d28ee39a5a35eea9772ee365937b
Author: Sylvestre Ledru <sylvestre@debian.org>
Date:   Wed May 7 17:15:22 2014 +0200

    Fix some memory leaks found by scan-build, the LLVM/Clang static analyzer
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Reviewed-by: Uli Schlachter <psychon@znc.in>

 src/cairo-cff-subset.c  | 4 +++-
 src/cairo-pdf-surface.c | 8 +++++++-
 test/pdf-mime-data.c    | 2 ++
 3 files changed, 12 insertions(+), 2 deletions(-)

commit 5e7b724dd3ed13c7c5a6ffe3874ad21b7fbe2176
Author: Sylvestre Ledru <sylvestre@debian.org>
Date:   Wed May 7 17:16:09 2014 +0200

    Remove some potential double free
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Reviewed-by: Uli Schlachter <psychon@znc.in>

 src/cairo-truetype-subset.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 85b05e84acd89b08e5e72849133ae84cf2cdcb54
Author: jimmyfrasche <soapboxcicero@gmail.com>
Date:   Sun May 11 20:06:17 2014 -0700

    Pattern document clarification
    
    Replaces documentation of the form "range 0 to 1 less than the number"
    with "ranges from 0 to n-1 where n is the number", which is idiomatic
    mathematical writing and less ambiguous.
    
    Signed-off-by: jimmyfrasche <soapboxcicero@gmail.com>
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-pattern.c | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit 55608e4fd6947f26789557ffc757affc509b141b
Author: Ravi Nanjundappa <nravi.n@samsung.com>
Date:   Mon May 5 12:34:21 2014 +0530

    boilerplate: Maintain consistency in the usage of switch cases
    
    Some of the switch cases used in boilerplate are not consistent
    across other source files in the same module. This patch fixes the
    consistency issues of switch case usage in the boilerplate module.
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Reviewed-by: Uli Schlachter <psychon@znc.in>

 boilerplate/cairo-boilerplate-drm.c  | 12 ++++++--
 boilerplate/cairo-boilerplate-xlib.c | 12 ++++++--
 boilerplate/cairo-boilerplate.c      | 53 +++++++++++++++++++++++++-----------
 3 files changed, 55 insertions(+), 22 deletions(-)

commit 18b3cce2f5812c357e4b6310e72d72dd9ec92ed4
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Tue May 6 10:18:19 2014 -0700

    Fix segfault in firefox when scrolling on certain pages
    
    Bug discovered by thorsten <fly_a320@gmx.de>
    
    Patch from Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xcb-surface-render.c | 3 +++
 1 file changed, 3 insertions(+)

commit da9ef97372fb9c22f66507e0ab37968b1131f077
Author: Sylvestre Ledru <sylvestre@mozilla.com>
Date:   Fri May 2 18:53:41 2014 +0200

    Remove some useless declarations found by scan-build, the LLVM/clang static analyzer
    
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-contour.c                   |  1 -
 src/cairo-ft-font.c                   |  2 --
 src/cairo-path-stroke-polygon.c       | 10 ----------
 src/cairo-xcb-connection-core.c       |  2 --
 test/pdiff/lpyramid.c                 |  4 ++--
 test/tighten-bounds.c                 |  2 +-
 util/cairo-script/cairo-script-file.c |  1 -
 7 files changed, 3 insertions(+), 19 deletions(-)

commit 52b137bc3e3284ecef3102b0d976fd2320e0f473
Author: Ravi Nanjundappa <nravi.n@samsung.com>
Date:   Wed Apr 23 08:32:19 2014 +0530

    test and util: maintain consistency in the usage of ARRAY_LENGTH macro
    
    ARRAY_LENGTH macro is used in perf's cairo-perf.h, src's cairoint.h,
    test's cairo-test.h and in some internal header files of util's
    directory.So to maintain consistency ARRAY_SIZE is replaced with
    ARRAY_LENGTH macro.
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 test/cairo-test.c        | 12 ++++++------
 util/cairo-trace/trace.c |  7 ++++---
 util/malloc-stats.c      |  9 +++++----
 3 files changed, 15 insertions(+), 13 deletions(-)

commit 0e0004a9716ca50bf14fa0e5e1919d90b8d11960
Author: Ravi Nanjundappa <nravi.n@samsung.com>
Date:   Tue Apr 22 17:53:12 2014 +0530

    perf: Refactor some macros to cairo-perf.h
    
    This commit covers one of the left out modifications from
    "commit cd11a4ff0421fd293279b202be800550890574bb" by Bryce.
    It removes the duplicate macro definition in cairo-perf-diff-files.c
    which by default includes the cairo-perf.h having MAX macro defnition.
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>

 perf/cairo-perf-diff-files.c | 1 -
 1 file changed, 1 deletion(-)

commit 2d95f803b15d3d8f70df0e7278ad7bdeaf99fb59
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Thu Apr 17 23:59:36 2014 -0700

    NEWS: Add bug links and reword feature and bug descriptions

 NEWS | 67 ++++++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 46 insertions(+), 21 deletions(-)

commit cd11a4ff0421fd293279b202be800550890574bb
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Wed Apr 16 17:37:18 2014 -0700

    perf: Refactor some common macros to cairo-perf.h
    
    These macros are standard in src's cairoint.h and test's cairo-test.h
    internal header files, so for consistency do the same thing with perf's
    cairo-perf.h.
    
    Reviewed-by: Uli Schlachter <psychon@znc.in>

 perf/cairo-perf-chart.c            |  2 --
 perf/cairo-perf-compare-backends.c |  1 -
 perf/cairo-perf-trace.c            |  5 ++---
 perf/cairo-perf.h                  | 12 ++++++++++++
 perf/micro/cairo-perf-cover.c      |  5 ++---
 perf/micro/dragon.c                |  8 --------
 perf/micro/zrusin.c                |  4 +---
 7 files changed, 17 insertions(+), 20 deletions(-)

commit 3e22a8580a8045e450a2f2e47c8ac36abf8882ae
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Apr 11 10:39:39 2014 +0200

    pthread-same-source: Refresh reference images
    
    These reference images are generated by the new GENERATE_REFERENCE mode that the
    previous commit introduced.
    
    I have no idea what the "base" images. From my reading of the code in
    boilerplate/, these images will be used by the test-XXX targets. However, these
    seem to generate the same result than e.g. the image backend. Thus, I deleted
    these files.
    
    There is still pthread-same-source.quartz.xfail.png. This file was created in
    commit b6e16b8d and touched in commit 5a1e590b1. No idea if this is still valid
    and since I don't have a Mac, I won't touch it.
    
    The test is still broken on the following backends (out of the backends I have
    compiled in). This mostly seems to be differences in image scaling, but I
    couldn't figure out an easy way to tell the test suite that the new results are
    correct.
    
    test-paginated, ps2, ps3, xcb, xcb-window, xcb-window&, xcb-fallback, xlib,
    xlib-window, xlib-fallback, recording
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 .../reference/pthread-same-source.base.argb32.ref.png | Bin 1000 -> 0 bytes
 test/reference/pthread-same-source.base.rgb24.ref.png | Bin 1000 -> 0 bytes
 test/reference/pthread-same-source.image16.ref.png    | Bin 1007 -> 1048 bytes
 test/reference/pthread-same-source.ref.png            | Bin 1000 -> 1076 bytes
 4 files changed, 0 insertions(+), 0 deletions(-)

commit ddd344fb0f5a0e9a0e9a34306598a777ffb7667a
Author: Uli Schlachter <psychon@znc.in>
Date:   Sat Apr 12 12:07:23 2014 +0200

    pthread-same-source: Add ref image generation
    
    When the new GENERATE_REFERENCE symbol is defined to 1, no threads are involved
    at all. In this case, all operations are done sequentially by the main thread.
    
    Thus, in this mode no thread issues can occur and the result must be usable as
    reference images.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 test/pthread-same-source.c | 25 ++++++++++++++++++++++---
 1 file changed, 22 insertions(+), 3 deletions(-)

commit 457597e2dc6fac6c879ba51da892cf31a3c432eb
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Fri Mar 14 20:24:51 2014 +0000

    NEWS: Summarize recent changes
    
    This updates NEWS with items shown by `git log --stat 1.12.8..`
    Hopefully I haven't misrepresented any of the work done.  For sake of
    brevity where there were several changes in one area, I've given a
    single general entry to summarize those changes.  The division between
    features and bug fixes is quite rough.

 NEWS | 88 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 88 insertions(+)

commit bb17403622e9ea474017e0039af8ee48b2b285db
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Mar 14 15:31:34 2014 +0100

    mesh-rasterize: Fix number of iterations
    
    Commit 44a09f462c fixed a compiler warning, but changed the result of this code.
    This is because the old 'for' loop did one more iteration than the new 'while'
    loop. Fix this by incrementing the loop counter once before the loop.
    
    Fixes: mesh-pattern mesh-pattern-accuracy mesh-pattern-conical
    mesh-pattern-control-points mesh-pattern-fold mesh-pattern-overlap
    mesh-pattern-transformed record-mesh
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Tested-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-mesh-pattern-rasterizer.c | 1 +
 1 file changed, 1 insertion(+)

commit 372c8c314a93e0efba53319a120a9ccc2c99658b
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Mar 14 13:47:38 2014 +0100

    mask compositor: Set a check_composite method
    
    Commit 503b6b9e2ea6 added a check_composite method to the mask compositor, but
    only added it to one of the existing implementations. This commit fixes that.
    
    In cairo-image-compositor.c, there is already a check_composite method which
    just returns success for the traps compositor. This commit makes the mask
    compositor use that one.
    
    I don't want to say much about cairo-image-mask-compositor.c except that I
    wondered why this file and the file above both define a non-static function
    called _cairo_image_mask_compositor_get(). In my opinion, that file should just
    be deleted, since it confuses e.g. ctags, but I'll let someone else clean this
    up.
    
    Fixes 493 crashes in the test suite for the test-mask target.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Tested-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-image-compositor.c      | 2 +-
 src/cairo-image-mask-compositor.c | 3 +++
 2 files changed, 4 insertions(+), 1 deletion(-)

commit bc05dbccd7dd2f137038479b30ed71c98ff81da6
Author: Uli Schlachter <psychon@znc.in>
Date:   Thu Feb 27 10:56:20 2014 +0100

    Fix warnings from check-doc-syntax.sh
    
    $ ./check-doc-syntax.sh
    Checking documentation for incorrect syntax
    ./cairo-types-private.h (148): WARNING: cairo_hash_entry_t: missing 'Since' field (is it a private type?)
    ./cairo-types-private.h (161): WARNING: cairo_hash_entry_t: not found
    ./cairo-types-private.h (175): WARNING: cairo_lcd_filter_t: missing 'Since' field (is it a private type?)
    ./cairo-cache-private.h (85): WARNING: cairo_cache_entry_t: missing 'Since' field (is it a private type?)
    ./cairo-region.c (857): WARNING: cairo_region_overlap_t: not found
    ./cairo-raster-source-pattern.c (62): WARNING: SECTION:cairo-raster-source 'Since' field in non-public element
    
    The warnings about missing 'Since' fields are fixed by changing the
    documentation comment so that the script can see that these are private types.
    
    The documentation for cairo_region_overlap_t gets moved to cairo.h, just like
    e.g. the documentation for cairo_status_t.
    
    The 'Since' field from the SECTION:cairo-raster-source is removed, because this
    kind of field is needed on the individual functions and structs, not on the
    section.
    
    Thanks to Bryce Harrington for bringing this up!
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Tested-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-cache-private.h         |  2 +-
 src/cairo-raster-source-pattern.c |  2 --
 src/cairo-region.c                | 12 ------------
 src/cairo-types-private.h         |  4 ++--
 src/cairo.h                       | 11 +++++++++++
 5 files changed, 14 insertions(+), 17 deletions(-)

commit 0c189910539aa05125b60e59b7101e9b9685582f
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Thu Mar 13 15:22:40 2014 -0700

    skia: Add section definitions and code docs for skia backend
    
    This fixes several distcheck errors regarding missing code docs.
    
    The skia backend was added in commit d7faec02, which was included in the
    1.10 release.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 doc/public/cairo-sections.txt |  5 +++--
 src/cairo-skia-surface.cpp    | 21 +++++++++++++++++++++
 src/skia/cairo-skia-private.h | 19 +++++++++++++++++++
 3 files changed, 43 insertions(+), 2 deletions(-)

commit 0eb686d5454073f65ff78520ca862d07672d2a3f
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Tue Feb 25 17:43:22 2014 -0800

    Document that libglib2.0-doc is needed to avoid some xref warnings
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 RELEASING | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 8d0abb4a945a6875de956ef12883e7efe7b7fbc7
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Tue Feb 25 17:09:03 2014 -0800

    surface: Make parameter naming consistent between header and impl
    
    This fixes this set of distcheck errors generating docs:
    
      src/cairo-surface.c:1668: warning: Parameter described in source code
      comment block but does not exist. FUNCTION:
      cairo_surface_set_device_scale Parameter: sx.
    
      src/cairo-surface.c:1668: warning: Parameter described in source code
      comment block but does not exist. FUNCTION:
      cairo_surface_set_device_scale Parameter: sy.
    
      src/cairo-surface.c:1668: warning: Parameter description for
      cairo_surface_set_device_scale::x_scale is missing in source code
      comment block.
    
      src/cairo-surface.c:1668: warning: Parameter description for
      cairo_surface_set_device_scale::y_scale is missing in source code
      comment block.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-surface.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 4450af4f035fce8b468ad3ac9cd34da7bf81b688
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Tue Feb 25 14:43:06 2014 -0800

    Mark recently added _cairo_output_stream_print_matrix private symbol
    
    This fixes a distcheck error about a local PLT entry.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-output-stream-private.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ae954ae3ea262efae221cfda18eee73b5654a729
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Tue Feb 25 13:20:49 2014 -0800

    doc: Drop a couple quartz routines which distcheck claims don't exist
    
    These routines actually do exist in the source code, and have proper
    documentation, so I'm not sure why distcheck dislikes them, but it's
    happier without these listed.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 doc/public/cairo-sections.txt | 3 ---
 1 file changed, 3 deletions(-)

commit f4a1a75078a844e2581615566122f4232d2a4f62
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Tue Feb 25 13:17:00 2014 -0800

    doc: Add missing sections and symbols for public docs
    
    This adds a number of items to the documentation for which code docs
    exist, and also adds sections for cairo-skia and cairo-surface-observer.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=48784
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 doc/public/cairo-sections.txt | 38 ++++++++++++++++++++++++++++++++++++++
 src/cairo-surface-observer.c  |  5 +++++
 src/cairo.h                   |  9 +++++++++
 3 files changed, 52 insertions(+)

commit ed175b2a2bebb6def85133257bc11a875d13b0dd
Author: Uli Schlachter <psychon@znc.in>
Date:   Thu Mar 6 09:45:08 2014 +0100

    clip: Fix handling of special all-clipped cairo_clip_t
    
    _cairo_clip_intersect_box() wasn't checking if it was called with the special,
    read-only all-clipped clip and thus could have ended up writing to read-only
    memory.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=75819
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-clip-boxes.c | 3 +++
 1 file changed, 3 insertions(+)

commit 3b261bea7d8e8094ff3899aefab6bbc8628a3585
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Mar 6 08:34:10 2014 +0000

    clip: Do not modify the special all-clipped cairo_clip_t
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=75819

 src/cairo-clip-boxes.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 42fdfa812eb05ecb539af739445ec8c36f0e7ac1
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Wed Mar 5 12:50:36 2014 -0800

    gitignore: Ignore generated tmpl dir in public docs

 doc/public/.gitignore | 1 +
 1 file changed, 1 insertion(+)

commit f88bd92e8b3d87ec728e3fee51eb82f07db8c95c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Mar 5 01:13:59 2014 -0800

    Revert "[ft] Fix memory bug in copying bitmaps"
    
    This reverts commit a0f556f37fb7016aa304b7cf0e811c0d38f0b969.
    
    The change was clearly wrong now that I read.  I was probably
    tricked by what was fixed in the follow-up commit
    e738079302a968b7b1fb9101cd4d92a8887bedce.

 src/cairo-ft-font.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 5c9fdcb4aa9c3c32fe4760586c11924dc5fb47ef
Author: Koji Egashira <Koji.Egashira@access-company.com>
Date:   Mon Apr 29 18:31:08 2013 +0900

    image: Add NULL checks for return value of _pixman_image_for_color()
    
    This fixes crash in pixman_image_composite32().
    
    Originally fixed by Yoshitaro Makise.
    
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-image-compositor.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 6a03ae5859a92d3d4dbe97c9d598700fbcf1d666
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Mar 3 01:16:25 2014 +0100

    xlib: Fix typo in documentation

 src/cairo-xlib-display.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f1709c298c355499a18796f389fa0fd9bc52b8c3
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Wed Feb 26 18:55:25 2014 -0800

    Correct spelling of "tessellator" throughout code
    
    Based on patch suggested by Homer Hsing
    
    Bugzilla:  https://bugs.freedesktop.org/show_bug.cgi?id=50411

 src/cairo-cogl-surface.c       | 6 +++---
 src/cairo-fixed-private.h      | 2 +-
 src/cairo-fixed-type-private.h | 2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 273210683f182d72789f88df80fec8c4d08bb30f
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Wed Feb 26 18:44:46 2014 -0800

    Add comment to explain _cairo_edge_compute_intersection_*
    
    Patch by Homer Hsing
    
    Bugzilla:  https://bugs.freedesktop.org/show_bug.cgi?id=50412

 src/cairo-fixed-private.h | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e555dfc7173897bc0819c715e8897cd1c886e2a3
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Wed Feb 26 18:42:41 2014 -0800

    Add explanation to _cairo_surface_create_in_error
    
    Patch by Homer Hsing
    
    Bugzilla:  https://bugs.freedesktop.org/show_bug.cgi?id=50413

 src/cairo-surface.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit be206ddf20e7b4e0e87d91c7a18cbdb9cfcec8e6
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Wed Feb 26 18:40:12 2014 -0800

    Add explanation to enum _cairo_int_status
    
    Patch based on suggestion by Homer Hsing
    
    Bugzilla:  https://bugs.freedesktop.org/show_bug.cgi?id=50416

 src/cairo-error-private.h | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 19b31bbe7018dbe031c650e7497b19a0607ad453
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Wed Feb 26 18:36:15 2014 -0800

    image: Fix bad HTML generation in code docs for cairo-format-stride-for-width
    
    Patch from Simon Kågedal Reimer
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=63257

 src/cairo-image-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7b50883577df0949f793cc6dbfda281e96119dcd
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Wed Feb 19 11:25:16 2014 -0800

    gl: Handle PIXMAN_a8r8g8b8_sRGB format in switch
    
    Fixes the following compiler warning:
    
      cairo-gl-surface.c:182:5: warning: enumeration value
      ‘PIXMAN_a8r8g8b8_sRGB’ not handled in switch
    
    Same fix as done for image in 1d0055078.
    
    Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-gl-surface.c | 3 +++
 1 file changed, 3 insertions(+)

commit 44a09f462c8ff59f864967f45f9b31e473632b7a
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Tue Feb 18 21:13:53 2014 -0800

    mesh: Avoid theoretical infinite loops
    
    This quells this warning:
    
      src/cairo-mesh-pattern-rasterizer.c:731:5: warning: cannot
      optimize possibly infinite loops
    
    I guess the compiler's complaining because if vsteps were negative or
    equal to UINT_MAX the loop could cycle infinitely.  Silly compiler.
    
    Fix as suggested by Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-mesh-pattern-rasterizer.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 19f412bb1faa5391a03c121c31f7ad94fd275d82
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Tue Feb 18 21:01:07 2014 -0800

    xml: constify source objects for emit routines
    
    This quells the following warnings:
    
      src/cairo-xml-surface.c:576:5: warning: passing argument 2 of
      ‘_cairo_xml_surface_emit_clip_boxes’ discards ‘const’ qualifier from
      pointer target type
      src/cairo-xml-surface.c:462:1: note: expected ‘struct cairo_clip_t
      *’ but argument is of type ‘const struct cairo_clip_t *’
    
    Most of the cairo_xml*emit* routines const their source objects;
    these should follow suit.
    
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xml-surface.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit dc8ca191f584f837f4c2b70d0ebbe2c9d87575cf
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Tue Feb 18 20:56:09 2014 -0800

    xml: Drop unused variable
    
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xml-surface.c | 1 -
 1 file changed, 1 deletion(-)

commit 9b8a752249c69ba94461b3ef6d919c1b86ae6fab
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Tue Feb 18 20:13:57 2014 -0800

    test: Quell warning for deprecated g_type_init()
    
    The g_type_init() routine was deprecated in glib 2.34.  Tested and
    verified this conditionalization on glib 2.32 and 2.36.  No need to
    change version dependencies.
    
      test/any2ppm.c:864:5: warning: ‘g_type_init’ is deprecated
      (declared at /usr/include/glib-2.0/gobject/gtype.h:669)
    
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/any2ppm.c | 2 ++
 1 file changed, 2 insertions(+)

commit 75e671c29b2f2916c41af46f8c3707539b235674
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Tue Feb 18 18:10:20 2014 -0800

    test: Quell warning for inclusion of old rsvg header files
    
    This silences a warning due to header file deprecated as of libsrvg
    2.36.2.  Tested and verified this hackaround on librsvg 2.36.4 and
    2.36.1.  No need to change version dependencies.
    
      In file included from test/any2ppm.c:73:0:
      /usr/include/librsvg-2.0/librsvg/rsvg-cairo.h:27:2: warning:
      #warning "Including <librsvg/rsvg-cairo.h> directly is deprecated."
    
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/any2ppm.c | 2 ++
 1 file changed, 2 insertions(+)

commit a346e40ed33e69c7c03be3aa1b7b0065e4ee1d07
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Tue Feb 18 17:37:22 2014 -0800

    perf: Guarantee path width is non-negative
    
    This quells the following warning:
    
      perf/micro/hatching.c:39:5: warning: cannot optimize loop, the
      loop counter may overflow
    
    Width and height aren't going to be negative so enforce it so that the
    compiler can do whatever optimization it wants to do.
    
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 perf/micro/hatching.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4144307dbfbe7b297135d9ea4b080cae7e06b997
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Feb 4 10:47:40 2014 +0000

    cairo-version: fix docs build
    
    We do some evil things in this doc comment by closing a <para> tag further up.
    Make sure we reopen it at the end so that gtk-doc's attempt to close it again
    doesn't result in an imbalance.

 src/cairo-version.c | 1 +
 1 file changed, 1 insertion(+)

commit 39b7d5138eb83cc2d4f3ab6039894cc61c7fe4c7
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Wed Jan 29 17:07:04 2014 -0800

    cairo-script: Compare status with CSI enums
    
    CSI_STATUS_SUCCESS is defined as equivalent to CAIRO_STATUS_SUCCESS.
    We should prefer the former when comparing against csi_status_t
    variables, else we'll get a warning:
    
    cairo-script-interpreter.c:637:23: warning: comparison between
    ‘csi_status_t’ and ‘enum _cairo_status’ [-Wenum-compare]
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 util/cairo-script/cairo-script-interpreter.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 18d66c88a2f1068fb490efa33ead93d0e2d71c41
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Wed Jan 29 10:22:51 2014 -0800

    cairo-script: Error if asked to decompress with missing compression lib
    
    This quells the following warning:
    
    warning: enumeration value ‘LZO’ not handled in switch [-Wswitch-enum]
    
    The LZO enum value is defined and used elsewhere, even if lzo support
    isn't available.
    
    This situation might arise if cairo scripts were generated on one system
    with lzo, and then replayed on a system without it.  For now simply
    error out if this occurs.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 util/cairo-script/cairo-script-file.c      |  8 ++++----
 util/cairo-script/cairo-script-operators.c | 16 ++++++++--------
 2 files changed, 12 insertions(+), 12 deletions(-)

commit 1ce452db4ca348944ca88edfdadb6c53a4d55733
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Wed Jan 29 10:10:24 2014 -0800

    cairo-trace:  Stringify CAIRO_STATUS_JBIG2_GLOBAL_MISSING
    
    This error enum was added last September when JBIG2 support was added.
    Support it as well in the tracing code.  This fixes this warning:
    
    trace.c:1544:5: warning: enumeration value
    ‘CAIRO_STATUS_JBIG2_GLOBAL_MISSING’ not handled in switch [-Wswitch]
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 util/cairo-trace/trace.c | 1 +
 1 file changed, 1 insertion(+)

commit 9a29805f4e666577e5fe72fec62ecc76719862d9
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Wed Jan 29 10:04:41 2014 -0800

    test:  Drop unused path variable in two recently added tests
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/paint-with-alpha-group-clip.c | 2 --
 test/rotate-stroke-box.c           | 2 --
 2 files changed, 4 deletions(-)

commit 0723290a6f7261be51312d0c53a7d4188a31bb1c
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Wed Jan 29 10:01:50 2014 -0800

    test:  Handle error in fgets call in ps-eps test
    
    Most likely this is just a theoretical problem since we just checked
    feof, but this quells the following warning:
    
    ps-eps.c:216:8: warning: ignoring return value of ‘fgets’, declared with
    attribute warn_unused_result [-Wunused-result]
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/ps-eps.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 1b522f81e22fd320e6962ffb54121c10ece39275
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Wed Jan 29 09:57:24 2014 -0800

    test:  Replace deprecated rsvg_init() in any2ppm test
    
    As of libsvg 2.35 calling g_type_init() is sufficient.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 configure.ac   | 2 +-
 test/any2ppm.c | 1 -
 2 files changed, 1 insertion(+), 2 deletions(-)

commit 5de25951a43f51cade42549ae60e52ffb391d61e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jan 27 17:34:00 2014 -0500

    Preserve current-point in copy_path()/append_path() sequence
    
    Fixes path-currentpoint test.

 src/cairo-path-fixed.c | 3 +++
 1 file changed, 3 insertions(+)

commit 8d2e24479a1efbeeddced3574c1d9e92b8ee578d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jan 27 17:31:12 2014 -0500

    [tests] Add path-currentpoint
    
    Checks whether copy_path()/append_path() preserves current-point.
    Currently failing.

 test/Makefile.sources    |  1 +
 test/path-currentpoint.c | 89 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 90 insertions(+)

commit 2a7f133639bed86a29dd9693cb78c0aa42eaff30
Author: Uli Schlachter <psychon@znc.in>
Date:   Sun Jan 19 20:06:25 2014 +0100

    cairo svg: Use \n instead of /n in bitmap fonts
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-svg-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b56b971141bf22ee3452b7f6f5e2dfd373b99e13
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Jan 11 20:49:05 2014 +1030

    type1: strip space from end of font name

 src/cairo-type1-subset.c | 3 +++
 1 file changed, 3 insertions(+)

commit ee0e2b9272f6f21092fde7bee9b9237e682d4147
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Jan 11 20:57:44 2014 +1030

    ps: add font DSC comments

 src/cairo-ps-surface.c | 34 +++++++++++++++++++++++++---------
 1 file changed, 25 insertions(+), 9 deletions(-)

commit 2d3ee70ed37ed2120d5c5f75277172620e32084c
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Jan 11 19:09:55 2014 +1030

    ps: cairo_set_page_size does not need to be in eps output

 src/cairo-ps-surface.c | 68 ++++++++++++++++++++++++++------------------------
 1 file changed, 36 insertions(+), 32 deletions(-)

commit 26d0edbc35504624cbe96e95e338351e219bb262
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Jan 11 10:42:33 2014 +1030

    ps: use setpagedevice to set page size
    
    https://bugs.freedesktop.org/show_bug.cgi?id=73452

 src/cairo-ps-surface.c | 40 +++++++++++++++++++++++++++++++++++++++-
 1 file changed, 39 insertions(+), 1 deletion(-)

commit 97f6e2005d9cbc9c9dd7cc21445df7c08e084c83
Author: Marek Kasik <mkasik@redhat.com>
Date:   Thu Jan 9 17:28:32 2014 +0100

    font: Generate PDFs with correct font names
    
    Escape PostScript names of loaded fonts. These can not
    contain white spaces and delimiter characters when saving
    them to a PostScript file or a PDF file.

 src/cairo-cff-subset.c                  |  2 ++
 src/cairo-scaled-font-subsets-private.h | 15 +++++++++++++
 src/cairo-scaled-font-subsets.c         | 40 +++++++++++++++++++++++++++++++++
 src/cairo-truetype-subset.c             | 35 +++--------------------------
 src/cairo-type1-subset.c                |  9 +++-----
 5 files changed, 63 insertions(+), 38 deletions(-)

commit f81b1406755a1e63f0c44996ca9ce3802b1877ba
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Wed Jan 8 07:45:20 2014 +1030

    ps: fix imagemask with pattern source failure on some printers
    
    When /PaintProc is invoked the pattern dict is pushed onto the stack.
    Ensure this dict is removed.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=69485

 src/cairo-ps-surface.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2afc941d7ffad3bd37a915e82342640772d4df5b
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Fri Jan 3 21:06:24 2014 +1030

    ps: remove duplicate /Interpolate from image dictionary
    
    http://lists.freedesktop.org/archives/poppler/2014-January/010748.html

 src/cairo-ps-surface.c | 2 --
 1 file changed, 2 deletions(-)

commit 2974416dfc56e1b3a59001e482679f8601abd7d5
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Thu Dec 26 17:18:41 2013 +1030

    Add test for paint with alpha and clipping bug
    
    Add test case for https://bugs.freedesktop.org/show_bug.cgi?id=68382
    
    Something has regressed in the recording surface. All the recording
    surface based backends lose the alpha from the paint_With_alpha.

 test/Makefile.sources                              |   1 +
 test/paint-with-alpha-group-clip.c                 |  62 +++++++++++++++++++++
 test/reference/paint-with-alpha-group-clip.ref.png | Bin 0 -> 135 bytes
 3 files changed, 63 insertions(+)

commit 5cafaa7b3bc045a7a26a11986c16fd9419a09922
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Thu Dec 26 15:28:29 2013 +1030

    pdf: fix rectangle stroke with non rectilinear pen

 src/cairo-pdf-operators.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit acd78d721e9d1c9c74c88889fbc4580700962ed1
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Thu Dec 26 15:27:30 2013 +1030

    Add test for rectangle path optimization with non rectilinear pen
    
    This fails on pdf/ps.

 test/Makefile.sources                    |   1 +
 test/reference/rotate-stroke-box.ref.png | Bin 0 -> 150 bytes
 test/rotate-stroke-box.c                 |  51 +++++++++++++++++++++++++++++++
 3 files changed, 52 insertions(+)

commit 040a9f678bfb0f0b89a0273b729c4e9f2bc23e4f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Dec 16 19:27:02 2013 -0500

    Check for XRenderSolidFill()

 configure.ac                     | 2 +-
 src/cairo-xlib-xrender-private.h | 4 ++++
 2 files changed, 5 insertions(+), 1 deletion(-)

commit dcbe16eb40b488f89f2398181f4c3f8a65f84b52
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Dec 7 15:48:26 2013 +1030

    pdf/ps: avoid outputting excess decimal places in matrices
    
    Sometimes as a result of rounding errors in matrix transformations the
    matrices in ps/pdf output look like:
    
        0.000000000000000061 1 1 -0.000000000000000061 0 842 cm
    
    This patch rounds to zero matrix elements that are very small compared to
    other elements in the same matrix.

 src/cairo-output-stream-private.h |  5 +++++
 src/cairo-output-stream.c         | 39 ++++++++++++++++++++++++++++++++++
 src/cairo-pdf-operators.c         | 17 +++++----------
 src/cairo-pdf-surface.c           | 44 +++++++++++++++++----------------------
 src/cairo-ps-surface.c            | 40 ++++++++++++++---------------------
 5 files changed, 84 insertions(+), 61 deletions(-)

commit 31eff5c6eb57ad379689748fd8c60a5ffe0ba481
Author: Uli Schlachter <psychon@znc.in>
Date:   Sat Nov 16 19:05:35 2013 +0100

    Correct usage of CAIRO_STACK_ARRAY_LENGTH
    
    This macro wants the array type as its argument and calls sizeof() on it
    internally.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-xcb-surface-render.c     | 2 +-
 src/cairo-xlib-render-compositor.c | 2 +-
 src/cairo-xlib-surface-shm.c       | 4 ++--
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 8c73949e44d4201fafc899693964c934f7072fa6
Author: Henry Song <henry.song@samsung.com>
Date:   Tue Nov 12 09:53:29 2013 -0800

    gl: Fix one off issue in context cleanup
    
    ctx->vertex_shaders is only CAIRO_GL_VAR_TYPE_MAX large, so we should
    abort the loop before the index is equal to CAIRO_GL_VAR_TYPE_MAX.
    
    Signed-off-by: Martin Robinson <mrobinson@igalia.com>

 src/cairo-gl-shaders.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 56a195a76554abe1d5567c733ba679058fe01303
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Wed Oct 30 18:43:42 2013 -0700

    Fix SSIZE_T definition problem when making with MSYS on Windows7
    
    Patch provided by Martin Schlemmer <Martin.Schlemmer@nwu.ac.za> on the
    mailing list.
    
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 util/cairo-missing/cairo-missing.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 66f4140e73e423bfed640cfde5cb50c08cf29e2e
Author: Kouhei Sutou <kou@clear-code.com>
Date:   Mon Oct 28 22:37:54 2013 +0900

    cairo_create(): Add finished surface check
    
    Without this change, the following program crashes:
    
        #include <cairo.h>
        #include <cairo-svg.h>
    
        int
        main(int argc, char **argv)
        {
          cairo_t *cr;
          cairo_surface_t *finished_surface;
    
          finished_surface = cairo_svg_surface_create ("/tmp/xxx.svg", 1.0, 1.0);
          cairo_surface_finish (finished_surface);
    
          cr = cairo_create (finished_surface);
          cairo_destroy (cr);
    
          cairo_surface_destroy (finished_surface);
    
          return 0;
        }
    
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo.c | 2 ++
 1 file changed, 2 insertions(+)

commit b9263fea14c4c6266140205c0bffb3ae93750999
Author: egag <ed44@xs4all.nl>
Date:   Wed Oct 9 14:14:02 2013 +0200

    Fixes stroke-clipped, i.c. of a dashed stroke
    
    Similar to 1f4d05b55c96347aa4240190fda27f951b00c539
     'Fix calling '_cairo_spline_intersect' for in-bounds checking of splines'
    
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-path-stroke-traps.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 98fef3cef2d0f7f463a2e4f9f1b35b09f7b6ea77
Author: Søren Sandmann Pedersen <ssp@redhat.com>
Date:   Wed Oct 9 15:53:16 2013 -0400

    _cairo_color_double_to_short(): Use standard rounding algorithm
    
    The _cairo_color_double_to_short() function converts a double
    precision floating point value in the range of [0.0, 1.0] to a
    uint16_t integer by dividing the [0.0, 1.0] range into 65536
    equal-sized intervals and then associating each interval with an
    integer.
    
    Under the assumption that an integer i corresponds to the real value i
    / 65535.0 this algorithm introduces more error than necessary as can
    be seen from the following picture showing the analogous
    transformation for two-bit integers:
    
        +-----------+-----------+-----------+-----------+
       0b00         |  0b01     |      0b10 |          0b11
        +-----------+-----------+-----------+-----------+
    
    which shows that some floating point values are not converted to the
    integer that would minimize the error in value that that integer
    corresponds to.
    
    Instead, this patch uses standard rounding, which makes the diagram
    look like this:
    
        +-------+---------------+---------------+-------+
       0b00     |      0b01     |      0b10     |      0b11
        +-------+---------------+---------------+-------+
    
    It's clear that if the values corresponding to the given integers are
    fixed, then it's not possible to decrease the resulting error by
    moving any of the interval boundaries.
    
    See this thread for more information:
    
        http://lists.freedesktop.org/archives/cairo/2013-October/024691.html
    
    Reference images updated:
    
      pthread-similar.ref.png
      record-paint-alpha.ref.png
      record90-paint-alpha.argb32.ref
      record90-paint-alpha.rgb24.ref.png
      xcb-huge-image-shm.ref.png
      xcb-huge-subimage.ref.png
    
    All of these have only one-step differences to the old images.

 src/cairo-color.c                                  |  11 +++--------
 test/reference/pthread-similar.ref.png             | Bin 170 -> 176 bytes
 test/reference/record-paint-alpha.ref.png          | Bin 256 -> 245 bytes
 test/reference/record90-paint-alpha.argb32.ref.png | Bin 105 -> 105 bytes
 test/reference/record90-paint-alpha.rgb24.ref.png  | Bin 105 -> 105 bytes
 test/reference/xcb-huge-image-shm.ref.png          | Bin 97 -> 97 bytes
 test/reference/xcb-huge-subimage.ref.png           | Bin 97 -> 97 bytes
 7 files changed, 3 insertions(+), 8 deletions(-)

commit 6f05ecf488314e4b0c6c6b0110963c449bebe7d7
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Fri Oct 11 19:59:50 2013 +1030

    type1-subset: don't rename glyphs used by seac operator
    
    Bug 70364

 src/cairo-type1-subset.c | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit f1eefee985b4361386a167e80d9836593ade59b9
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Oct 6 09:57:44 2013 +0100

    win32: Reorder font declarations to be in natural order
    
    Reported-by: John Emmas <johne53@tiscali.co.uk>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/win32/cairo-win32-font.c | 90 +++++++++++++++++++++-----------------------
 1 file changed, 43 insertions(+), 47 deletions(-)

commit 49366c5e9e7d5afd0daef4c53a41472e020145eb
Author: Uli Schlachter <psychon@znc.in>
Date:   Thu Oct 3 17:53:34 2013 +0200

    cairo-xlib: Fix out of bounds array access in format cache
    
    The cairo-xlib backend maintains a mapping form cairo_format_t to xrender
    formats. This is done via an array. The size of this array is
    CAIRO_FORMAT_RGB16_565 + 1 which evaluates to 5.
    
    However, CAIRO_FORMAT_RGB30 has the numeric value 5, too. Thus, using this value
    as an index into the array would actually read the following force_precision
    field from cairo_xlib_display_t.
    
    This could be triggered by passing CAIRO_FORMAT_RGB30 to
    _cairo_xlib_display_get_xrender_format(). From a quick look, I didn't find any
    code which would allow doing this, but neither did I find anything allowing
    CAIRO_FORMAT_RGB16_565, so it's better to handle this correctly than assert()ing
    for this to never happen.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-xlib-private.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 217bed84dda43f018e59a4d9a229f63095e1aa06
Author: Uli Schlachter <psychon@znc.in>
Date:   Thu Oct 3 17:44:27 2013 +0200

    Revert "[xlib] Fast-path the likely case of retrieving a known xrender_format"
    
    This reverts commit 09a2b2ed3189fe12483cbd673c24ceddc2c20f3f.
    
    Back in 2009, _cairo_xlib_display_get_xrender_format() had to acquire a lock to
    do its job. The above commit added a fast-path which avoided the lock in most
    cases.
    
    However, in 2010 commit f74ad37e66bbdcc4d727ed6d931dde870d84c2f4 modified the
    locking in the cairo-xlib backend and now this function never takes any locks.
    
    Thus, the fast-path that was added a year earlier now just does the same thing
    that the regular code does and the list of cached formats was checked twice.
    Reverting the earlier commit fixes this.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-xlib-display.c | 6 ------
 1 file changed, 6 deletions(-)

commit 592e6a98031cccfae8551bcd86c1f5134726a4f6
Author: Uli Schlachter <psychon@znc.in>
Date:   Sun Sep 15 14:05:42 2013 +0200

    README: Don't mention XFAIL_TESTS anymore
    
    The variable XFAIL_TESTS is not used anymore since commit e90073f7ddc.
    
    Instead, we now have special reference images that show the wrong output and the
    test suite fails a test if it does not match the expected, wrong output.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 test/README | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

commit bc89be2fff92968a1b585e75371ae2a8a26592e9
Author: Uli Schlachter <psychon@znc.in>
Date:   Sun Sep 29 13:12:55 2013 +0200

    Remove XFAIL_TESTS from Makefile.am
    
    The variable XFAIL_TESTS is not used anymore since commit e90073f7ddc.
    
    The description for the known failures are moved into the respective tests as
    comments.
    
    The following descriptions were dropped:
    
    - surface-pattern-big: Didn't really explain the failure
    - big-line: Test isn't failing any more
    - self-intersecting: Only XFAIL on quartz, but description doesn't match this
    
    The following tests don't have a xfail reference image and seem to fail just
    because of not having a reference image at all (I kept their description for
    now):
    
    big-trap, long-lines, self-copy-overlap
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 test/Makefile.am               | 73 ------------------------------------------
 test/alpha-similar.c           |  4 +++
 test/big-trap.c                |  1 +
 test/degenerate-dash.c         |  5 +++
 test/degenerate-path.c         |  4 +++
 test/device-offset-scale.c     |  4 +++
 test/in-fill-empty-trapezoid.c |  5 +++
 test/long-lines.c              |  1 +
 test/scale-offset-image.c      |  1 +
 test/self-copy-overlap.c       |  5 +++
 10 files changed, 30 insertions(+), 73 deletions(-)

commit 5e6e4536716197ea0605732d32959c57ea8bb140
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sun Sep 29 22:23:31 2013 +0930

    pdf: stencil masks may be opaque

 src/cairo-pdf-surface.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit d3a8d5a9c266b79b0059dd309b5e3eff3ce81a64
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sun Sep 29 22:18:06 2013 +0930

    pdf: Support stencil masks with jpeg/jpx/jbig2 embedding

 src/cairo-pdf-surface.c | 204 +++++++++++++++++++++++++++++++-----------------
 1 file changed, 131 insertions(+), 73 deletions(-)

commit 07940ecd6055e29addcdb4c14e4449a06a30bf4a
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sun Sep 29 12:42:59 2013 +0930

    pdf: combine source and mask images into single image
    
    Since PDF stores the alpha component of images in a separate stream
    which can have a different resolution and encoding to the color
    components we can optimize the case where the source and mask are both images.
    
    If the source and mask are both images with the same extents and the
    source is opaque, combine the images into a single PDF image (ie the
    source is written the the image stream and the mask is written to the
    smask stream).

 src/cairo-pdf-surface-private.h |   2 +
 src/cairo-pdf-surface.c         | 466 +++++++++++++++++++++++++++++-----------
 2 files changed, 347 insertions(+), 121 deletions(-)

commit c1ac8db7e60bcec8235b09729b34154e95790534
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Sep 27 16:35:08 2013 +0100

    trace: Fix operand emission
    
    Recent updates (in the past couple of years) to firefox have exposed
    numerous bugs in the way we emit the operands. A few off-by-ones,
    missing surfaces and outright bugs all of which are intermixed into
    producing a corrupt stack.
    
    Reported-by: Siarhei Siamashka <siarhei.siamashka@gmail.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 util/cairo-trace/trace.c | 232 +++++++++++++++++++++++++++++++++++++----------
 1 file changed, 182 insertions(+), 50 deletions(-)

commit 0c2faf6621c4983e2ec2bea7c722a5cd3d89cc6d
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Sep 27 15:37:08 2013 +0200

    fill_reduces_to_source(): Handle failure of color_to_pixel()
    
    The function color_to_pixel() can fail for unsupported pixman image formats, but
    fill_reduces_to_source() ignored this possibility.
    
    Fix this by using the return value of color_to_pixel():
    
    Fixes the following compiler warnings:
    
    cairo-image-compositor.c: In function 'fill_boxes':
    cairo-image-compositor.c:349:15: warning: 'pixel' may be used uninitialized in this function [-Wmaybe-uninitialized]
    cairo-image-compositor.c: In function 'fill_rectangles':
    cairo-image-compositor.c:304:18: warning: 'pixel' may be used uninitialized in this function [-Wmaybe-uninitialized]
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-image-compositor.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 38a925460b35c82833dc4d508e7a0e7e84242318
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Thu Sep 26 10:58:56 2013 -0700

    test:  Drop unnecessary math.h include
    
    Commit 0ac81988 refactored away fmin; nothing else from math.h is
    needed.

 test/pixman-downscale.c | 1 -
 1 file changed, 1 deletion(-)

commit 337ab1f8d9e29086bfb4001508b28835b41c6390
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 17 16:28:19 2013 +0100

    font: Push the last reference dec into the backend->destroy() callback
    
    In order to close a race between locking the backend and resurrecting a
    font via the cache, we need to keep the font face alive until after we
    take the backend lock. Once we have that lock, we can drop our reference
    and test if that was the last. Otherwise we must abort the destroy().
    
    This fixes the double-free exposed by multithreaded applications trying
    to create and destroy the same font concurrently.
    
    Reported-by: Weeble <clockworksaint@gmail.com>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=69470
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-font-face.c        | 43 +++++++++++++++++++++++++++++++------------
 src/cairo-ft-font.c          | 18 ++++++++----------
 src/cairo-quartz-font.c      |  3 ++-
 src/cairo-toy-font-face.c    |  7 ++++---
 src/cairo-user-font.c        |  2 +-
 src/cairoint.h               |  7 +++++--
 src/win32/cairo-win32-font.c |  7 ++++---
 7 files changed, 55 insertions(+), 32 deletions(-)

commit 0ac81988c199df1a6652dc0ea72627122bf95c6c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 17 08:32:29 2013 +0100

    test/pixman-downscale: Open-code fmin()
    
    fmin() requires a bump to either _XOPEN_SOURCE_ >= 600 (POSIX 2004) or
    c99 - which is a needless dependency for a single simple routine.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/pixman-downscale.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9c75065ecefe18557c9d56e1c973215f01f3cd40
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Sep 16 12:45:21 2013 +0200

    xcb: Remove useless error handling
    
    All the *_reply() functions in XCB return a pointer to their result and as last
    argument they get a xcb_generic_error_t** where pointers to errors are stored,
    if any occurs.
    
    However, a request can either fail or succeed. This means that if the returned
    result is a NULL pointer, then an error occurred and the other way around: If
    the error pointer is set to non-NULL, then the function must have returned NULL.
    
    Thus, all the code, which just checks if an error occurred and which does not
    care about the exact error code, does not need to get the error pointer at all.
    In this case, xcb will free() the error internally.
    
    While doing this, I noticed that _cairo_xcb_connection_get_image() always
    succeeds and thus its return value can be replaced with the GetImage result.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-xcb-connection-core.c | 32 ++++++++++----------------------
 src/cairo-xcb-connection-shm.c  |  6 ++----
 src/cairo-xcb-private.h         |  5 ++---
 src/cairo-xcb-surface.c         | 23 ++++++++---------------
 4 files changed, 22 insertions(+), 44 deletions(-)

commit 440624cdf2bd55ac1620e697cc481a8fbbb1c657
Author: Uli Schlachter <psychon@znc.in>
Date:   Sun Sep 15 15:00:02 2013 +0200

    test/multi-page: Fix use-after-free
    
    Commit f9dcd07d22a5269 changed the way the file name is allocated and introduced
    a use-after-free in doing so.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 test/multi-page.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1d00550784d052e9b72b3c91d5769f771033037c
Author: Uli Schlachter <psychon@znc.in>
Date:   Sun Sep 15 14:50:20 2013 +0200

    image: Handle PIXMAN_a8r8g8b8_sRGB in switch
    
    Fixes the following compiler warning:
    
    cairo-image-surface.c: In function '_cairo_format_from_pixman_format':
    cairo-image-surface.c:93: warning: enumeration value 'PIXMAN_a8r8g8b8_sRGB' not
    handled in switch
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=58726
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-image-surface.c | 3 +++
 1 file changed, 3 insertions(+)

commit 966bf2fe6a8c29f4d10b20f982a4ab198a441c78
Author: Uli Schlachter <psychon@znc.in>
Date:   Sun Sep 15 16:58:05 2013 +0200

    check-doc-syntax: Don't hardcode path to awk
    
    Instead of expecting awk in /usr/bin, this commit changes the code to call awk
    through a shell so that $PATH is searched.
    
    Since this awk script shouldn't really be called manually, this is done by
    removing the shebang from the awk script, marking it non-executable and fixing
    up the caller.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=67674
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/check-doc-syntax.awk | 2 --
 src/check-doc-syntax.sh  | 2 +-
 2 files changed, 1 insertion(+), 3 deletions(-)

commit a8a805b8d9bbbfed9986ecc71e76859a5353730f
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Sep 13 22:18:08 2013 +0200

    cairo-gobject: Require at least glib 2.14
    
    cairo-gobject uses g_once_init_enter() and g_once_init_leave(). These functions
    were added in glib 2.14 and thus cairo needs at least this version for its
    gobject helper functions.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=69239
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 412a4c34d9207c339fd16a99756ea96082dc993f
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sun Sep 15 21:27:50 2013 +0930

    test: update mime-data to test jbig2 mime types

 test/global.jb2                              | Bin 0 -> 151 bytes
 test/image1.jb2                              | Bin 0 -> 143 bytes
 test/image2.jb2                              | Bin 0 -> 92 bytes
 test/mime-data.c                             |  97 ++++++++++++++++++++++++++-
 test/reference/mime-data.base.argb32.ref.png | Bin 185 -> 243 bytes
 test/reference/mime-data.base.rgb24.ref.png  | Bin 185 -> 243 bytes
 test/reference/mime-data.pdf.ref.png         | Bin 6482 -> 7563 bytes
 test/reference/mime-data.ps.ref.png          | Bin 4554 -> 4705 bytes
 test/reference/mime-data.ref.png             | Bin 185 -> 243 bytes
 test/reference/mime-data.script.ref.png      | Bin 2041 -> 2130 bytes
 test/reference/mime-data.svg.ref.png         | Bin 6264 -> 6437 bytes
 11 files changed, 96 insertions(+), 1 deletion(-)

commit 5c0caa6f82374ec38a33d5f25a725f60bc121887
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Sep 14 20:59:56 2013 +0930

    pdf: support JBIG2 mime data
    
    JBIG2 images may have shared global data that is stored in a separate
    stream in PDF. The CAIRO_MIME_TYPE_JBIG2 mime type is for the JBIG2
    data for each image. All images that use global data must also set
    CAIRO_MIME_TYPE_JBIG2_GLOBAL_ID to a unique identifier. One of the
    images must also set CAIRO_MIME_TYPE_JBIG2_GLOBAL to the global
    data. The global data will be shared by all JBIG2 images with the same
    CAIRO_MIME_TYPE_JBIG2_GLOBAL_ID.

 src/cairo-device.c              |   1 +
 src/cairo-error-private.h       |   1 +
 src/cairo-image-info-private.h  |   5 ++
 src/cairo-image-info.c          | 135 +++++++++++++++++++++++++++++
 src/cairo-misc.c                |   2 +
 src/cairo-pdf-surface-private.h |   8 ++
 src/cairo-pdf-surface.c         | 182 ++++++++++++++++++++++++++++++++++++++++
 src/cairo-region.c              |   1 +
 src/cairo-spans.c               |   2 +
 src/cairo-surface.c             |   4 +-
 src/cairo.c                     |   4 +-
 src/cairo.h                     |   6 ++
 12 files changed, 349 insertions(+), 2 deletions(-)

commit 2d6705671a900251f00c6b59375bd4d23ec6b4d0
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Fri Sep 13 22:14:49 2013 +0930

    ps: fix embedding of mime data

 src/cairo-ps-surface.c | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit 266d6e71566ac8c5e360c0b32fb78e23e6a06168
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Fri Sep 13 21:32:42 2013 +0930

    pdf: fix embedding of mime data that has been broken since 0a10982f
    
    For some reason the mime-data test is not detecting this failure.

 src/cairo-pdf-surface.c | 23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

commit 5390c2bbca3f1331f4fc831ba1381cc64e0162c6
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Thu Sep 12 22:55:02 2013 +0000

    test: Document use of -k and CAIRO_TEST_TARGET to run test subsets
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 test/README | 6 ++++++
 1 file changed, 6 insertions(+)

commit 640eb0206738e1d1bfd9beebaf0dcb6ac0e07584
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Thu Sep 12 22:55:02 2013 +0000

    test: Space out keywords for clarity
    
    As another nitpick, a comma alone is legal for separating keywords, but
    most tests use a comma and a space.  Update the few tests that don't,
    to make this consistent.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 test/image-bug-710072.c            | 4 ++--
 test/mesh-pattern-accuracy.c       | 2 +-
 test/mesh-pattern-conical.c        | 2 +-
 test/mesh-pattern-control-points.c | 2 +-
 test/mesh-pattern-fold.c           | 2 +-
 test/mesh-pattern-overlap.c        | 2 +-
 test/mesh-pattern-transformed.c    | 2 +-
 test/mesh-pattern.c                | 2 +-
 test/record1414x.c                 | 4 ++--
 9 files changed, 11 insertions(+), 11 deletions(-)

commit a6ace0cf6b96930c08397c64bffabc4b201ab4e8
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Thu Sep 12 22:55:02 2013 +0000

    test: Comma separate keywords
    
    The parser accepts spaces as separtors between keywords, so this is nit
    picky.  But only a minority of tests don't follow the comma convention,
    so change them to be consistent.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 test/a1-bug.c                 |  2 +-
 test/arc-direction.c          |  2 +-
 test/caps-joins-curve.c       |  2 +-
 test/caps-tails-curve.c       |  2 +-
 test/caps.c                   |  8 ++++----
 test/clip-empty-group.c       |  2 +-
 test/drunkard-tails.c         |  2 +-
 test/joins.c                  |  2 +-
 test/partial-coverage.c       | 22 +++++++++++-----------
 test/rectilinear-dash-scale.c |  4 ++--
 test/rectilinear-dash.c       |  2 +-
 test/scale-offset-image.c     |  2 +-
 test/scale-offset-similar.c   |  2 +-
 test/unclosed-strokes.c       |  2 +-
 14 files changed, 28 insertions(+), 28 deletions(-)

commit aacc5e76ed39b69595194a23e94bbd6483dd88a6
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Thu Sep 12 22:55:01 2013 +0000

    gitignore: Ignore build chaff when configuring with --enable-gtk-doc
    
    When this flag is enabled in configure, a couple extra build files are
    created, which git should just ignore.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 .gitignore | 2 ++
 1 file changed, 2 insertions(+)

commit ac5f3e2b8ef1937b3e6e3a3f03773cf471e46cc3
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Wed Sep 11 09:59:01 2013 -0700

    test: Move cairo_pattern_set_filter to after cairo_set_source_surface
    
    Also update the image.arg32 reference images, since for now we're just
    accepting pixman's output as truth.  This fixes up several tests:
    
                       was   is
     Tests run:        420   420
     Passed:           224   261
     Failed:           195   159
     Expected Failed:  0     0
     Error:            0     0
     Crashed:          0     0
     Untested:         0     0
     Total:            420   420
    
    Thanks to psychon for finding the code error in the test.

 test/pixman-downscale.c                            |   2 +-
 test/reference/pixman-downscale-fast-95.ref.png    | Bin 685 -> 299 bytes
 test/reference/pixman-downscale-nearest-95.ref.png | Bin 685 -> 299 bytes
 3 files changed, 1 insertion(+), 1 deletion(-)

commit ade7089f72e0d147db961dec88d3cb1b2280a438
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Wed Jul 10 17:27:28 2013 -0700

    test: Exercise image scaling quality when downscaling
    
    This adds testcases for the various cairo filter options, each of which
    match to corresponding pixman filters.  Use the 'downscale' keyword if
    invoking tests using cairo-test-suite.
    
    The 24-pixel reference images were produced from quad-color.png using
    Gimp's Scale Image command with Interpolation set to None.  It is
    assumed that all filters should handle a 1:4 scaling cleanly with no
    antialiased blurring.
    
    The 95-pixel reference images assume differing types of antialiasing
    based on the quality level.  We are using the image.argb32 output as
    reference here.  Potentially some other rendering algorithm could
    conceivably provide better results in the future.
    
    The 96-pixel reference images are simply copies of the original
    quad-color.png file.  It is assumed that 1:1 downscaling operations
    should produce no visible change to the original image.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 test/pixman-downscale.c                            | 146 +++++++++++++++++++--
 test/reference/pixman-downscale-95.ref.png         | Bin 285 -> 0 bytes
 ...24.ref.png => pixman-downscale-best-24.ref.png} | Bin
 test/reference/pixman-downscale-best-95.ref.png    | Bin 0 -> 685 bytes
 ...96.ref.png => pixman-downscale-best-96.ref.png} | Bin
 .../reference/pixman-downscale-bilinear-24.ref.png | Bin 0 -> 191 bytes
 .../reference/pixman-downscale-bilinear-95.ref.png | Bin 0 -> 685 bytes
 .../reference/pixman-downscale-bilinear-96.ref.png | Bin 0 -> 301 bytes
 test/reference/pixman-downscale-fast-24.ref.png    | Bin 0 -> 191 bytes
 test/reference/pixman-downscale-fast-95.ref.png    | Bin 0 -> 685 bytes
 test/reference/pixman-downscale-fast-96.ref.png    | Bin 0 -> 301 bytes
 test/reference/pixman-downscale-good-24.ref.png    | Bin 0 -> 191 bytes
 test/reference/pixman-downscale-good-95.ref.png    | Bin 0 -> 685 bytes
 test/reference/pixman-downscale-good-96.ref.png    | Bin 0 -> 301 bytes
 test/reference/pixman-downscale-nearest-24.ref.png | Bin 0 -> 191 bytes
 test/reference/pixman-downscale-nearest-95.ref.png | Bin 0 -> 685 bytes
 test/reference/pixman-downscale-nearest-96.ref.png | Bin 0 -> 301 bytes
 17 files changed, 132 insertions(+), 14 deletions(-)

commit 0f554c36d3edf341a9aef8eedfde57f3be635500
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Wed Jul 10 16:29:56 2013 -0700

    test: Test a variety of scales when downscaling
    
    Downscaling from 96 to 24 is easy since it's an even multiple, so try
    scaling by -1 pixel too.
    
    This adds a 1:1 scaling test case as well, which should pass through the
    image unchanged.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 test/pixman-downscale.c                            |  21 +++++++++++++++++----
 ...wnscale.ref.png => pixman-downscale-24.ref.png} | Bin
 test/reference/pixman-downscale-95.ref.png         | Bin 0 -> 285 bytes
 test/reference/pixman-downscale-96.ref.png         | Bin 0 -> 301 bytes
 4 files changed, 17 insertions(+), 4 deletions(-)

commit 642b6d80917feeea878a11f8aaf179b7a1e5392d
Author: Bryce Harrington <b.harrington@samsung.com>
Date:   Wed Jul 10 10:19:21 2013 -0700

    test: Add test for image downscaling
    
    This adds pixman-downscale.c, which tests correctness of PNG images
    scaled down using pixman routines.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 test/Makefile.sources                   |   1 +
 test/pixman-downscale.c                 |  73 ++++++++++++++++++++++++++++++++
 test/quad-color.png                     | Bin 0 -> 301 bytes
 test/reference/pixman-downscale.ref.png | Bin 0 -> 191 bytes
 4 files changed, 74 insertions(+)

commit 7270f22af3d1ad53f033023438e915e11bf88407
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Wed Sep 11 08:52:31 2013 -0700

    gl: Extend oversize check to cairo_gl_surface_create_for_texture
    
    If a texture is too large to render to via a framebuffer, then eagerly
    fail with an error surface.

 src/cairo-gl-surface.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 279d5a2ed1aaa6d5dbfbeab9e4b4ffa6a66aa6f3
Author: Uli Schlachter <psychon@znc.in>
Date:   Wed Sep 11 15:28:29 2013 +0200

    recording: Correctly determine alpha of all surfaces
    
    This code has special cases for recording and image surfaces. For all other
    kinds of source surfaces, has_bilevel_alpha was not modified, even though the
    source surface could have an alpha channel.
    
    Fix this by using the same checks as in the general path at the end of this
    function.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-recording-surface.c | 3 +++
 1 file changed, 3 insertions(+)

commit a6f51fed985f7db37c672bab0b5dab3f89e78282
Author: Uli Schlachter <psychon@znc.in>
Date:   Wed Sep 11 15:24:53 2013 +0200

    recording: Fix unitialized variable 'free_me'
    
    This variable should be NULL by default and gets set only if a new reference to
    a surface was acquired through _cairo_surface_snapshot_get_target(). This works,
    because cairo_surface_destroy(NULL) is well-defined and doesn't do anything.
    
    Fixes the following compiler warning:
    
    cairo-recording-surface.c:1642:24: warning: 'free_me' may be used uninitialized
    in this function [-Wmaybe-uninitialized]
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-recording-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8addb4798c918000eaa6f6dab138e0abb0efa946
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sun Apr 8 10:57:23 2012 +0930

    pdf: avoid making groups a transparency group if not required
    
    If the group contains only a combination of clear and opaque alpha and
    only OPERATOR_OVER is used in the group and to paint the group, a
    transparency group is not required. This allows the pdf viewer to
    replay the group in place.

 src/cairo-pdf-surface-private.h       |   2 +
 src/cairo-pdf-surface.c               | 125 +++++++++++++++++++++++++---------
 src/cairo-recording-surface-private.h |   8 +++
 src/cairo-recording-surface.c         | 113 ++++++++++++++++++++++++++++++
 4 files changed, 215 insertions(+), 33 deletions(-)

commit 53255625c07d8f24403f0cb1b5a4dbaac142e4da
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Sun Sep 8 20:10:04 2013 +0000

    svg, test: Refer to output filename by variable, not a hardcoded value
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 test/svg-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f9dcd07d22a5269bf799317a36bb2887d8f9af64
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Sun Sep 8 20:10:03 2013 +0000

    test: Ensure output dirs exist, falling back to current dir if needed
    
    This change makes several tests behave more like ps-eps.c, et al by
    making them attempt to mkdir "output", and in case of trouble use "."
    instead.  filenames are now allocated at runtime due to this change, so
    ensure the corresponding free()'s are in place as well.
    
    This should facilitate running the test suite with a relative path
    outside cairo's source tree, such as when employing the CAIRO_REF_DIR
    environment variable.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 test/create-for-stream.c   | 14 +++++++++++---
 test/fallback-resolution.c | 20 +-------------------
 test/multi-page.c          |  9 ++++++---
 test/pdf-features.c        |  6 +++++-
 test/pdf-mime-data.c       |  6 +++++-
 test/pdf-surface-source.c  |  6 +++++-
 test/png.c                 |  8 +++++++-
 test/ps-eps.c              | 20 +-------------------
 test/ps-features.c         |  8 +++++---
 test/ps-surface-source.c   |  6 +++++-
 test/svg-clip.c            |  6 +++++-
 test/svg-surface-source.c  |  6 +++++-
 test/svg-surface.c         |  6 +++++-
 13 files changed, 66 insertions(+), 55 deletions(-)

commit be7f1ac98f62669743f381df8845886d29a9f7f4
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Sun Sep 8 20:10:03 2013 +0000

    test: Make cairo_test_mkdir() usable throughout tests.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 test/cairo-test.c | 10 +++++-----
 test/cairo-test.h |  3 +++
 2 files changed, 8 insertions(+), 5 deletions(-)

commit 6731023f1bba7e26dbbc06defdbb37ac5267e9db
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Sun Sep 8 20:10:03 2013 +0000

    test: Fix several tests to place output files in the output directory
    
    The standard location for test output is cairo/test/output.  The harness
    itself was updated to write automatically generated images in this
    directory, however a number of tests generate their own local output
    files.
    
    This patch updates these tests to write their output into
    CAIRO_TEST_OUTPUT_DIR (which defaults to cairo/test/output) as well, in
    the interest of decluttering the test directory.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 test/create-for-stream.c  | 6 +++---
 test/multi-page.c         | 5 +++--
 test/pdf-features.c       | 3 ++-
 test/pdf-mime-data.c      | 9 +++++----
 test/pdf-surface-source.c | 4 +++-
 test/png.c                | 3 ++-
 test/ps-features.c        | 3 ++-
 test/ps-surface-source.c  | 4 +++-
 test/svg-clip.c           | 3 ++-
 test/svg-surface-source.c | 4 +++-
 test/svg-surface.c        | 3 ++-
 11 files changed, 30 insertions(+), 17 deletions(-)

commit f3574b8b3b3e9dbd9fca927096e5a8205e57033d
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Sun Sep 8 20:10:03 2013 +0000

    test: Don't ignore test output files left in test directory
    
    Tests should be placing output files in the output/ directory now,
    although not all tests follow this standard practice.  Drop the
    "*.out.*" from .gitignore to make improper test behavior more evident.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 test/.gitignore | 4 ----
 1 file changed, 4 deletions(-)

commit f52165a7bb3de56fe2a06771f554f3997e176b94
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Fri Sep 6 08:00:46 2013 +0930

    svg: Don't embed CMYK Jpeg images
    
    None of the SVG viewers I tried (rsvg, firefox, inkscape) support CMYK
    Jpeg images.
    
    Bug 68965

 src/cairo-svg-surface.c | 3 +++
 1 file changed, 3 insertions(+)

commit 8e1a1ed8631dd55b4344d5682e6c69e923e0401f
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Fri Sep 6 07:54:28 2013 +0930

    Downscaling requires pixman 0.30

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0266cb821fbf0bdd307af7bbcbbd22c4a14201fc
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Sep 5 16:13:56 2013 +0100

    script: Add support for replaying device-scale
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 util/cairo-script/cairo-script-operators.c | 48 ++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)

commit a4164142f2a21fb005533d1c5b3cf668c99d1259
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Sep 5 16:12:26 2013 +0100

    trace: Record set-device-scale
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 util/cairo-trace/trace.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 935c64a43409a80d9b19d491f9133004152de9bb
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue Aug 27 15:10:38 2013 +0200

    surface: Inherit device scale in cairo_surface_create_similar()
    
    Without this most code that uses similar surfaces for offscreen
    rendering will render in a pixelized fashion if the final
    target uses a device scale.

 src/cairo-surface.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit bc792a5e0e196dd9761649b14c9206465b42ef1d
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue Aug 27 14:46:16 2013 +0200

    surface: Merge scratch construction into _cairo_surface_create_scratch
    
    We merge _cairo_surface_create_similar_scratch and
    _cairo_surface_create_similar_solid into a single function named
    _cairo_surface_create_scratch, to avoid confusion with
    cairo_surface_create_similar which now will have a different
    behaviour wrt the sizes and the device-scale.
    
    _create_scratch assumes the width and height are in backend
    coordinates, while create_similar does not.

 src/cairo-clip-surface.c          | 20 +++++------
 src/cairo-default-context.c       | 10 +++---
 src/cairo-gl-traps-compositor.c   | 18 +++++-----
 src/cairo-mask-compositor.c       | 14 ++++----
 src/cairo-shape-mask-compositor.c | 27 +++++++-------
 src/cairo-spans-compositor.c      | 10 +++---
 src/cairo-surface-subsurface.c    |  9 ++---
 src/cairo-surface-wrapper.c       |  4 +--
 src/cairo-surface.c               | 75 +++++++++++++++++----------------------
 src/cairo-traps-compositor.c      | 33 +++++++++--------
 src/cairo-xcb-surface-render.c    | 20 +++++------
 src/cairo-xlib-source.c           | 36 ++++++++++---------
 src/cairoint.h                    | 16 +++------
 13 files changed, 145 insertions(+), 147 deletions(-)

commit bdccf4fe51bca785f73205ccd26c4d020669e312
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue Aug 27 14:33:14 2013 +0200

    surface: Opencode create_similar
    
    We copy the _cairo_surface_create_similar_solid code into
    cairo_surface_create_similar so that we can separate these later
    as one wants to use backend sizes and one not.

 src/cairo-surface.c | 33 ++++++++++++++++++++++++++++++---
 1 file changed, 30 insertions(+), 3 deletions(-)

commit 5f70148467ff2767dc3c6d45f4af1223d7daa301
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jun 3 15:20:05 2013 +0100

    test: Allow CAIRO_TEST_MODE to independently enable extended testing
    
    Such as CAIRO_TEST_MODE=scale for testing application of
    cairo_surface_set_device_offset.
    
    CAIRO_TEST_MODE=similar - test rendering through similar surfaces
    CAIRO_TEST_MODE=offset - test rendering with a device offset
    CAIRO_TEST_MODE=scale - test rendering with a device scale

 test/cairo-test-runner.c | 22 ++++++++++++++++++----
 1 file changed, 18 insertions(+), 4 deletions(-)

commit 690c61aa54c27e4d35b04d0173abd5931fce507d
Author: Alexander Larsson <alexl@redhat.com>
Date:   Mon Jun 3 15:38:22 2013 +0200

    tests: Add device scale test to "full" testrun similar to offsets

 test/cairo-test-private.h |  2 +-
 test/cairo-test-runner.c  | 66 ++++++++++++++++++++++++++---------------------
 test/cairo-test.c         | 66 ++++++++++++++++++++++++++++-------------------
 3 files changed, 77 insertions(+), 57 deletions(-)

commit 7ab34f302be72d9dda54d936b6d69bc7c534c885
Author: Alexander Larsson <alexl@redhat.com>
Date:   Thu May 30 19:45:59 2013 +0200

    surface: expose the device scale
    
    This adds the new public functions
    cairo_surface_set_device_scale and cairo_surface_get_device_scale and
    updates old users of the internal functions.

 src/cairo-default-context.c    |  6 ++---
 src/cairo-paginated-surface.c  |  2 +-
 src/cairo-surface-subsurface.c | 12 +++++-----
 src/cairo-surface.c            | 52 +++++++++++++++++++++++++++++++-----------
 src/cairo.h                    | 10 ++++++++
 src/cairoint.h                 |  7 ++----
 6 files changed, 61 insertions(+), 28 deletions(-)

commit 38217d67fc2226778dde8d05817cb916691d4d22
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jun 3 20:32:45 2013 +0100

    spans,traps: Undo device transform from source matrix for recording replays
    
    As the replay of the recording surface applies the device_transform of
    the matrix once again to all its operations, we end up with a repeated
    transform through the source matrix of the recording surface. We need to
    remove one of these, and the easiest way to do that appears to be to
    undo the application to the source matrix.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-spans-compositor.c | 13 +++++++++++--
 src/cairo-traps-compositor.c | 15 ++++++++++++---
 2 files changed, 23 insertions(+), 5 deletions(-)

commit f0e2cd4494b1ac9a351d095fbeb53d702342d35c
Author: Alexander Larsson <alexl@redhat.com>
Date:   Fri May 31 16:44:29 2013 +0200

    gstate: Handle device scale on surface as source
    
    When creating a transformed pattern we must apply the device
    transform *before* the transform set on the pattern itself, otherwise
    e.g. its translation will not be affected by the device scale.
    
    We also fix up the device_transform related handling in
    _cairo_default_context_pop_group().  With a device scale we can
    no longer just use the device_transform_inverse to unset the
    device offset for the extents, so we make that a simple translate
    instead.
    
    We also remove some weird code that tries to handle the device
    transform but seems unnecessary (maybe a workaround for applying
    the device transform in the wrong order?). With that code removed
    things work fine, but with it things get translated wrongly when
    there is a scale.

 src/cairo-default-context.c | 23 ++++++++---------------
 src/cairo-gstate.c          |  2 +-
 src/cairo-pattern-private.h |  4 ++++
 src/cairo-pattern.c         | 10 ++++++++++
 4 files changed, 23 insertions(+), 16 deletions(-)

commit 900fc4a890026e46a3b0a00967632f57074b8b93
Author: Alexander Larsson <alexl@redhat.com>
Date:   Thu May 30 20:53:29 2013 +0200

    gstate: Move device-scale font scaling to gstate
    
    If we do this in surface it will be applied twice then
    we chain to a different surface, like e.g. a subsurface.
    
    We also remove a hack in cairo-surface-wrapper where it compensated
    for the device scale not being applied.
    
    v2: Compute the backend CTM in ensure_scaled_font().

 src/cairo-gstate.c          |  8 +++++++-
 src/cairo-surface-wrapper.c |  5 ++---
 src/cairo-surface.c         | 31 ++++---------------------------
 3 files changed, 13 insertions(+), 31 deletions(-)

commit 25eaec0a3874a2090e1bb97547a328eb5c00b0b1
Author: Alexander Larsson <alexl@redhat.com>
Date:   Thu May 30 20:53:15 2013 +0200

    subsurface: Handle device scales

 src/cairo-surface-subsurface.c | 21 ++++++++++++++++++---
 1 file changed, 18 insertions(+), 3 deletions(-)

commit 633d573889ad685c8f07e9ee72f6a1d240dfacf2
Author: Alexander Larsson <alexl@redhat.com>
Date:   Thu May 30 19:48:33 2013 +0200

    default-context: Inherit device scale in push_group surface
    
    Without this we will only render to part of the newly created
    surface and then copy+scale that part back, which causes fuzziness.

 src/cairo-default-context.c | 4 ++++
 1 file changed, 4 insertions(+)

commit db7e551a6bf06a0aa7e2e6b3744b7663807d003f
Author: Alexander Larsson <alexl@redhat.com>
Date:   Thu May 30 19:47:19 2013 +0200

    gstate: Respect device transform in stroke
    
    We need to apply the device transform to the ctm when stroking, as
    otherwise line widths are not affected by the device scale.

 src/cairo-gstate.c | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit fb57ea13e04d82866cbc8e86c83261148bb3e231
Author: Krzysztof Kosiński <tweenk.pl@gmail.com>
Date:   Thu Sep 5 16:02:14 2013 +0100

    image: Use convolution filters for sample reconstruction when downscaling
    
    I had a look at how complex would it be to add correct downscaling to
    Cairo now that Pixman supports convolution filters. It turns out it
    this is rather easy. Here is an initial, minimal attempt. It uses
    convolution filters only if the image is being downscaled by more than
    half a pixel in at least one dimension.
    
    Some discussion:
    
    1. The sampling and reconstruction kernels are picked in a way that
    gives comparable quality when upscaling and downscaling. I paired box
    sampling with bilinear reconstruction and impulse (point) sampling
    with box reconstruction. This gives the expected result for NEAREST
    filter. BEST filter uses Lanczos3 for both kernels.
    
    > Do we need to use a reconstruction filter for NEAREST at all? Or maybe
    > differentiate between NEAREST and FAST in that case?
    
    If impulse (point) sampling is used, there must be some reconstruction
    filter, otherwise no image is produced. That's because the sampling
    grid does not match the data grid, and since there is no
    reconstruction filter, values between data points are undefined. The
    alternative is to use box sampling + no reconstruction.
    
    2. Subsampling bits are always set to 1, since this doesn't seem to
    affect quality at all.
    
    3. I am not sure whether this code works correctly for matrices with a
    skew component. It should be OK for any combination of scale, rotation
    and translation.
    
    4. This patch causes new failures in the test suite:
    - recording-surface*: possibly an effect of improved quality.
    - surface-pattern-scale-down*, surface-pattern-big-scale-down: the
    reference images should be updated.
    - pthread-same-source: I have no idea why this is failing, since this
    test shouldn't even trigger the new code.
    - large-source-roi: this test attempts to downscale an image which is
    30000 pixels wide down to 7 pixels. The filter parameters seem to be
    created correctly, but they might trigger an overflow somewhere in the
    convolution code; the output rectangle is white instead of red, as if
    nothing was drawn.
    - device-offset-scale: there are subtle differences which look like
    convolution-related smoothing; I'm not sure whether this is OK or not.

 src/cairo-image-source.c | 65 ++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 55 insertions(+), 10 deletions(-)

commit 28ad0f9f3bec65e462e29a1d0b1757a86d16c129
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Sep 5 15:56:55 2013 +0100

    Bump version for new development tree, 1.13.1

 cairo-version.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 59e2a93b3c8a7b83d537bb2a4bbdd5f0f36a0cbc
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Aug 26 18:46:19 2013 +0100

    Post-release version bump

 cairo-version.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8e11a42e3e9b679dce97ac45cd8b47322536a253
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Aug 26 15:30:20 2013 +0100

    1.12.16 release

 NEWS            | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 cairo-version.h |  2 +-
 2 files changed, 56 insertions(+), 1 deletion(-)

commit b710a4730940e54ac7ffd5073eecf950997a0484
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Aug 26 17:18:38 2013 +0100

    Make "make check" happy
    
    A recursive include should hide the bare header from
    check-preprocessor-syntax.sh
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-pixman-private.h | 6 ++++++
 1 file changed, 6 insertions(+)

commit fb8881e84bb24b2a54ee5aa449b6f5638de36404
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Aug 23 12:48:08 2013 +0100

    win32: Prevent double-free of similar images
    
    Based on a patch and analysis by Michael Henning.
    
    When we create a similar-image surface for win32, we set up a couple of
    back references from the image to the win32 surface, and vice versa. We
    need to be careful when decoupling the reference cycle to avoid chasing
    around the loop upon destruction. Currently we handled destroying the
    similar-image via the parent win32 surface, but similar precaution is
    required when destroying the surface via the similar-image.
    
    Reported-by: Michael Henning <drawoc@darkrefraction.com>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=63787
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-surface.c               | 3 ++-
 src/win32/cairo-win32-display-surface.c | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 054f34111d220541bc785b30207387541fdd31d2
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Aug 15 14:28:44 2013 +0000

    Provide backwards compatibilty with old pixman
    
    The goal is to allow compilation against older pixman to ease regression
    testing.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 configure.ac                       |  2 +-
 src/Makefile.sources               |  1 +
 src/cairo-ft-font.c                |  6 +++--
 src/cairo-image-compositor.c       | 44 +++++++++++++++++++++++--------------
 src/cairo-image-surface.c          |  5 +++++
 src/cairo-pixman-private.h         | 45 ++++++++++++++++++++++++++++++++++++++
 src/cairo-xlib-render-compositor.c |  1 +
 src/cairo-xlib-surface.c           |  1 +
 8 files changed, 86 insertions(+), 19 deletions(-)

commit 95f320e3f26b2a1552a53ebad14dd5086ccf0c60
Author: Martin Robinson <mrobinson@igalia.com>
Date:   Mon Jul 29 11:14:34 2013 -0700

    gl: Return surface in error when creating oversized texture surfaces
    
    When creating a texture surface that is larger than the maximum
    framebuffer or texture dimensions of the context, return a surface in
    error. Previously the code failed an assertion, but this prevents an
    application from easily detecting when to fall back.
    
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-gl-surface.c      | 33 +++++++++++------
 test/Makefile.sources       |  1 +
 test/gl-oversized-surface.c | 88 +++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 111 insertions(+), 11 deletions(-)

commit b5e1373c5845c859ebf82ef4d5e065f6cdd68faf
Author: Henry Song <henry.song@samsung.com>
Date:   Mon Aug 19 12:14:46 2013 -0700

    gl/msaa: Clean up msaa depth/stencil buffer for OpenGLES
    
    OpenGLES also uses the depth/stencil buffer when doing multisampling, so
    it's a leak to only clean up the buffer for desktop OpenGL.

 src/cairo-gl-surface.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 54a51968e82ec4e6a8d81d5451232641275439df
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Aug 12 16:33:19 2013 +0200

    surface_get_extents: Reject finished or error surface
    
    This fixes a crash in the api-special-cases with xlib-xcb when calling
    cairo_clip_extents() on a context that refers to a finished surface.
    
    The crash was a simple NULL pointer dereference, because the underlying xcb
    surface that was used in xlib-xcb was gone and set to NULL already.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-surface.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 3c4e0f0f1a338fbbd802cdb3b65b8ea3abc758d1
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Aug 12 15:59:18 2013 +0200

    push_group: Refuse working with unusable surface
    
    Make cairo_push_group() fail when the context's target surface is finished.
    
    This fixes the api-special-cases for the xcb backend:
    
       Detected error during xcb run: error=9, seqno=0x13c, major=53, minor=0
    
    The problem was that the Pixmap for the cairo surface was already freed and
    cairo still tried to use it again as the drawable in a CreatePixmap request.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-default-context.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 18633b081026eb88931af6130b3e716fdb954e19
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Aug 12 15:40:00 2013 +0200

    surface: Error out on finished surfaces
    
    Finished surfaces and surfaces with an error status must not be usable anymore,
    so refuse to work on them.
    
    This improves the result for api-special-cases.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=68014
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-surface.c | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit b64c83e891f2417a1b28034a55659260a1769ba7
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Aug 12 14:30:59 2013 +0200

    api-special-cases: Also test contexts
    
    This adds code to the api-special-cases test which also tests the behavior of
    cairo when the cairo context or the surface that is target is in an error state
    or finished. These new tests call into all public entry points defined in
    cairo.h which receive a cairo_t * as their first argument.
    
    Currently this causes a new crash in the testsuite:
    
      cairo-surface.c:394:
      _cairo_surface_begin_modification: Assertion `!  surface->finished' failed.
    
    Reported-by: christophe.troestler@umons.ac.be
    References: https://bugs.freedesktop.org/show_bug.cgi?id=68014
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 test/api-special-cases.c | 1174 +++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 1153 insertions(+), 21 deletions(-)

commit e438071e9debeca81f97c6fcdc1c2a91a969761d
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Tue Jul 9 21:22:59 2013 +0000

    perf: Move macro-benchmark documentation to cairo-traces
    
    The macro benchmarks were moved to a separate repository some time ago,
    but the perf README still refers to these tests as if they were still
    present, which may lead to some confusion.  Instead, consolodate the
    macro benchmark documentation with the macro benchmarks, and focus this
    README on just the (still in tree) micro-benchmarks.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 perf/README | 89 ++++++++++++++-----------------------------------------------
 1 file changed, 20 insertions(+), 69 deletions(-)

commit 4e133af60c1af42307724eb6a88b23056741d7e2
Author: Bryce W. Harrington <b.harrington@samsung.com>
Date:   Tue Jul 9 21:23:52 2013 +0000

    HACKING: Make mention of the separate cairo-traces repo
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 HACKING | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 46d9db96d460fea72f0420102e8a90c6a7231f79
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 4 20:08:46 2013 -0400

    [ft] Ensure alignment of bitmaps received from FreeType

 src/cairo-ft-font.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 34a747e7bdeba1cfe17318f80fbe6720d47bc023
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 4 19:59:06 2013 -0400

    [ft] Fix alignment

 src/cairo-ft-font.c | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit 3cd6c5966aca1d202744fe44083800bc2a4a831d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 29 22:47:26 2013 -0400

    Revert accidentally committed stuff

 build/configure.ac.pthread | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 0554d76402321b25cc952180e4d19436a9038d1a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 29 22:41:46 2013 -0400

    [ft] Add missing include

 build/configure.ac.pthread | 6 +++---
 src/cairo-ft-font.c        | 1 +
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 7d26341072b13a78d4b3fe58779057ac020be487
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 29 19:20:33 2013 -0400

    [ft] Fix math

 src/cairo-ft-font.c | 9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)

commit 9444ef09ccde2735258cc1bd2f1912119a32dd88
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 29 19:09:29 2013 -0400

    Support 2bit and 4bit embedded bitmaps

 src/cairo-ft-font.c | 52 +++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 51 insertions(+), 1 deletion(-)

commit 274863be08f6c8df6d411df9db725d34f7fbabea
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sun Jul 28 09:30:05 2013 +0930

    type1-subset: Don't try to rename non winansi glyphs
    
